
2026-01-11
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.11

2026-01-08
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'masterGithub'
	* Merge pull request #347 from goeranu/master
	* [WINDOWS] further support for build under 'osc'
	* Switch back to OSM Mapnik for default map tiles

2026-01-04
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Installer: prefer https
	* Flatpak: upgrade runtime to KDE 5.15-24.08
	* Flatpak: Various small improvements

2026-01-04
Göran Uddeborg <goeran@uddeborg.se>:
	* Style adjustments of comments.
	* Use Wayland-safe pixbuf retrieval in print-preview:get_thumbnail

2026-01-03
Göran Uddeborg <goeran@uddeborg.se>:
	* Fix printing on Wayland

2026-01-03
Rob Norris <rw_norris@hotmail.com>:
	* Specific disallow of OSM bulk downloading
	* Explicitly ignore returned value from g_array_free() and whitespace tidy.
	* Fit memory leak in fit.c
	* Fix memory leak after maps_layer_register_map_source() usage.

2025-12-23
Rob Norris <rw_norris@hotmail.com>:
	* Cross platform build fixes/improvements.
	* New (slightly experimental) trackpoint insert option in Track Edit tool
	* Allow changing which tab is shown by default for properties.
	* Improve trackpoint interpolation to consider extended properties.
	* Further GTK2 (GDK2) deprecations
	* [QA] Small indentation fix
	* Mark returned function value as deliberately unused.
	* Rename variable after functionality

2025-12-20
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing on Reload when something is already selected.
	* Make everything https where possible.

2025-12-06
Rob Norris <rw_norris@hotmail.com>:
	* Ensure default GTK3 scrollbar overlay is disabled on property dialogs

2025-12-01
Rob Norris <rw_norris@hotmail.com>:
	* Github #345: Remove maths functions from AC_CHECK_FUNCS

2025-11-29
Rob Norris <rw_norris@hotmail.com>:
	* Remove signal name (accidentally) being marked for translation.
	* Improve startup failure messages.
	* Use mkdir with parent function to ensure directory creation.
	* Flatpak: Upgrade dependencies

2025-11-01
Rob Norris <rw_norris@hotmail.com>:
	* Github #327: Fix .vik test, as revised default ordering of waypoint properties in .vik file
	* Merge remote-tracking branch 'origin/master' into masterGithub
	* Fix spin button initialisation
	* [QA] Fix layer parameter union initialisation
	* Allow more Track List dialog columns to be reorderable.

2025-09-29
Rob Norris <rw_norris@hotmail.com>:
	* Extend date based rename to work on TrackWaypoint layers.
	* Printing improvements: Mainly to report any errors rather than silently ignoring them
	* Github #336: Allow changing Paper size and Orientation on Page Setup tab.
	* Github #337: Ensure print preview has GTK3 implementation
	* SF Bugs#171: Fix loading large waypoint symbols.
	* Add aggregate layer option to load external files on Viking file load
	* [QA] Use const variables in heatmap calculations.
	* TAC: Cache results from previous calculation and use for quick redraw
	* Add ability to export TRW sublayers as separate GPX files.
	* Github #327: Part 2: Revised Waypoint properties.
	* Github #339: Change default download setting to follow all redirects

2025-08-09
Rob Norris <rw_norris@hotmail.com>:
	* Enable clearing the message log via middle click without opening the dialog

2025-06-12
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #329 from guyou/fix-devcontainer

2025-06-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* fix: no more needed to set network

2025-05-25
Rob Norris <rw_norris@hotmail.com>:
	* Github #327: Part 1: Support new UI layout builder widget option of a 'separator'.
	* Add separator around delete tile menu entry
	* For multi-track statistics, monitor on which track they occur and show as a tooltip.

2025-04-20
Rob Norris <rw_norris@hotmail.com>:
	* Add method to allow deletion of multiple layer items from an aggregate layer

2025-03-11
Rob Norris <rw_norris@hotmail.com>:
	* Github #317: Ensure Default Layers dialog updates widget sensitivities

2025-03-01
Rob Norris <rw_norris@hotmail.com>:
	* Merge remote-tracking branch 'viking-gps/master'
	* [QA] Stricter compiler options for test programs
	* [QA] Prevent sanitizer runtime error
	* Github #320: Fix UUID usage in sort children
	* [QA] Retain extreme debug function for potential reuse

2025-02-25
Rob Norris <rw_norris@hotmail.com>:
	* CI: Update runner image to ubuntu-24.04
	* [QA] No need to repeat code in both branches
	* Fix mapcache memory misuse flagged by ASAN

2025-02-23
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Type improvement in strlen() and strncmp() usage

2025-02-08
Rob Norris <rw_norris@hotmail.com>:
	* Enable compiling with older GLIB versions
	* Support old versions of GPSD in status usage

2025-02-04
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #316 from oturpe/c23-compatibility
	* CI: upload-artifact v3->v4 - since v3 has expired

2025-01-29
Otto Liljalaakso <otto.liljalaakso@iki.fi>:
	* C23 compatibility

2025-01-26
Rob Norris <rw_norris@hotmail.com>:
	* Allow manual deletion of map file cached tiles
	* Github #313: Improve documentation for command line lat/lon

2025-01-18
Rob Norris <rw_norris@hotmail.com>:
	* Flatpak: Add the actual file used by Flatpak build
	* Support old versions of GPSD in status usage
	* Make adding files to an existing project is marked as a change.
	* Colour parse in GPS layer is not dependent on vp existence.
	* Only need to parse fixed colours just once.
	* Make most TRW layer combine options only available if there are multiple tracks/routes
	* Further method to prevent removing GPS Layer (Realtime) tracks whilst in use.
	* Fix unbalanced GC create/free calls in GPS Layer
	* More robust geocluelayer recording.
	* [QA] Better TRW enum definition.
	* [QA] Useful comment reminder about properties
	* Add 'Session' file operations: .Reload .Delete (source file on disk)
	* [QA] Remove duplicate section in help
	* Prevent potential use of uninitialised variables
	* Prevent Valgrind detected error
	* Prevent crash if empty GPS layer during realtime recording
	* Fix memory leak in vikgpslayer.c
	* Extend GPS Layer tooltip to include GPSD Mode and Status for realtime tracking
	* Remove trigger layer/half-drawn complexities as no longer relevant.
	* [QA] Remove function definition that doesn't exist
	* Improve MenuItemsSelection functions to use typedef enum for parameter/return types
	* [QA] gps layer static functions shouldn't be named starting with 'vik_'
	* Increased protection in use of single point tracks
	* Increased protection against empty tracks
	* [QA] Ensure local variables are static
	* Ensure socket listener is closed on program exit
	* Fix memory leak in vikmapslayer.c
	* Fix memory leak in util.c
	* Fix memory leak in vikobjectbuilder.c
	* Add cleanup of memory in vikdemlayer
	* Fix memory leak in bingmapsource.c
	* Actually create and use a_logging_uninit()
	* Fix memory cleanup of lists to include the list itself
	* [QA] Normal practise to give parameter names in forward declaration
	* [QA] Ensure consistent parameter variable name use in viktrwlayer
	* [QA] Remove needless space around '->' use
	* [QA] Ensure consistent parameter variable name use in viktrack
	* Add ability to remove all points in a track or route
	* [QA] Ensure lap data is freed after use
	* Github #194: Reload Viking file from disk.
	* Github #306: Avoid requesting maps outside zoom limits on F5 refresh
	* Add support for Mapnik 4.0 file location (on Debian at least)
	* [I18N] Large German language update
	* [I18N] Czech language update.
	* [QA] Refined tests
	* [QA] Prevent compiler warning
	* Flatpak: Tidy up /lib files install.
	* Flatpak: Remove old/unused comments
	* Flatpak: Upgrade gpsd to 3.25
	* Flatpak: Updated build notes
	* Github #295: Flatpak: Upgrade to the latest KDE runtime 5.15-24-8 (that is congruent with gpsbabel build)
	* Flakpak: Fulfil checks to ensure building with latest flatpak-builder
	* Flatpak: Add build configuration files into distribution set
	* Flatpak: remove unneeded libnovaconfig binary
	* Flatpak: Switch gpsbabel from branch to formal tag commit
	* Flatpak: Upgrade libzip to 1.11.2
	* Flatpak: Upgrade exiv2 to 0.27.5
	* Flatpak: Upgrade gexiv2 to 0.14.3
	* Attempt prevention of unnecessary redraw events
	* Aggregate layer: add some analysis by 'active days' to accompany per track statistics.
	* Github #307: Enable showing OSM zoom levels in tooltips
	* [QA] Ensure local variables are static

2024-09-29
Rob Norris <rw_norris@hotmail.com>:
	* [QA] More normal way of using NULL
	* Github #305: Improvements to naming Map (Memory) Cache items.

2024-09-22
Rob Norris <rw_norris@hotmail.com>:
	* Don't display incorrect tool images on window resize
	* Github #301: Ruler Tool mode: Start drawing the compass rose immediately
	* Track analysis - ensure skipping invisible aggregates
	* Github #299: Add confirmation message on copy location
	* TAC: Add methods to go to furthest North/East/South/West extents
	* Refactor common reposition update for TAC types
	* [QA] Remove accidental repeated semi-colons
	* viking-cache.py tool: Mark raw string literals for use in regex
	* Remove internal debug message from I18N
	* Github #196: OSM Authentication capability compile time configurable and turn off by default
	* Github #189: Allow copy current mouse position.

2024-08-24
Rob Norris <rw_norris@hotmail.com>:
	* Github #291: Add message when zoom limits already reached when using some zoom methods.
	* Add ability to find out what nth number a trackpoint is.
	* Github #286: [DOC] Reword about file-extension config item
	* [QA] a_viewport_clip_line() is for GTK2 use only
	* Github #289: Ensure view is refreshed to see command line settings having affect
	* Add tooltip on elevation gain widget for 'Hardness' rating
	* Enable returning the viewport to an already selected Search Result.
	* [QA] Local functions shouldn't start with 'vik_'
	* Github #293: Fix escaping accented characters on URL search
	* Github #279: Fix default ordering of items
	* Github #278: Support KML document properties: name and description
	* [QA] Remove trailing white-space
	* Github #265: Better ToC usability in PDF output
	* Improve test scripts in use of results

2024-07-07
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #283 from jidanni/patch-3

2024-07-02
Rob Norris <rw_norris@hotmail.com>:
	* Mapnik API v4.0.0 support
	* Github #252: Improved preference text.

2024-06-30
積丹尼 Dan Jacobson <jidanni@jidanni.org>:
	* Update index.docbook fixing grammar

2024-06-15
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Turn list of Map Ids into a more readable table
	* Github #234: Preferences: increased displayed precision of lat/lon
	* Github #257: Improved default Map layer names
	* Mapnik layer should be considered as a base layer type
	* Github #266: Make Adding New Maps Go On Top.
	* Github #270: Prevent unnecessary precision in web requests
	* Ensure decimal lat/long output in usage with web requests
	* [DOC] Rework help system: Part 3 - User Config
	* [DOC] Rework help system: Part 2 - Extending
	* [DOC] Rework help system: Part 1 - Command Line
	* Github #261: Remove Exit button from default toolbar.
	* Additional supported TAC level of an even higher zoom level.
	* TAC: Don't show change counts when zoom level changed
	* Shift mount options into Tool menu and change icons a bit
	* Enable 'External' file mode for all supported major file types

2024-04-27
Rob Norris <rw_norris@hotmail.com>:
	* Github #258: Support URLs
	* Github #256: Warn earlier about UTM mode needed for Directory of Images
	* Github #247: Improved Waypoint label background drawing for long names
	* Github #238: [DOC] Notes about Maps Information - Ids
	* Merge pull request #260 from jidanni/patch-2
	* Merge pull request #249 from yourealwaysbe/regular-redraw

2024-04-25
積丹尼 Dan Jacobson <jidanni@jidanni.org>:
	* Update index.docbook

2024-03-01
Matthew Hague <matthewhague@zoho.com>:
	* Redraw window at regular intervals not a fixed time after last move

2024-02-09
Rob Norris <rw_norris@hotmail.com>:
	* Fix vik2vik test program under GTK2
	* Fix vik2vik test program.

2024-02-08
Rob Norris <rw_norris@hotmail.com>:
	* Github #241: Improve Waypoint dialog layout.
	* More options in table creation and row additions
	* Ensure links on waypoint dialog are updated on Apply
	* Add tooltip to entries for toolbar customisation.
	* [DOC] Include more shortcut key options
	* Ensure unique list of toolbar customizable items
	* Use more standard method for some keybindings
	* Github #243: Add Ctrl+'0' to restore default zoom
	* Github #243: Maintain Ctrl+'+' as an option to Zoom In
	* Github #243: Better keyboard control, use Ctrl+'=' to Zoom In.
	* Github #198: Show popup on viewport when a track, route or waypoint is selected
	* Github #198: Enable popup on viewport that removes itself
	* [DOC] Small grammar improvement
	* Github #239: Make GPSBabel export available on Aggregate Layers

2024-01-27
Rob Norris <rw_norris@hotmail.com>:
	* Make ModeExpedia only available when source configured for Expedia
	* Fix pan arrow icon action directions
	* Github #240: Fix missing tool-tips for some commands.
	* GPX: 'Single' file write more formally valid file
	* Improved some dialog default sizes to consider scaling.
	* [DOC] Garmin Forerunner FIT note
	* Github #238: Enable a view of all the Map Ids available.

2024-01-21
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Improved information about Viking Project Files
	* Github #207: Improved usage of title bar name for single (non-viking) file loads

2024-01-14
Rob Norris <rw_norris@hotmail.com>:
	* Support some more trackpoint extension kinds
	* [QA] Remove compiler warnings accidentally recently introduced

2024-01-13
Rob Norris <rw_norris@hotmail.com>:
	* Github #215: More defensive programming in an attempt to prevent rare crashes
	* Github #236: [DOC] Ensure coverage of all map ids used.
	* Add support for Mapnik 3.1 file location (on Debian at least)
	* Github #178: Write GPX header on one line
	* Simplify External layer change params logic
	* Improve check_gpx script to capture failure results

2023-12-29
Rob Norris <rw_norris@hotmail.com>:
	* Github #218: Refine HTML help conversion notes

2023-12-28
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Don't forget the compiler build essentials!
	* Github #211: Follow up - improved handling if socket is ever NULL
	* Github #211: Follow up - really fix on Ubuntu for CI
	* Github #211: Follow up - fix attempt 2 on Ubuntu for CI
	* Github #211: Follow up - fix on Ubuntu for CI

2023-12-21
Rob Norris <rw_norris@hotmail.com>:
	* Github #211: Support opening files in existing running instance via command line '-r'
	* Github #212: Improve startup messages
	* [DOC] Fix correct option shortcut
	* [DOC] Fix spelling mistake and prefer https
	* Github #222: Fix Invalid XML in example files
	* Github #215: Improved vik_viewport_clear() use of ui_cr_clear()
	* Github #214: Resolve keyboard shortcut conflicts in Edit menu
	* Enable running with an alternate configuration directory as specified
	* [QA] Improve uninitialised structure fields
	* Github #168: [DOC] Rationale behind "automatic internet features" control

2023-12-19
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #232 from starnutoditopo/features/bind-mount-config-files

2023-12-17
Starnuto di topo <starnutoditopo@gmail.com>:
	* Add support for bind-mount for .cache/viking and .config/viking

2023-12-14
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #227 from starnutoditopo/master

2023-12-13
Starnuto di topo <starnutoditopo@gmail.com>:
	* Solve #228 (add yaru-theme-icon package)
	* Update documentation, adding instructions to run Viking on Windows in a container in Visual Studio Code

2023-12-12
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #226 from starnutoditopo/master

2023-12-12
Starnuto di topo <starnutoditopo@gmail.com>:
	* Add support for X Server (eg.: VcXsrv) display export
	* Rename .gitattribute to .gitattributes

2023-12-10
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #224 from jidanni/patch-5
	* Merge pull request #223 from jidanni/patch-4
	* Merge pull request #221 from jidanni/patch-3
	* Merge pull request #217 from jidanni/patch-2

2023-12-10
積丹尼 Dan Jacobson <jidanni@jidanni.org>:
	* Not read-only one single bit
	* Not "thus" but in fact the opposite of "thus"
	* Potlach no longer current

2023-12-09
積丹尼 Dan Jacobson <jidanni@jidanni.org>:
	* Avoid http. Use https.

2023-12-02
Rob Norris <rw_norris@hotmail.com>:
	* Fix distcheck run under CI.
	* Update .gitignore for NEWS.h generated file
	* CI: Upload test report for failures within distcheck in Github workflow
	* [DOC] Update TrackWaypoint Layer and Track suboperations into listitems.
	* Support showing corrupted GPX files with as much information as read in
	* Github #210: Enforce correct EOL for shell scripts
	* Github #202: Increased resilience on exit
	* GPX Lap support read only display output in tooltips and a table view
	* Create reusable a_dialog_scrollable() for displaying larger text amounts
	* [DOC] Update TRW Layer View and Goto operations into listitems.

2023-12-01
Rob Norris <rw_norris@hotmail.com>:
	* Github #205: Document command line -ve map id number to not add a map
	* GitHub #152: GeoRef Zoomed in image fast redraw
	* Fix allow changing GeoRef image once set.
	* Further improvements to mingw .spec files as used on OpenBuildService
	* Github #160: Follow-up, add compile check of --disable-xz into extreme build tests

2023-11-20
Rob Norris <rw_norris@hotmail.com>:
	* Perform clean-up in test_file_load program
	* [QA] Specifically ignoring function result here
	* More consistent use of a_download_uninit()
	* Fix memory leaks in uncompress_zip()

2023-11-19
Rob Norris <rw_norris@hotmail.com>:
	* Rename mingw-viking.spec -> mingw32-viking.spec to match package name
	* .spec runtime dependencies should be auto detected
	* .spec file build obviously doesn't need the libs package when already covered by 'devel' packages
	* Spaces rather than tabs are preferred in .spec files
	* [WINDOWS] Resurrecting 32bit build via OpenBuildService - GTK3 OK.
	* Github #160: Document compressed file type reading capability
	* Github #160: Support reading gzip files (for any supported Geodata files within)

2023-11-15
Rob Norris <rw_norris@hotmail.com>:
	* Github #187: MBTiles file format checks
	* Generate more compliant MBTiles files with metadata (v1.1).
	* Ensure do not crash if a map URL configuration setting not set.
	* Remove old GStatBuf compatibility as may not work under Mingw64 anymore
	* Github #160: Follow-up, mention xz-devel dependency in .spec file
	* mingw .spec improvements, shouldn't need to specify this lower level dependency
	* RPM has built in clean logic so doesn't need %clean in .spec files anymore
	* More compliant license string in .spec files

2023-10-24
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #200 from djnamurlug/master

2023-10-21
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #201 from danieldegroot2/api-url

2023-10-11
danieldegroot2 <67521919+danieldegroot2@users.noreply.github.com>:
	* Update osm-traces.c

2023-10-08
djnamurlug <djnamurlug@users.noreply.github.com>:
	* Update index.docbook

2023-09-21
Rob Norris <rw_norris@hotmail.com>:
	* Github #160: Support reading compressed .xz files (for any supported Geodata files within)

2023-09-16
Rob Norris <rw_norris@hotmail.com>:
	* Read support of Garmin .FIT files (Part 4)
	* Read support of Garmin .FIT files (Part 3)
	* Read support of Garmin .FIT files (Part 2)
	* Read support of Garmin .FIT files
	* [WINDOWS] I18N: Installer improve file association title and description

2023-09-04
Rob Norris <rw_norris@hotmail.com>:
	* When location specified on the command line, ensure auto position lookup not used

2023-08-31
Rob Norris <rw_norris@hotmail.com>:
	* Github #190: When a map is specified on the command line, ensure the default map is not added

2023-08-29
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #188 from yourealwaysbe/acquisition-failed

2023-08-26
Matthew Hague <matthewhague@zoho.com>:
	* Fix memory error with vikwebtool datasource babel filters

2023-08-21
Rob Norris <rw_norris@hotmail.com>:
	* Github workflow badge URLs (.yml file was renamed + plus additional run)
	* Remove mistaken copy of build.yml in accidental directory name ending in spaces
	* Github Workflow CI Build Variants
	* Resolve CI Issues

2023-08-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add Github workflow for CI Testing purposes

2023-08-19
Rob Norris <rw_norris@hotmail.com>:
	* Build: autopoint needed by Debian/Ubuntu
	* Fix GeoRef rotation parameter mishandling - which can lead to file save bug.
	* Make the list of tests to run dependent on whether a DISPLAY is detected

2023-08-17
Rob Norris <rw_norris@hotmail.com>:
	* Change tile download to use 'check-file-server-time' by default
	* Github #170: Fix auto download of map tiles when 'check-file-server-time' is false

2023-08-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* doc: remove ref to Travis CI

2023-08-16
Rob Norris <rw_norris@hotmail.com>:
	* Avoid warnings of misuse of g_string_free()
	* Merge pull request #186 from guyou/add-build-ci

2023-08-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* ci: create a workflow to build

2023-08-09
Rob Norris <rw_norris@hotmail.com>:
	* Remove spurious quote characters in Makefile.am
	* KML file loading test
	* Fix GPX versioning test(s)

2023-08-08
Rob Norris <rw_norris@hotmail.com>:
	* Add file filter for all supported files
	* Additional supported TAC level of higher zoom level.
	* Brouter River routing example
	* Don't add stdin file opening method into recent file list

2023-08-07
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #184 from sikmir/fix-md5-test

2023-08-05
Nikolay Korotkiy <sikmir@disroot.org>:
	* Fix check_md5_hash.sh on macOS

2023-08-03
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Minor spelling and grammar improvements
	* Merge pull request #181 from guyou/add-devcontainer
	* Merge pull request #183 from guyou/fix-ubuntu-20-04

2023-08-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* build: relax requirement to autoconf 2.69

2023-08-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* doc: document devcontainer
	* Create devcontainer.json

2023-07-29
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'GITHUB'
	* Merge pull request #175 from eoineoineoin/rulerfix

2023-07-18
Eoin Mcloughlin <helloworld@eoinrul.es>:
	* Fix uninitialized output

2023-07-14
Rob Norris <rw_norris@hotmail.com>:
	* Check file loading for a zip file

2023-07-10
Rob Norris <rw_norris@hotmail.com>:
	* Update minimum build dependencies to reduce depreciated warnings
	* Don't use depreciated AM_GLIB_DEFINE_LOCALEDIR M4 macro

2023-07-09
Rob Norris <rw_norris@hotmail.com>:
	* Flatpak: Update libzip to 1.10.0
	* Flatpak: Update to latest KDE runtime
	* [DOC] Small grammar fix
	* Github #169: [DOC] Mention GTK more prominently.

2023-07-08
Rob Norris <rw_norris@hotmail.com>:
	* Github #153: Updated brouter URL
	* [DOC] Further Tracks Area Coverage information
	* NEWS file should be included in distribution
	* Add TAC ability to jump to analysed positions.
	* Fix TAC analysis of consecutive lines - need edge detection.
	* New test program to check file loading and use for sample TCX file
	* Improved way to get g_object value.
	* No need to specify string length
	* Use c_vtl directly, rather than via variable rename.
	* Support additional variance of trackpoint tags seen in TCX files
	* Improve viking-cache python tool for better way to write sqlite3 files
	* viking-cache python tool is Python3 compatible
	* [DOC] Mention the per map flush cache
	* Enable extra optional display of map information in debug mode only
	* [DOC] Add About maps layer operation

2022-05-28
Rob Norris <rw_norris@hotmail.com>:
	* Extra defensive programming

2022-05-21
Rob Norris <rw_norris@hotmail.com>:
	* Ensure text is selectable in dialog messages.
	* Add confirmation about over-writing existing World File
	* [QA] Convert repeated code into common function
	* Github #148: Allow horizontal scroll on preferences
	* SF Features#135: Support Georef layer image rotation
	* Add function to rotate a Pixbuf a number of arbtitary degrees.
	* Github #149: Part 2: Notes about World File y-scale handling

2022-05-08
Rob Norris <rw_norris@hotmail.com>:
	* Github #149: Part 1: Fix incorrect limitation of easting input values
	* Ensure simple mode copy of centre position works for UTM
	* [DOC] Updated basic waypoint properties figure
	* Waypoint proximity alarm support
	* Function to get a new position from a starting position
	* [QA] Describe function algorithm
	* Ensure generation of correct GPX1.1 files should extensions contain XML escaping
	* Expose (and rename) entitize() function for reuse
	* [QA] Ensure local variables are static
	* Improve util_gdouble_different() to detect against NAN
	* Add vu_height_units_text() function
	* [QA] Fix comment
	* Test script to check all configure options
	* SF Features#151: Enable visual status indicator of each tile cache
	* Basic volume management via GIO framework.
	* On downloading only remove existing file if successful download.
	* [QA] Improve map layer internals to not repeatedly call same functions
	* Support daylight times and basic astronomical data using libnova

2022-03-24
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Main window graphs
	* Shift attach_to_table() functionality into common area for reuse.
	* [DOC] Split extending/configuration settings into another top level section
	* Maintain terraserver code building
	* Fix building with GTK2

2022-03-23
Rob Norris <rw_norris@hotmail.com>:
	* Improved build when '--disable-oauth' is used.
	* Fix building with '--disable-geonames'
	* Flatpak: Better practise to use tag for dependency of liboauth
	* Flatpak: exiv2 update to 0.27.5 and new location of source
	* Flatpak: build needs xxd, so install from source.

2022-03-22
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Mark ignored function return value
	* [QA] Improve tile drawing to mark variables that are constant
	* Enable function for identifying cached maps types
	* [QA] Improve function return type definition
	* [QA] Minor type usage improvement
	* Enable per map layer tile cache expiry age
	* Enable property 'user-agent' for download requests
	* Prefer util_remove() here to potentially keep temporary file
	* Ensure all extendable tools (routing, search, datasource) support download options
	* Ensure gotoxmltool finalize calls free functions.
	* Ensure unregister_all() functions are used.
	* Fix goto tool finalize()
	* Add test cases for parsing search responses
	* Fix goto search parsing when using '@' in XPath definition
	* [QA] 'Empty' line white space tidy up
	* Make calendar tooltips generation happen only on each calendar update event
	* [DOC] Adjust documenters to include email
	* Remove repeated setting of CURLOPT_USERAGENT
	* curl_download_user_agent variable should be static
	* Enable NEWS to be viewed from within the main program

2022-02-13
Rob Norris <rw_norris@hotmail.com>:
	* Allow opening diary program via calendar menu for the specified day
	* Allow opening the diary program to be accessible from anywhere
	* [QA] Use calculated array lengths rather then hardcoded values
	* [QA] This function should be static
	* Simplify messages for i18n.
	* Fix extremely slow drawing of TAC single square when zoomed in
	* Useful to log running of external command
	* Shift availability of external programs into global space.
	* Little need to test Rednotebook version anymore.
	* [QA] No need for line carriage return in message
	* Add new TAC analysis for consecutive squares in linear directions.
	* Add some menu separators so less likely to accidentally invoke an edit option

2022-01-08
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Further notes on the TAC types
	* Rewrite small section as for loop instead of repeating oneself.
	* Support <snippet> fields in KML files as a comment.

2022-01-07
Rob Norris <rw_norris@hotmail.com>:
	* Fix potential crash on maps layer deletion

2022-01-03
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#162: Fix rounding issue in test parsing lat/lon on i386
	* Support OSMAnd GPX Color extension
	* Basic KML Style support for colour of tracks
	* Github #143: Part 3. Support writing GPX1.1 Link (Mime) Type for Waypoint images.

2022-01-02
Rob Norris <rw_norris@hotmail.com>:
	* Support GPX 1.0 & 1.1 Track URL/Link properties
	* Fix GPX 1.0 waypoint urlname tag reading
	* Depreciate GPSMapper and GPSPoint export options

2021-12-31
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Explain VDOP, HDOP + PDOP factors.

2021-12-30
Rob Norris <rw_norris@hotmail.com>:
	* Allow track properties to be interpreted as URLs
	* [QA] Trailing white space tidy up

2021-12-18
Rob Norris <rw_norris@hotmail.com>:
	* Make these low level debug messages only output in verbose mode
	* [QA] Notes about not needing to detach tree model on file loading
	* [QA] Refactor KML processing for some reusable functions

2021-12-12
Rob Norris <rw_norris@hotmail.com>:
	* Github #143: Part 2. Support Waypoint Link Text in GPX1.1
	* Support GPX URL Name (both v1.0 and v1.1 variants)
	* Reusable function for writing <link> GPX elements
	* Github #143: Part 1. Fix <name> element in GPX1.1 output
	* Fix calendar tooltip not shown for certain track names

2021-12-04
Rob Norris <rw_norris@hotmail.com>:
	* Do not try to perform own specialist paste when editing treeview
	* Improve comment about shortcut keys
	* Allow key F2 to rename layers
	* [QA] Use gtk_tree_model_get_iter*() returned values

2021-11-27
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.10
	* Windows build: handle multiple digits in build version
	* Consistent tab usage in datasource_add_setup_widgets()
	* Improve function parameter use
	* Fix for gtk_calendar_get_day_is_marked() being GTK3+ only

2021-11-27
Jimmy Frydkær Jensen <jimmy@frydkaer.net>:
	* [I18N] Danish language update
	* [I18N] Large Danish language update

2021-11-27
Rob Norris <rw_norris@hotmail.com>:
	* Fix function definition

2021-11-21
Rob Norris <rw_norris@hotmail.com>:
	* Flatpak update dependencies.
	* [DOC] Fix spelling

2021-11-20
Rob Norris <rw_norris@hotmail.com>:
	* Fix large memory leaks on displaying track graphs in the main window
	* Speed up calendar tooltip generation
	* Fix TAC drawing for differing screen resolution scales
	* Fix small memory leaks
	* Github #141: Enable Customizable Show of Center Mark on startup.
	* Github #139: [WINDOWS] Ensure the default map (OpenTopoMap) works.
	* Fix potential small memory leak
	* Use gtk_widget_get_visible() instead of own variable
	* Calendar supports marking of multi-day tracks

2021-09-19
Rob Norris <rw_norris@hotmail.com>:
	* Github #136: [WINDOWS] Build compatibility for Windows 7
	* Github #137: Ensure consistent GPX1.1 header on track export

2021-09-12
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Add missing image
	* Don't bother checking for things in the C89 Standard.
	* autoconf 2.70 quoting seems to work differently
	* autoconf obsolescence improvements

2021-09-11
Rob Norris <rw_norris@hotmail.com>:
	* Use of 'which' is deprecated in scripts
	* Github #137: Ensure don't create invalid GPX export when given invalid input
	* GPX1.1 processing robustness
	* Add missing timestamp in GPX1.1 metadata

2021-08-24
Rob Norris <rw_norris@hotmail.com>:
	* Properly fix track bounds for new tracks when split by segments

2021-08-07
Artem <Unknown>:
	* [I18N] Russian language update

2021-08-07
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix compiler warning about not enough variable arguments to fit a sentinel
	* [QA] Fix compiler warning when using '-Wformat-security'
	* Fix crash on deleting copied GPX1.1 layers with trackpoint extensions
	* Ensure track bounds calculated for the original track when split by segments

2021-08-06
Rob Norris <rw_norris@hotmail.com>:
	* Github #134: Support 'geo:' URIs on the commmand line
	* Enable setting a default zoom level
	* Check valid latitude/longitude values passed in on the command line
	* [DOC] Mention GTK+3 as default
	* [DOC] Document '-e' command line option

2021-07-10
Rob Norris <rw_norris@hotmail.com>:
	* Fix test files due to additional aggregate layer properties.

2021-07-10
Nikolay Korotkiy <sikmir@gmail.com>:
	* [I18N] Russian language update

2021-07-10
Alexander Gabilondo <alexgabi@irakasle.net>:
	* [I18N] Basque language update

2021-07-10
Rob Norris <rw_norris@hotmail.com>:
	* Enable (optional) selection of newly created layers.

2021-06-19
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Improved grammar
	* Github #130: viking.spec improvements
	* TAC: Ability to count and display newly covered tiles
	* SF Features #11: Add Exit Warning if something modified.

2021-06-19
Matthew Hague <matthewhague@zoho.com>:
	* Draw overlays on track graphs as line

2021-06-12
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Fix routing end point suggestion
	* [QA] Mark unused returned function values
	* Github #131: Fix build error with --disable-libzip
	* Github #129: Downgrade unnecessary warning
	* Github #128: Maintain datasource_gc.c such that it at least compiles
	* Fix Mapnik layer parameter usage
	* Fix viewport tool not drawn after mouse-over on track graph.
	* Ensure waypoint edit buffer always has full copy of the waypoint

2021-05-15
Rob Norris <rw_norris@hotmail.com>:
	* Improve Track Properties graph drawing for High Res displays.
	* [QA] Remove variable that is not really used
	* Remove tracks/routes when creating if finished with no points.
	* [DOC] Improved notes about using GPSD
	* Github #126: Fix URL for OSRM Foot routing
	* [QA] Use available variable, rather than working it out again.
	* [QA] Mark unused returned function values
	* Allow global HTTP User-Agent override
	* WINDOWS: Fix 'Go Back' icon.
	* Github #68: Windows - Improved Data Path Determination
	* Github #122: Fix Image Generation under GTK#3

2021-04-24
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#160: Windows - Fix handling special characters in filenames
	* Enable option to rename a track based on it's start date
	* Unconditionally use gtk_dialog_get_widget_for_response()
	* Merge pull request #124 from benIT/fix_issue_123

2021-04-22
benIT <benoit.works@gmail.com>:
	* fix issue #123: autogen.sh fails because of missing `intltool` package.

2021-04-13
Matthew Hague <matthewhague@zoho.com>:
	* Don't free provider name in search response

2021-04-11
Rob Norris <rw_norris@hotmail.com>:
	* Move some TrackWaypoint functions to be under the Transform submenu
	* [DOC] 'use_env_browser' .ini file option for $BROWSER usage

2021-03-24
Rob Norris <rw_norris@hotmail.com>:
	* Github #119: Fix build on OpenBSD
	* Improve build error message to suggest package to install
	* [DOC] Improve wiki help contents
	* Add guidance that yelp-tools needed for RPM based builds
	* Fix new version number in NEWS

2021-03-20
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.9
	* Hack for intltool brokenness
	* [DOC] GTK3: Ensure reference document build still works
	* Ensure more test files are included in the EXTRA_DIST
	* [I18N] Fix duplicate message definition in eu.po

2021-03-16
Alexander Gabilondo <alexgabi@irakasle.net>:
	* [I18N] Basque language update

2021-03-14
Rob Norris <rw_norris@hotmail.com>:
	* GTK3: Ensure lines are drawn in at desired width
	* Add statusbar output of which route finder is going to be used
	* More robust checking of timestamps in statistics table generation
	* Fix setting preferences values.
	* [QA] This still does happen, so downgrade warning
	* Maintain selected item when moving the viewport with select tool
	* GTK3: Make width of various lines related to the screen scale

2021-03-11
Rob Norris <rw_norris@hotmail.com>:
	* Enable routing from providers using OSRM services
	* Make pan_move use pending draw timeout for smoother drawing on some devices

2021-03-10
Rob Norris <rw_norris@hotmail.com>:
	* Add zoom/move scroll timeout and pinch gesture factor advanced configuration
	* GTK3: Is now the default
	* GTK3 Compatibility: Allow Window Resizing
	* [WINDOWS] GTK3 build.
	* GTK3: Support Gesture Pinch zooming
	* GTK3: touchpad/touchscreen to scroll by default
	* GTK3: Support scrolling on Wayland
	* GTK3: Use gtk_show_uri_on_window()
	* GTK3: Workaround for stupid GTK3 scrollbars
	* GTK3 Optional build with "--enable-gtk3"
	* GTK3: Test program compatibility
	* GTK3: Track property drawing rework for cairo
	* GTK3: Rework viewport, layer and tool drawing functions
	* GTK3: Various wrappers around low level cairo functions
	* GTK3 compatibility definition
	* GTK3: GtkVBox / GtkHbox -> GtkBox
	* GTK3 compatibility: Don't pass around the removed GdkDrawable* type.
	* Prevent crash if opening malformed .vik file with missing '~EndToplayer'
	* gpsd usage of altHAE instead of depreciated altitude
	* Github #116: yournavigation.org is currently down
	* Enable Reset option on Layer Properties back to Layer Defaults.
	* [QA] This function is static
	* Fix crashing if applying default layer reset more than once
	* Add missing reset functions for more Aggregate layer properties.

2021-03-09
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] General Getting Started Improvements
	* Remember to commit test file changes for DEM changes

2021-03-08
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#159: Maintain DEM Download Capability
	* Improve detection of allowable DEM files/filenames
	* Add warning about DEM files that don't load
	* [QA] Cleanup commented out code

2021-03-05
Rob Norris <rw_norris@hotmail.com>:
	* Fix missing get of new parameter prefer_gps_speed
	* Display test failure log on Travis CI build failure

2021-03-04
Rob Norris <rw_norris@hotmail.com>:
	* Read downloaded KML files with our own parser.
	* Remember URL entered in Acquire From URL
	* New method for analysing maximum speed using specific speed values if available.
	* [DOC] TrackWaypoint layer properties
	* Create compact version of statistics tables
	* Panel Tabs for General Statistics and Splits
	* [QA] Remove unused code
	* Create statistics tables using pointer array
	* Make track statistics table independent of properties widgets
	* Add VikTrwLayer function to get the only track or route if there is just one
	* Let vikwindow.h use viktrack.h types directly
	* Add function to get the notional track center
	* Expose splits tabs widget generation to be accessed anywhere

2021-02-24
Rob Norris <rw_norris@hotmail.com>:
	* Allow track properties resizing smaller.
	* Track Properties tab reordering
	* Single key Shortcuts support (Github #40 & Github #85)
	* Remove redundant keyboard trackpoint handling in Track Create/Edit tool.
	* [QA] no need to retain track length as its not used
	* [QA] These functions should be static
	* Use standard keyboard shortcut for print
	* Mark string for i18n
	* Expose some basic TrackWaypoint edit features
	* [DOC] Better description of the default startup.
	* Ensure menu shown on select right clicks.

2021-02-14
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use correct enumeration type
	* Better logic test for allowed letter value
	* [QA] Remove tests that are logically always true
	* [QA] Prefer floating point function on doubles
	* [QA] Clang compiler compatibility
	* [QA] Use appropriate maths function on integers
	* [QA] ensure variable value assigned
	* Increase acquire reliability with static analysis
	* Ensure remove route if finish route with just one point.
	* Ensure menu and toolbar layer tools desensitized when no selection
	* Fix tool key press data type usage
	* Add configuration of the default highlight colour.
	* Github #114: End Route Finder tool consistency
	* Further improvements on tool return types
	* [QA] Comment removed as no longer relevant
	* Track property drawing simplify X calculation.
	* [WINDOWS] i18n fix install location
	* i18n: English centre and colour
	* i18n: Remove junk not necessary in files for revision control

2021-02-13
Rob Norris <rw_norris@hotmail.com>:
	* i18n: .po files update

2021-02-07
Rob Norris <rw_norris@hotmail.com>:
	* i18n: Retain modified messages
	* i18n: Remove all line numbers as these can change on every code commit
	* i18n: Remove all fuzzy translations as they are invariably wrong.
	* Manual import of latest French translations in Launchpad

2021-02-06
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Advanced Preference - Auto Select Trackpoint
	* Github #113: Make Select Tool double click zoom optional
	* Ensure acquire methods uses GPX version in temporary file writes.
	* Ensure valid GPX1.1 files with 'gpxx' extensions
	* Don't write a null string GPX creator

2021-01-30
Rob Norris <rw_norris@hotmail.com>:
	* Add CyclOSM map configuration
	* Tidy up previous commit, remove function no longer used.
	* Improve drawing tools creation / destroy to use common functions
	* [QA] Static layer functions shouldn't start with 'vik_'
	* Consistent tool signatures and return types
	* Github #112: Improve reported count of tiles to fetch
	* [DOC] Fix Windows log capture commands
	* Only allow one dialog showing background processes
	* More signal function signature improvements.

2021-01-17
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing when moving waypoints with waypoint edit tool.
	* [QA] Improve string format output

2021-01-14
Rob Norris <rw_norris@hotmail.com>:
	* Make size of trackpoint/waypoint virtual point related to property size.
	* Ruler drawing: Avoid drawing fictitious line back to upper left corner
	* Ruler drawing: calculate fixed constants only once.
	* [QA] Minor tidy
	* Common tool destroy function
	* GTK3 compatibility: Use own function to get black drawing context

2021-01-10
Rob Norris <rw_norris@hotmail.com>:
	* No need to allocate memory for these colours
	* Use specific function parameter type
	* Waypoint symbol default should be blank.

2021-01-05
Rob Norris <rw_norris@hotmail.com>:
	* Remove unused function vik_gc_get_fg_color()
	* [QA] Tidy up and fix comment
	* Improve includes usage in ui_util
	* Add garminsymbols.c to i18n files as it now has a translatable string

2021-01-03
Rob Norris <rw_norris@hotmail.com>:
	* Fix "clicked" function signature
	* Prefer inbuilt gtk_icon_theme_load_icon() sizing
	* Only create Garmin symbol liststore as necessary.
	* [QA] Remove unused function vik_viewport_pan_sync()
	* GTK3 compatibility: Remove unused vik_viewport_draw_string()
	* [QA] Specifically indicate return value ignored

2020-12-30
Rob Norris <rw_norris@hotmail.com>:
	* Seemingly accidentally changed x->y in previous commit
	* Track properties simplification of Pango layout usage.
	* [QA] Don't need newline on this error message anymore
	* Use G_VALUE_INIT as now using GLIB2.30+
	* GTK3 compatibility: Reduce pixmap usage and clearer naming

2020-12-24
Rob Norris <rw_norris@hotmail.com>:
	* Enable Docker Hub user in travis CI.

2020-12-23
Rob Norris <rw_norris@hotmail.com>:
	* GTK3 compatibility: Better use of allocation sizes
	* GTK3 compatibility: remove GTK_DIALOG modifier.
	* GTK3 compatibility: use gtk_widget_get_() functions
	* GTK3 compatibility: Use gtk_dialog_get_content_area() as appropriate.
	* GTK3 compatibility: use GDK_KEY defines for keyvalues
	* GTK3 compatibility: gdk_cursor usage

2020-12-22
Rob Norris <rw_norris@hotmail.com>:
	* Avoid unnecessary screen redraws when transiting through several zoom levels.
	* [QA] Fix spelling in a comment
	* Support unreachable tiles concept for Tiles Area Coverage.
	* Small refactor of TAC drawing to allow for future reuse
	* Improve function signature
	* Modify tile download limits
	* SF Features#81: XDG-compliant file locations.
	* Github #110: Fix segfault on downloading tiles.
	* Improve thread safety of DownloadFileOptions usage.

2020-12-13
Rob Norris <rw_norris@hotmail.com>:
	* Disable more temporary Travis Docker images

2020-12-12
Rob Norris <rw_norris@hotmail.com>:
	* Github #70: Add Flatpak build
	* Only attempt to set default icon if a pixbuf is acquired

2020-12-11
Rob Norris <rw_norris@hotmail.com>:
	* Ensure update after external file load

2020-12-09
Rob Norris <rw_norris@hotmail.com>:
	* Ensure redraw when drag and dropping layers.
	* [DOC] Improved HTTPS on Windows notes following on from SF Bugs#149.

2020-12-07
Rob Norris <rw_norris@hotmail.com>:
	* Remove spurious warnings for parameters in Geoclue Layer
	* Enable variant testing for optional build components that affects .vik file output

2020-12-05
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Travis migration from .org to .com
	* [WINDOWS] Remove Start Menu entries on Uninstall
	* [WINDOWS] Update Installed Display Name
	* [WINDOWS] Stop NSIS installer warning

2020-12-03
Rob Norris <rw_norris@hotmail.com>:
	* Optionally remove filter items depending on GPSBabel availability
	* Add basic colour configuration for GPS Layer Realtime Drawing.
	* Remove spurious warnings for parameters in GPS Layer
	* Improve statusbar update to avoid attempts on deleted Windows.
	* Ensure Coord Layer properties 'Apply' updates the display.
	* [DOC] File methods on an Aggregrate Layer
	* Add ability to load external layers into a specific Aggregate Layer
	* Add some CI checks for more build configuration options.
	* [WINDOWS] Associate with TCX and KML files.

2020-11-30
Rob Norris <rw_norris@hotmail.com>:
	* Further improvement of g_return_val_if_fail() usage
	* Allow some warning messages to be suppressed.
	* SF Features#154: Warning about External Files usage
	* Enable method for various warning messages to be suppressed
	* Ensure only single requests of map tiles are made.
	* Extend settings to allow for using list of strings
	* Improve failure reporting for vik_map_source_download()
	* Improve g_return_val_if_fail() usage.
	* SF Bugs#149: [WINDOWS] Updated build
	* Fix spelling

2020-11-29
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] More words about GPS Layer
	* Fix build when geotagging is disabled
	* [QA] Use available function for updating the GC
	* Prevent compiler warning with "-Wformat-truncation"
	* Prevent compiler warning about unused label
	* [QA] Remove unused variable
	* Fix incorrect use of g_strdup_printf()
	* No need to have property name twice in maps.xml
	* Only print this debug message in verbose mode
	* Ensure redraw is triggered after select tool panning.
	* Improve includes usage in settings files
	* [QA] Remove unneeded include
	* Use sqlite3_errstr() to improve warning messages
	* Fix memory leak in mapnik layer uninit
	* [DOC] Improved grammar

2020-11-26
Rob Norris <rw_norris@hotmail.com>:
	* Travis Ubuntu 16.04 test fix.

2020-11-25
Rob Norris <rw_norris@hotmail.com>:
	* Update to use GResource for image (mainly icon) assets

2020-11-14
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Fix out of date descriptions
	* [QA] Cross Build shouldn't need gnome-doc-utils anymore
	* [WINDOWS] Update for main help filename change
	* Allow -ve DEM minimum height.
	* Alternative DEM drawing method

2020-11-09
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Cover most Edit and View menu options
	* Github #107: Support entering date/time value as text.
	* Github #106: Allow entering lat/lon pairs of text in latitude fields.
	* SF Features#157: Export Save to a Single GPX File
	* Rework export for any VikLayer
	* SF Features#158: DEM Colour Customization.
	* Only load DEM files if the list has changed.

2020-11-07
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Includes Goto in main window
	* Online Goto search in the side pane.
	* Utility for making new pixbufs filled in with a colour
	* [QA] Remove unused function
	* [QA] This type should be NULL terminated
	* [DOC] More internal links for TrackWaypoint and Map layers
	* [DOC] GeoClue formatting
	* [DOC] Further DEM layer documentation
	* [DOC] Shift DEM help into separate file

2020-10-31
Rob Norris <rw_norris@hotmail.com>:
	* Prepare some goto seach functionality for reuse
	* Allow some future expansion of additional widgets in layers panel
	* Simplify time removal/copying access
	* Much faster TAC drawing
	* Show a track/route graph when a TrackWaypoint layer is selected
	* Add file type filters for file export
	* Fix memory leaks in GList handling
	* Fix various memory leaks
	* A simpler way to free list memory
	* SF Bugs#158: Use Size of Trackpoint or Waypoint in selecting the item.
	* SF Features#155: Add Save As keyboard default shortcut
	* Add track/route rotate method
	* [DOC] The Top Layer can now be renamed

2020-10-23
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Fix various spelling mistakes

2020-10-20
Andreas Hollmeier <andreash64@mailbox.org>:
	* Ensure great circle drawing does not miss a step

2020-10-20
Rob Norris <rw_norris@hotmail.com>:
	* Recreate maps download menu each time
	* Improve cancelling of TAC mbtiles file selection save.
	* Prefer to use g_messsage() over g_printf()
	* Allow percentage by time to return 0
	* Fix some off by 1 errors
	* [QA] Remove unused function
	* Fix handling of text pasted from web browser
	* Maintain ordering of online goto search results
	* Fix compiler warnings for uninitialised variable usage
	* [QA] Fix typo in comment
	* [QA] Remove unused function definition
	* Allow re-centering on the same search result
	* [QA] Simply assign the value
	* Fix Waypoint symbol X size drawing as its too big
	* Fix selected Waypoint symbol as circle drawing
	* Mark string for i18n
	* Fix applying route limit on export
	* [QA] vikgoto cleanup

2020-09-11
Andreas Hollmeier <andreash64@mailbox.org>:
	* Added great circle rendering to the ruler tool

2020-09-10
Rob Norris <rw_norris@hotmail.com>:
	* Fix make distcheck usage

2020-09-10
lbayuk <lbayuk@users.sourceforge.net>:
	* SF Bugs#157: Fix May Show Wrong Waypoint Symbol in Properties Dialog

2020-09-10
Rob Norris <rw_norris@hotmail.com>:
	* Improve statusbar message for Waypoints with no altitude
	* Further GPX1.1 Extension variants encountered
	* [QA] Fix spelling of variable
	* Fix future calendar search message
	* Fix build without oauth
	* Fix GeoClueLayer tracking draw
	* [QA] Fix function signature
	* Github #102: Increase Map Cache Allowable Maximum Size
	* Allow debug mode to be controlled by the GUI
	* Remove unnecessary response accept handling
	* Capture g_log output and make available in the GUI
	* Debug output improvements

2020-08-15
Rob Norris <rw_norris@hotmail.com>:
	* Add tooltip on list views to show number of items
	* Fix displaying blank names

2020-08-02
Rob Norris <rw_norris@hotmail.com>:
	* Github #99: Double click zoom for select tool.
	* Fix keyboard menu button bringing up the viewport menu

2020-07-16
Rob Norris <rw_norris@hotmail.com>:
	* Prevent glib warnings as trigger layer maybe NULL

2020-07-07
Rob Norris <rw_norris@hotmail.com>:
	* Github #96: Ensure Time Display property used in all time displays

2020-07-05
Rob Norris <rw_norris@hotmail.com>:
	* Further to SHA:338b14f450148cc7edf0b18eb84a8d8b9f4cf987
	* Fix SHA:8c1a13280c544548cf82f510b2d067c72c9da8c5

2020-07-04
Rob Norris <rw_norris@hotmail.com>:
	* Common function for window zoom at x,y pixel position
	* Only close the relevant layer graph on visibility change.
	* Tile Area Coverage: Allow specifying time period.
	* Use consistent type
	* Update statusbar on selecting previous/next trackpoint.
	* [DOC] Is not a GNOME Documentation Project
	* SF Features#137: [DOC] Avoid unnecessary capitals text
	* Add analysis of tracks by months.
	* Further distance text rework.

2020-06-26
Rob Norris <rw_norris@hotmail.com>:
	* Waypoint properties dialog looks better if various labels not insensitized
	* Revert some unintentional unnecessary mnemonic indicator additions
	* Add missing name
	* Github #98: Fix crash on upload to OSM
	* Further track property rework amendments
	* Remove junk in it.po
	* Github #87: Enhanced Select mode
	* Additional KML Export controls
	* Native KML parser support.
	* GPX1.1: Read and display support for common GPX fitness extensions
	* Don't need to force preferences window closure anymore

2020-06-15
Rob Norris <rw_norris@hotmail.com>:
	* Add capability to create track segments from an existing track.
	* Ensure saving the top layer aggregate properties in .vik files
	* More menu icons
	* Github #65: Geotag against waypoints
	* Set full tree visibility to be on when a track is requested to be viewed
	* Change warning message to debug as these are not unexpected.
	* Common DEGREE_SYMBOL use
	* Github #86: Part3, Enable reset of layers defaults
	* Github #86: Part3, Enable reset of layers defaults
	* Make a_uibuilder_new_widget() just create the widget
	* Github #86: Part2, Enable per group reset of preferences.
	* Github #86: Part1, Reset All Preferences option

2020-05-28
Rob Norris <rw_norris@hotmail.com>:
	* Commonal distant text and functions rework
	* Track Property DEM checkbox buttons and draw functions rework
	* Github #81: Mapbox Outdoors deactivated. Make OpenTopoMap the default
	* Fix logic to ensure simplify of selected route on export
	* Github #94: Prevent removing existing EXIF GPS Data in geotagging
	* Fix: compiling with GCC 10 '-fno-common'
	* About time that the OSM scheme is made the default map cache layout.
	* Make new track and waypoint functions visible by default
	* Add extra high zoom track area coverage level
	* Stop notebook autofocus on track statistics
	* Allow add track to not have to specify name.
	* Allow control over individual waypoint names being displayed on the viewport
	* Enable right click menu on viewport for Aggregate Layers
	* Github #88: Make Waypoint Properties dialog reusable.

2020-05-22
Rob Norris <rw_norris@hotmail.com>:
	* Add feature to display a heatmap for tracks in an Aggregate Layer
	* GPX 1.1 basic read/write support of extensions
	* Large refactor to commonize graph drawings
	* Remember track list and waypoint list window sizes
	* Compress padding in Track Properties window
	* Update calendar view after track segment split
	* Remove useless use of g_list_concat()
	* Merge pull request #2 from jidanni/patch-1

2020-05-11
積丹尼 Dan Jacobson <jidanni@jidanni.org>:
	* Update index.docbook

2020-05-10
Rob Norris <rw_norris@hotmail.com>:
	* README.md extras: License & Build History
	* Make preferences / layer properties windows scrollable
	* Select the trackpoint when using a goto trackpoint function
	* Better dialog size, to ensure not too small.
	* Consistent graph size checking
	* For track & waypoint lists use full tree visibility
	* Fix sorting routes on route rename.
	* Sorting should only be attempted on items that exist

2020-05-08
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove spurious ')' from string
	* Fix memory leak in osm file upload
	* Rudimentary hide strings
	* Don't output too much information in debug mode
	* Make preferences.h generally available
	* [DOC] Add some attributions and update detail
	* Github #93: Clarify zoom levels
	* Bump minimum Gtk+ required to 2.18

2020-05-03
Rob Norris <rw_norris@hotmail.com>:
	* Allow specifying suboptions for GPSBabel export
	* [QA] Only need one gtk_widget_show_all()
	* Support GPX Track and Route Numbers
	* Split track properties into two tabs.
	* Github #92: Better map 'name' property fallback
	* Add ability to add custom http headers in map download requests
	* [DOC] Ensure more map properties are listed.
	* Allow -1 for "follow-location" map property.
	* SF Features#150: Allow specifying an offset for map sources
	* Fix building with configure option '--disable-openstreetmap'
	* Remove unused old glib compatibility code

2020-05-01
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use enum instead of hardcoded number
	* Use selected search result rather than search input
	* Allow saving any individual aggregate layer as an .vik file.
	* Add new builder widget type.
	* Fix crash when using Goto->Date on a track from the viewport.
	* Disable more temporary Travis Docker images

2020-04-23
Rob Norris <rw_norris@hotmail.com>:
	* Allow saving any individual aggregate layer as an .vik file.
	* Fix crash when using Goto->Date on a track from the viewport.
	* SF Features#153: Add TOC to MasterHelp wiki page

2020-04-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix type field not copied on track copy
	* Ensure TRW sublayers sorted on properties 'apply'.
	* Support reading in GPX route 'type' from files.

2020-04-16
M. Volkmann <mv87@dismail.de>:
	* Improved German Translations

2020-04-16
Rob Norris <rw_norris@hotmail.com>:
	* Update to glib 2.38 to use G_DEFINE_TYPE_WITH_PRIVATE

2020-04-11
Rob Norris <rw_norris@hotmail.com>:
	* Travis Ubuntu 16.04 test fix.

2020-04-10
Rob Norris <rw_norris@hotmail.com>:
	* Better types and add extra output into warning message for unknown map ids
	* gpspoint individual field file writing commonality
	* Full GPX1.0 waypoint support
	* Enforce writing waypoints/tracks/routes in the same order in .vik files
	* Add conversion methods between tracks and waypoints
	* Enable method to remove a timestamp value in a waypoint or trackpoint
	* SF Features #136: Allow setting time of waypoints from waypoint comment
	* When geotagging attempt to use a dated photograph directory
	* Fix memory leaks in usage of gtk_file_chooser_get_filename()
	* Fix various memory leaks
	* Another attempt to make removing background tasks more reliable.

2020-04-06
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Type correction
	* Export to MBTiles file option for TAC pixbufs
	* [DOC] Mention waypoint transform options
	* Mark strings for i18n
	* [QA] Reduce scope of some variables

2020-04-05
Rob Norris <rw_norris@hotmail.com>:
	* Bump glib required version due to use of g_list_free_full()
	* Correct usage of union field types
	* Text output of failed to open file name.
	* sqlite3_close() should be called after a failed open
	* [QA] Be specific that this return value is ignored
	* Fix not showing track name in track edit dialog
	* Remove unnecessary define
	* Enable height axis controls on the elevation graphs only.
	* Preferences configuration of Track Properties Dialog
	* Function to convert speeds from specified unit into mps
	* Better location for mode values
	* Make waypoint source and type fields always available
	* Shift waypoint properties into a basic tab
	* [Windows] Don't bother trying to build help on Windows

2020-04-05
Balló György <ballogyor@gmail.com>:
	* Port to yelp-tools

2020-03-08
Matthew Hague <matthewhague@zoho.com>:
	* Add filter box to waypoint list on aggregate layers
	* Add filter box to track list on aggregate layers

2020-02-23
Rob Norris <rw_norris@hotmail.com>:
	* Indexs into arrays can't be negative
	* Standard new dialog setting
	* Test to check help file is always valid
	* Test basic levels of some configure options
	* Fix showing all higher zoom map tiles when current zoom unavailable.
	* Fix default map not showing on initial startup
	* [QA] Remove definition of unimplemented function
	* Add a menu option to view all TrackWaypoint layers within an Aggregate layer.
	* [DOC] Mention visibility at the aggregate layer
	* Fix incorrect y zoom calculation
	* Add keyboard accelerator for this menu entry
	* Enforce UTF8.
	* [DOC] Updated notes about generating wiki help
	* [DOC] Update script for extracting git log news

2020-02-09
Rob Norris <rw_norris@hotmail.com>:
	* Github #80: Fix build with '--with-libexif'

2020-02-04
Nikolay Korotkiy <sikmir@gmail.com>:
	* Fix build without sqlite
	* Fix build without mapnik

2020-02-02
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.8
	* Workaround broken gtkdoc-scan
	* [QA] Ensure comment is in English
	* Add bzip2 version information in debug dialog
	* Ensure zip files get closed.

2020-01-31
Rob Norris <rw_norris@hotmail.com>:
	* Expose KMZ XML error status at least to stdout
	* Basque language update
	* Support GPSD API 9

2020-01-30
Rob Norris <rw_norris@hotmail.com>:
	* Give up using global env in .travis.yml

2020-01-29
Rob Norris <rw_norris@hotmail.com>:
	* Attempt revert of broken .travis.yml
	* Basic read TCX (v2) file support
	* For adding new waypoints, default the symbol to the last one used
	* Expose GPX XML error status at least to stdout
	* [QA] This function is only in this file
	* [QA] Move variables from global space into local only scope
	* Add expat version information in debug dialog
	* Enable center view on track from embedded graph menu
	* Draw trackpoint in main viewport
	* Improve embedded graph display shown/hidden according to visibility.
	* Commentary about a small edge effect for gradient drawing per DEM file
	* Improvements to DEM code for handling array access.
	* Add and use the ability to set the visibility off all parents in the tree.
	* [QA] Only need to get the VikLayer once.
	* [DOC] Mention statistics for years of track data
	* Add Edit->Trackpoint option to the main graph menu
	* [QA] Remove vtl->current_tp_id
	* Draw selected trackpoint in embedded track graph
	* Add zip & bzip2 types to the file open selection list
	* Add Track Area Coverage feature
	* Add GeoClue layer

2020-01-06
Rob Norris <rw_norris@hotmail.com>:
	* Remove some layer entries in viking.h
	* Tidy use of includes
	* [QA] Better use of system header include
	* [QA] Remove some unnecessary include statements
	* Oops: remove extra debug print out

2020-01-04
Rob Norris <rw_norris@hotmail.com>:
	* Display undefined elevation values better in waypoint list dialog
	* [QA] Remove unused variable
	* [WINDOWS] Allow usage of newer GPSD API
	* Debug dialog for run time & build info
	* Embedded Graphs in Main Viewport.
	* Track Properties dialog refactoring for better reuse

2019-12-21
Rob Norris <rw_norris@hotmail.com>:
	* Revert "Fix signal signatures" SHA:1dd1b113820c1e61cedfbdc2c0cf90eebb201e8e

2019-12-18
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] https all the things
	* [DOC] GPSBabel 1.6.0 does now support GeoJSON files.
	* [WINDOWS] Installer: Remove unused English translation
	* [WINDOWS] No longer distribute GPSBabel with Viking

2019-12-17
Rob Norris <rw_norris@hotmail.com>:
	* Print warning if gpsbabel get features failed
	* Allow tracks statistics to optionally avoid those with no times.
	* Add a per year track analysis

2019-12-16
Rob Norris <rw_norris@hotmail.com>:
	* Output splits information in treeview tables
	* Cell formatting of speed
	* Create and use common speed conversion & text functions

2019-12-15
Rob Norris <rw_norris@hotmail.com>:
	* Fix track splits up/down values, which were the wrong way around.
	* Make the track splits report the last split as total length
	* Automatically attempt to set elevation data on trackpoint/waypoint moves
	* Make 1f cell format function more available
	* Yet more improvements to internal time handling
	* Don't allow reordering of columns in track & waypoint lists.
	* Track listing improvements for route information
	* Improved time displays.

2019-12-13
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Rename function
	* [DOC] Add missing key shortcuts
	* Fix function signature
	* Emit update on track DEM change
	* Fix signal signatures

2019-12-06
Rob Norris <rw_norris@hotmail.com>:
	* Always attempt to apply DEM data to routes acquired via the Route Finder.
	* Simpler to apply dem directly to a trackpoint.
	* Waypoints changed count can't be negative
	* Track properties: Simpler to keep a reference to each image
	* Set custom time threshold to the value of the selected option.
	* Add an option for a 6 hour time threshold
	* [QA] Confirm don't use the value from these idle_add type functions
	* [QA] Improved variable name

2019-12-03
Rob Norris <rw_norris@hotmail.com>:
	* [QA] More defensive code
	* [QA] This draw event is unnecessary
	* Fix signal signatures
	* [QA] Use a variable for clarity instead of repeating code.
	* Make all Webtools default to https and remove OSM (render) option.
	* [DOC] Better aggregate operations section end location
	* More reusable track analysis reset
	* [QA] Remove unnecessary function return value.
	* [QA] This function is only used in this file
	* Analysing many tracks may take some time so show a busy cursor
	* Further improvements to internal time handling

2019-11-04
Rob Norris <rw_norris@hotmail.com>:
	* Fix display of multi select item popups.
	* Remove timings split tab when no timings are available.

2019-10-31
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #74 from yourealwaysbe/ctrl-pan

2019-10-28
Matthew Hague <matthewhague@zoho.com>:
	* Prevent track edit disabling ctrl-pan

2019-10-06
Rob Norris <rw_norris@hotmail.com>:
	* Add track timing speed splits tab on track properties.
	* [QA] Fix misspellings of aggregate.
	* Allow loading selected files into an Aggregate layer.

2019-10-05
Rob Norris <rw_norris@hotmail.com>:
	* Improved handling of file load issues within zip files
	* Better handling of no timestamps for generating track metadata time
	* Fix calendar forward/backwards on some dates.
	* Fix typo in help text of cache tool
	* Don't generate update events on failed map tile downloads
	* [QA] Make some variables const
	* 'update' signal is a Viking signal
	* Fix scroll event function signature.
	* Fix potential crashes on clearing background tasks.
	* [QA] Use standard macro for getting number of array elements
	* Improved icons for Aggregate and Maps layers
	* Handle displaying invalid heights more elegantly.

2019-08-26
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #72 from krichter722/travis-improve

2019-08-04
Karl-Philipp Richter <krichter722@aol.de>:
	* Minor travis improvements and add ubuntu:19.10

2019-05-27
Rob Norris <rw_norris@hotmail.com>:
	* Native open Bzip file support
	* Native zip file opening support
	* Make Append load into the selected Aggregate layer.
	* Remove the 'has_timestamp' property on trackpoints and waypoints.
	* Support sub-second timestamp precision.

2019-05-06
Rob Norris <rw_norris@hotmail.com>:
	* Fix memory leak in mapnik rendering.
	* Enable option to geotag images according to either UTC or local timestamps
	* [DOC] Add missing geotag options
	* Update map links.
	* Add TrackWaypoint layer options to apply on file load.
	* Add scrolling options for better usage with touchpads
	* Make minutes per distance pacing use minutes:seconds for display
	* Reusable speed text string as a function
	* [QA] Fix compiler warning
	* Make warning about lack of GPSBabel non critical

2019-05-03
Rob Norris <rw_norris@hotmail.com>:
	* Keyboard enhancements
	* Add menu options to go to the next or previous trackpoint
	* Add right click menu to the calendar.
	* [DOC] Mention can open from stdin by specifying '-'
	* Avoid GTK Critical warning in uibuilder

2019-05-02
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use a variable instead of repeating code.

2019-03-17
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'Integration'
	* [DOC] Some grammar fixes.
	* Allow opening a TRW layer external file with a text editor
	* Use NAN instead of 0.0 for invalid values.
	* [QA] Compress some lines of code for better overall readability
	* [QA] Remove some unnecessary code

2019-03-05
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Add some links between layers and the associated tools.
	* [DOC] Some tips for diagnosing issues on Windows
	* Build the context menu entries with a reusable function
	* Enable selecting multiple files as external GPX files

2019-02-21
Rob Norris <rw_norris@hotmail.com>:
	* Remove VW_OPENWINDOW_SIGNAL

2019-02-18
Rob Norris <rw_norris@hotmail.com>:
	* Enable menu key on keyboard to open the selected context menu
	* Fix sometimes insert trackpoints doesn't work
	* [QA] Better grammar in a comment
	* Better way of handling null tooltips in the treeview
	* Fix file magic usage in case of filename not existing
	* Prefer const gchar*
	* [QA] Whitespace tidy
	* [QA] Better include statements for system functionality

2019-02-02
Rob Norris <rw_norris@hotmail.com>:
	* Replace individual gtk_widget_show() with a single gtk_widget_show_all()
	* There is a MIME type for opening GPX files.
	* Improved output of some ruler values.
	* SF Features#117: Area calculation tool

2019-02-01
Rob Norris <rw_norris@hotmail.com>:
	* Fix area calculation of image generation in LatLon coord mode.
	* Window tool rework for future use.

2019-01-21
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.7
	* Force .po files update
	* Import Launchpad translation updates
	* Revert "Force .po files update"

2019-01-18
Matthew Hague <matthewhague@zoho.com>:
	* Change of search to present a list of results

2018-12-16
Rob Norris <rw_norris@hotmail.com>:
	* Add Calendar display for Tracks
	* Fix webtoolformat for point formats

2018-12-10
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Should be using unsigned variable type
	* Ensure using an MBTiles file as a map default works.
	* Ensure on (re)opening MBTiles the map gets drawn.
	* [QA] Make explicit this function call result is not used
	* Github #63: Allow automatic location lookup on demand.
	* Github #63: Allow configuration of GeoClue accuracy request level
	* Better processing of tracks with missing elevation data on the first trackpoint.

2018-12-04
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#154: Remember to commit test program
	* [WINDOWS] Mention file used for 64bit build
	* SF Bugs#154: Ensure GPX output values are XSD:Decimal
	* Fix crash in copying between instances of Viking
	* [QA] Actually use error message
	* New property of TRW layer should be performed only when a display is available
	* [QA] More standard use of #include directive for own files

2018-11-20
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Extra blank lines for markdown text

2018-11-18
Rob Norris <rw_norris@hotmail.com>:
	* Ensure curl cleanup is called after all curl usage
	* Use HTTPS for OSM trackpoint downloads
	* Convert thumbnail image cache from a custom list to a hash table.

2018-11-12
Rob Norris <rw_norris@hotmail.com>:
	* Repair broken travis ubuntu builds + add cosmic
	* Github Issue #62: Address Endianness Issue with OSM Metatiles

2018-10-26
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix unintended change to GPL copyright notice text.
	* [QA] Remove unnecessary g_free() statement.
	* Default to KMZ file type filter on Import from KMZ dialog.
	* Improve georef xmpp calculation for large areas.

2018-10-17
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Prevent some potential critical warnings in Georef layer drawing
	* Fix memory leak in Georef layer
	* Auto suggest a filename in exporting to a KMZ file.
	* Support multiple images in reading KMZ files.

2018-10-15
Rob Norris <rw_norris@hotmail.com>:
	* Support KMZ files with 'Document' xml namespace
	* SF Bugs#151: Compatibility with GPSD API v7.[Part 3]

2018-10-08
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#151: Compatibility with GPSD API v7.[Part 2]

2018-10-07
Rob Norris <rw_norris@hotmail.com>:
	* Use libzip in travis build.
	* [QA] Lengths can not be negative: part 2.

2018-10-06
Rob Norris <rw_norris@hotmail.com>:
	* Prevent compiler warnings about potential uninitialised variables.
	* Better scoping of functions when building without libzip
	* Improved usage of g_debug()
	* [DOC] Prevent some warnings in man page generation
	* Fix logic condition in UTM drawing
	* Fix elevation range readouts can be imprecise.
	* [DOC] Add figure and words for Aggregate Statistics.
	* Add calculation of Eddington number to Statistics
	* [QA] Remove unused parameter
	* [QA] Lengths can not be negative
	* [QA] Some white space fixups
	* Github Issue #59: Allow build of documentation on more systems

2018-09-27
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#148: Allow better resizing of Trackpoint Edit dialog
	* Improved .spec file to install help and man files
	* Tidy up messed up merge of OAuth

2018-09-25
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#152: Fix repeatedly showing the license dialog
	* Fix handling actual URLs in GPX Waypoint links
	* Distribute the new README.md file
	* Make explicit the default enum value.
	* Generally prefer g_new0() over g_new()

2018-09-24
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #58 from sikmir/fix-open-mbtiles

2018-09-18
Nikolay Korotkiy <sikmir@gmail.com>:
	* Fix opening MBTiles file

2018-09-13
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #53 from yourealwaysbe/edit-tools-shift

2018-09-08
yourealwaysbe <matthewhague@zoho.com>:
	* Merge branch 'master' into edit-tools-shift

2018-09-08
Matthew Hague <matthewhague@zoho.com>:
	* Crosshair cursor for track/route edit split-join
	* Add key_release to VikToolInterface
	* Add splitter tool

2018-09-05
Rob Norris <rw_norris@hotmail.com>:
	* Don't remove default map layer on loading a recent GPX file
	* Fix debug output to use the correct variable
	* Waypoint position could have changed by altering lat/lon manually
	* SF Bugs#151: Compatibility with GPSD API v7
	* OSM Notes has moved to https
	* [QA] Remove extraneous brackets

2018-09-01
Matthew Hague <matthewhague@zoho.com>:
	* Enhance track/route new to track/route edit

2018-08-27
Rob Norris <rw_norris@hotmail.com>:
	* Ignore unknown actions in toolbar customization.
	* Load GPX & KML files to the selected layer on demand
	* Fix busy cursor getting stuck on
	* Unsensitize some menu entries when not relevant
	* Add function to delete duplicate waypoints.
	* Merge pull request #54 from yourealwaysbe/route-finder-segments

2018-08-26
Matthew Hague <matthewhague@zoho.com>:
	* Prevent route finder creating new segments

2018-08-25
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Better policy not to modify parameter
	* Make Ctrl+Delete delete the selected item.
	* Enable string lists to expand vertically with dialog resize
	* Remove hard coded widget size request for file lists
	* High Resolution Display Support
	* Merge pull request #51 from guyou/improve-doc
	* Fix automake build, as it needs a 'README' file.
	* Convert README into Markdown format.
	* A setting to control opening file behaviour.

2018-08-24
Rob Norris <rw_norris@hotmail.com>:
	* Protect against accessing out of bounds data in copying TRW layers

2018-08-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add missing trailing dot in sentences
	* DOC: use variablelist for contextual enumeration
	* DOC: use variablelist for graphical options enumeration

2018-08-21
Rob Norris <rw_norris@hotmail.com>:
	* Add Build Status to README
	* Merge pull request #49 from guyou/patch-1

2018-08-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Do not redownload sources

2018-08-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update .travis.yml

2018-08-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix travis builds
	* Enable use of clear function for most entry textboxes.
	* OAuth 1.0 support for OpenStreetMap usage
	* Add preferences lookup
	* Allow method to close preferences dialog
	* Function to get a VikWindow
	* Improved way to access existing parameters
	* Allow downloading via curl into memory rather than having to write to a file.

2018-08-16
Rob Norris <rw_norris@hotmail.com>:
	* Really fix copying TRW layers to ensure all data is copied.

2018-08-13
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Improve a variable name & a comment
	* [QA] Prevent compiler warning
	* Fix memory leak in setting track/route new names
	* Fix copying TRW layers to ensure all data is copied.
	* [QA] More explicit statement about ignoring the returned value
	* Extend allowed fixed zoom levels for a map view

2018-07-08
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Minor update on the Windows build guide
	* Github Issue #46: Better use of realpath()
	* No need to get the list of trw layers twice in a search by date
	* Prevent crashing on malformed .vik files
	* Fix reading Author name in GPX1.1 files
	* Support SOURCE_DATE_EPOCH in date usage

2018-06-29
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #42 from yourealwaysbe/external-layers

2018-06-28
Rob Norris <rw_norris@hotmail.com>:
	* Default OSM Nominatim Search address to use https
	* Github Issue #45: Fix OSM GPX Upload For Change to HTTPS

2018-06-06
Matthew Hague <matthewhague@zoho.com>:
	* Add external GPX layers
	* Expose choose_file for vikfileentry

2018-05-28
Matthew Hague <matthewhague@zoho.com>:
	* Change track timestamp ordering to fall back on name
	* Add file save dialog to uibuilder

2018-05-18
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #43 from krichter722/travis-trusty-comment

2018-05-17
Karl-Philipp Richter <krichter722@aol.de>:
	* .travis.yml: Clarify restrictions for Ubuntu 14.04

2018-05-14
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Windows 32bit build on OpenSUSE no Longer functional.
	* SF Bugs#149: [WINDOWS] HTTPS workaround.

2018-05-13
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Enable use of client GPSD DLL (libgps.dll)
	* Need to redraw after track segment merge.
	* Merge pull request #41 from krichter722/travis

2018-05-13
Karl-Philipp Richter <krichter722@aol.de>:
	* added initial .travis.yml

2018-05-12
Rob Norris <rw_norris@hotmail.com>:
	* Merging tracks into a route isn't sensible
	* Fix combining routes having more than one segment
	* SF Bugs#148: Fix reversing manually created tracks & routes
	* More action items button icons.
	* Fix test program geotag_write for updated function interface.
	* [QA] Explicitly mark these functions for ignoring returned values.
	* Enable control of showing side panel buttons
	* Fix some small memory leaks.
	* [WINDOWS] Text string for GPSBabel is now version 1.5.4
	* [WINDOWS] Use UTF8 mode on installer translation files
	* [WINDOWS] NSIS plugin location has changed

2018-04-08
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#140: Allow Escape Button to return to default tool
	* SF Features#140: Allow configuration of the default window tool
	* Save to GPS Device Auto GPX Simplification
	* Improved GPX write to disk reliability on Linux
	* Rename directory win32 -> windows as it now 64bit compatible.

2018-04-02
Rob Norris <rw_norris@hotmail.com>:
	* Support Garmin Hunter waypoint symbols
	* [DOC] Ensure man page covers routing.xml extension file
	* [DOC] Mention url-ll-lat-first routing option
	* [DOC] Cookie file has not been used for long time

2018-03-05
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'WaypointDirection'
	* Allow tolerance in comparing waypoint vs geotag position.
	* Allow positional comparison with some tolerance
	* When geotagging set the time of waypoint.
	* Add option to set waypoint image direction automatically when geotagging images.
	* Add function to get the angle of one coordinate from another.
	* Save waypoint image direction in .vik files
	* Add function to convert double to a string with specified format
	* Write support for EXIF GPS Image Direction
	* Basic read GPSImgDirection support from image files.

2018-03-05
Sebastien Bocahu <sebastien@bocahu.name>:
	* Add support for Brouter routing service

2018-03-03
Rob Norris <rw_norris@hotmail.com>:
	* Better use of a_dialog functions
	* [DOC] Better section title
	* Store information about the original GPX creator

2018-02-18
Rob Norris <rw_norris@hotmail.com>:
	* Allow configurable 'creator' value in writing GPX files

2018-02-12
Rob Norris <rw_norris@hotmail.com>:
	* Ensure better GPX specification output

2018-02-10
Rob Norris <rw_norris@hotmail.com>:
	* Use enumeration rather than fixed numbers
	* Remove definition of non existent function.

2018-02-04
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] List dependencies better (many are optional)
	* Allow 'Apply' for layer properties.
	* Make loading lots of GPX files much faster
	* [QA] Explicitly ignore some return values
	* Fix gpx2gpx.c for latest function changes

2018-02-04
danfos <emfee@gmx.net>:
	* Remove debug printf

2018-02-04
Rob Norris <rw_norris@hotmail.com>:
	* Tests for timegm() usage
	* GeoClue support to get the initial location
	* [WINDOWS] Update to GPSBabel 1.5.4
	* Use correct initial table size
	* Improve speed of opening large .vik files
	* Fix issue with geotag location/time processing.

2018-01-20
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Improve XML validation

2017-10-31
Rob Norris <rw_norris@hotmail.com>:
	* DEM Availability by area
	* Use LatLonBBox type with DEMs
	* Use LatLonBBox type more for viewport areas
	* bbox uses glib types
	* Don't load files into invisible layers
	* Fix loading DEMs from files.

2017-10-01
danfos <emfee@gmx.net>:
	* Clip improvements, previous code was not working correct for long distances.
	* Improve/simplify vik_viewport_compute_bearing
	* OSM can use both email and username (GitHub Issue #25)
	* Allow also negative easting and northing values
	* Make Ctrl-F open the Search Location window

2017-10-01
Rob Norris <rw_norris@hotmail.com>:
	* Fix memory leaks with ruler usage.
	* Improve function comment
	* Fix correct parameter usage in babel shell command
	* Remove unnecessary track name copy.
	* Fix correct type usage for wpt_sym name preference
	* Force .po files update
	* Prevent compiler warning
	* Remove unintentional carriage return in a string

2017-10-01
Davide Del Vento <davide.del.vento@gmail>:
	* Option to use pace for speeds

2017-08-24
Rob Norris <rw_norris@hotmail.com>:
	* Some spelling fixes in a comment
	* Fix memory leak in freeing Waypoints.
	* Fix small memory leak.

2017-08-21
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #32 from davidedelvento/installnotes

2017-08-04
Davide Del Vento <davide.del.vento@gmail>:
	* More dependencies needed, specified in the README

2017-06-29
Rob Norris <rw_norris@hotmail.com>:
	* Fix memory leak on re-downloading 'bad' map image tiles.
	* gpsbabel filters must come after the input file type+name.
	* Remove definition of a non existant function

2017-06-08
Rob Norris <rw_norris@hotmail.com>:
	* Ensure maximum altitude is shown in track properties.
	* SF Bugs#146: Fix showing elevation gain/loss in track properties.

2017-05-20
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#144: Fix Export to World File
	* Some explicit setting of dirpath values to NULL.
	* SF Bugs#138: Fix handling of <link> tags in GPX files.
	* Embed GtkHTML 4.10.0 URI functions
	* Fix relative file path loading for DEM files.
	* Functions to convert potentially relative filenames to absolute filenames.
	* Make a newly loaded file layer more accessible in the layers panel

2017-05-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add 4UMaps example
	* Add OpenTopoMap example
	* Adding Waymarked Trails layers as example

2017-04-29
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Switch from ordered list to a itemitized list.
	* Automatically remove suspicious first points of GPX Tracks.
	* Remove unnecessary include statement
	* Ensure string value is copied.
	* Some test programs should call more uninit functions.
	* Rework layer set parameters so it should be more easily extendable.

2017-04-14
Rob Norris <rw_norris@hotmail.com>:
	* Remove unnecessary defines and undefs
	* Remove non existent function.
	* Shift pure glib code from file.c to fileutils.c to simplify dependencies.

2017-04-04
Rob Norris <rw_norris@hotmail.com>:
	* XDG_CACHE_HOME compliant thumbnail usage
	* Have a non blank tooltip for empty aggregrate layers
	* [DOC] Mention XML configuration can override internal defaults.
	* Make each tool contain it's own icon definition.
	* Ensure consistent use of internal names in building the UI

2017-03-31
Rob Norris <rw_norris@hotmail.com>:
	* Use configurable apikey for OSM Cyclemap tiles.
	* Fix comment in AC DEFINE
	* Remove unused define

2017-03-28
Rob Norris <rw_norris@hotmail.com>:
	* Actually use the calculated scale factor in the viewport
	* [DOC] Mention map tilesize configuration.
	* Improve function comments as these don't return anything
	* Fix small memory leak when downloading bzip files.

2017-03-17
Rob Norris <rw_norris@hotmail.com>:
	* Menu option to (re)open an MBTiles file.
	* Shift include of gpsmapper.h to the only place that uses it
	* Add OSM GPS Tiles in default data config
	* Remove old tests that no longer useful
	* Put vikutils.h into viking.h
	* Tidy up type usage
	* Disable download menu options for non-downloadable maps

2017-03-13
Rob Norris <rw_norris@hotmail.com>:
	* Enable compile time option for Mapbox access token.
	* Enable compile time option for geonames username
	* Use our standard yes/no dialog box and enable i18n of the string.
	* Tidy TrackWaypoint post read & verify thumbnails functions
	* Fix gps layer not showing items after file load.
	* Really empty GPS realtime layers.
	* Prevent Gtk Warnings in deleting all TrackWaypoint items
	* Fix spelling in gpsd retry warning print out
	* More consistent variable names in gps layer
	* Compatibility for latest GEXIV2 0.10.4
	* Trap some errors reported by gpsbabel
	* Threading rewrite to remove use of unsupported cross platform threading update of the GUI.
	* Improve GPS layer tooltip to include GPSD connection details.
	* Add option to auto connect to GPSD rather than having to manually control

2017-02-27
Rob Norris <rw_norris@hotmail.com>:
	* Fix Waypoint name suggestion after delete all waypoints
	* Fix GTK warnings in Waypoint window
	* [DOC] Notes about using the URL field in map configs
	* More strings marked for i18n
	* Fix URL display of Map tiles
	* Improve hostname/uri usage
	* Fix GPX file loading in a previously selected layer.

2017-02-25
Rob Norris <rw_norris@hotmail.com>:
	* Add Church as a Wikipedia waypoint feature type.

2017-02-25
huobos <huobos@yahoo.com>:
	* Some more variables need marking for i18n
	* More Chinese translations
	* Make more text translatable
	* Replace remaining gettext calls with '_'
	* Improved method for Wikipedia i18n URL

2017-01-24
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #20 from huobos/zh_CN

2017-01-24
huobos <huobos@yahoo.com>:
	* zh_CN translation

2017-01-22
Rob Norris <rw_norris@hotmail.com>:
	* Info message to remind user of the version in use.
	* Ensure correct capitalization of the program name
	* Improved feedback/feature availability when no direction routing engines are available.
	* Add function to return counts of available routing engines.
	* Add YOURS online routing.
	* Remove as OSRM routing option as it no longer supports GPX output.
	* [DOC] Add details about routing format option
	* Allow specifying an alternative URL base location for acquiring DEM SRTM files.
	* Use https DEM download site by default
	* Allow redirects when attempting to download DEM files.
	* Simplify DEM base URL to be one value rather than separate components.
	* Prevent compiler warnings - rework as vtl variable type has changed.

2017-01-21
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #19 from huobos/typo
	* Merge pull request #17 from huobos/gpx

2017-01-20
huobos <huobos@yahoo.com>:
	* Fix typo word Polygonized
	* Open files in selected layer

2017-01-14
Rob Norris <rw_norris@hotmail.com>:
	* Fix small memory leak.
	* Fix small memory leak
	* Enable understanding pasted text strings with tabs.
	* Fix some spelling mistakes.
	* Fix small memory leak.
	* Shell test should be '=' rather than '==' for maximum portability.
	* Clarify only Bing Aerial Map available.
	* Fix small memory leak - free dirpath in all circumstances.
	* Fix spelling
	* Fix toggling visibility of the menu.
	* Support Lodge symbol
	* [DOC] Use macro for GPSBabel references
	* [DOC] Use URL links to programs

2016-08-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix some missing nautical miles output.
	* Fix issue in display of maximum speed when there is no speed.

2016-08-11
Rob Norris <rw_norris@hotmail.com>:
	* Only call gps_close() after a successful gps_open().
	* Replace defunct IP to location lookup service.
	* Github #15: Relicense files marked GPL2 only to GPL2+.
	* Explicitly license my small test code+script files as Creative Commons CCO
	* SF Bugs#135: Fix OSM Maps shown by default at Maximum Zoom.

2016-08-09
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#133: Remove the auto added map when opening the first .vik file from the GUI.
	* Add aggregate layer functions to return number of layers and to delete a specified child layer.
	* Disable more functionality that doesn't work if gpsbabel is not available.
	* Fix recent commit: 4dc72a1d407b81853d0093871cff45ef1f47d1b8

2016-08-08
Rob Norris <rw_norris@hotmail.com>:
	* Improved usage of g_stat()
	* [DOC] Remove note on GPSBabel Google Direction routes which no longer work.
	* [DOC] Stellarium release 0.15.0 has fixed this bug.
	* SF Bugs#134: Replaced discontinued MapQuest tile service with rate limited Mapbox Outdoors service.
	* Fix crash if a map configuration has no hostname or URL defined.
	* Be more explicit that the return value of g_printf() is ignored.

2016-06-25
Rob Norris <rw_norris@hotmail.com>:
	* Remove unused function.
	* Replace internal uri_escape() function with a glib version.
	* Load the startup file first so that subsequent files are loaded on top.
	* SF Bugs#132: Fix to correctly open GPX files in Windows via double click.
	* [WINDOWS] Extra files needed for theming to work
	* Merge pull request #14 from apre/master

2016-06-23
apre <apre@users.noreply.github.com>:
	* add debian build-dependencies in readme

2016-05-03
Rob Norris <rw_norris@hotmail.com>:
	* Use the correct definition.
	* Fix to return the correct hash table pointer.
	* Fix to use the correct GC index for drawing track stops.

2016-05-02
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#130: Fix GeoRef layer alpha value change to 255 is ignored until restart
	* Better type to remove compiler warning
	* Second fix to e778b260c460c218a8efa27c178219cccf731452 to correct elevation output in GPX files.
	* Improve babel debug output

2016-04-25
Rob Norris <rw_norris@hotmail.com>:
	* Fix e778b260c460c218a8efa27c178219cccf731452 - missed commit of this file.
	* Return function value is ignored in this case.
	* Notice gps_stream() errors from gpsd
	* Fix small memory leak as this regex should be freed after use.
	* Use existing variable rather than explicit name.
	* Fix incorrect directory in this README.txt
	* Minor update for a perl tool.
	* Reduce compiler warnings on Windows.
	* Check that the test_babel program runs
	* Simple test for basic GPX read->write conformance.
	* SF Bugs#22: Fix changing coordinates when saving and exporting
	* Ensure some test programs run properly.
	* Remove use of function local static variables for code simplicity.
	* Don't write unnecessary GPX metadata tags for empty fields.

2016-04-23
Rob Norris <rw_norris@hotmail.com>:
	* Prefer default TrackWaypoint layers to be in LatLon mode.

2016-04-10
Rob Norris <rw_norris@hotmail.com>:
	* Merge pull request #13 from JojoBoulix/reproducible

2016-04-10
JojoBoulix <pagth@passoire.fr>:
	* Fixed order headers inclusion in icons.c

2016-04-09
Rob Norris <rw_norris@hotmail.com>:
	* Remove use of unnecessary pointer to pointer variables.
	* Enable clearing spinbox entries on some numerical input boxes.
	* Enable a clear icon on entry boxes used for search like input.

2016-02-12
Rob Norris <rw_norris@hotmail.com>:
	* More sensible new name allocation.
	* Remove own copy of MD5 hash code and use a library implementation (libnettle)
	* [WINDOWS] Enable Windows 64bit cross build

2016-02-11
Rob Norris <rw_norris@hotmail.com>:
	* Extra output in case of SQL prepare statement failure.
	* Increase line reading length
	* Support GPX 'type' field on Waypoints, Tracks and Routes.
	* Support GPX src field on Waypoints, Tracks and Routes.
	* Don't close track property dialog on return keypress on entry fields.

2016-01-30
Rob Norris <rw_norris@hotmail.com>:
	* vikcoord does not depend on GTK
	* [QA] Another use of GStatBuf
	* [QA] This function should be static
	* Import Launchpad translation updates - French Update.
	* Retain DOP values when saving to .vik files

2016-01-29
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Improve types as string lengths are never negative.
	* Prevent writing broken .vik files with multi line strings.
	* SF Bugs#128: Fix Crash when loading broken .vik file
	* [QA] Enable all warnings on test code
	* [QA] Consistent usage of g_stat() GStatBuf parameter type
	* Fix crash if a route requested by the route finder is empty.
	* [QA] Remove unused variable.
	* Enable activating waypoint search when pressing return in the entry field.
	* In the location search, only enable the OK button when there is some text to search with.

2016-01-17
Rob Norris <rw_norris@hotmail.com>:
	* Enable handling compressed files when acquiring from an URL datasource.
	* Fix definition and usage of datasource download file options.
	* Remove curl cookie file as it's read only - so never actually used anymore.
	* Fix maintaining a transparent background when an alpha value is applied to a pixbuf.
	* Remove the now unused viewport alpha pixbuf and gdk pixbuf compositing method.
	* Apply alpha setting to the waypoint image pixbuf before storing in the image cache.
	* [QA] Reusable function for freeing the waypoint image cache.
	* [QA] Remove unused variable.
	* Ensure compressed download files are processed.
	* [QA] Better value type usage, even if these values are not actually used.

2015-12-24
Rob Norris <rw_norris@hotmail.com>:
	* Text output using AC_MSG_NOTICE rather than echo statements.
	* [WINDOWS] Build with libgexiv2

2015-12-21
Rob Norris <rw_norris@hotmail.com>:
	* Ignore help/viking.xml as it's now auto-generated.
	* [WINDOWS] Cross build
	* Make generation of the copyright year in the code automatic.

2015-12-19
Rob Norris <rw_norris@hotmail.com>:
	* Don't remove project name if one decides not to delete all layers.

2015-12-15
Rob Norris <rw_norris@hotmail.com>:
	* Mention use of libexpat
	* [QA] Rename DownloadMapOptions --> DownloadFileOptions
	* AC_OUTPUT doesn't need to take any arguments
	* viking-cache.py tool: Enable converting from OSM cache layout to mbtiles.
	* viking-cache.py tool: Rework into simple elif statements.
	* viking-cache.py tool: Allow specifying zoom limits in creating mbtiles file
	* Allow copying positions as well from the waypoint list dialog.
	* Allow configuration of the date format displayed on Track and Waypoint lists.
	* Add tooltip for a more readable hours:minutes display rather than just total minutes in the track statistics tab.
	* Add display of the without gaps track time.
	* Extend function to get optionally get duration of a track without including gaps between segments.
	* Save bfilter values used for subsequent reuse in a session.
	* Add settings to override bfilter simplify and compress default values.
	* [QA] Extra output for failing date/timezone string generation.
	* Add capability to manually define parameters for GPSBabel filter command.
	* Merge branch 'KMZ-Maps'

2015-12-14
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] KMZ Map help
	* KMZ file of OSM Mapnik rendering of Stonehenge area, zoom level 15.
	* [WINDOWS] Installer and build notes for using libzip.dll
	* Allow internal check_magic function to work on various lengths as specified.
	* Enable importing a map from a KMZ file.
	* Allow creating GeoRef layers from a specified pixbuf and area.
	* Make the find best zoom level function reusable.
	* Add utility function to write a temporary file from a byte buffer.
	* Enable KMZ Map file generation for Custom Map support on Garmin devices.
	* Fix routes not saved in GPX when tracks are made invisible.

2015-12-12
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#103: Fix TrackWaypoint layer items may not be displayed when pasted
	* Enable Catalan and Turkish translations.
	* Auto generate the date for man pages.
	* Restore opening of JPG files.

2015-12-07
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Tidy trw_layer_draw_point_names()
	* SF Bugs#127: Fix initial display of Waypoint sort order.

2015-12-04
Rob Norris <rw_norris@hotmail.com>:
	* Fix map layer widget sensitivity dependent on map type.
	* Merge pull request #8 from swegener/etag-in-xattr
	* Merge pull request #3 from Shura0/point_names

2015-11-29
Sven Wegener <sven.wegener@stealer.net>:
	* download: Move setting of etag and convert_file
	* download: Store ETAG in extended attributes

2015-11-24
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.6.1
	* Shift the reference scale to be generated from the centre of the display.
	* Update viking.doap file

2015-11-17
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Words about various operations from the File menu not previously mentioned.

2015-11-15
Rob Norris <rw_norris@hotmail.com>:
	* Ensure calculation of the waypoint bounds even when the layer is not currently visible.

2015-11-14
Rob Norris <rw_norris@hotmail.com>:
	* Better reporting of failing to load any latlontz.txt file.
	* CID#34578: Remove logically dead code.
	* CID#132266: Fix potential dereference null return value
	* [QA] Clang-Analyzer: Don't store values that aren't subsequently used.
	* [QA] Clang-Analyzer - remove duplicate line
	* Ensure removing temporary file when it contains no wikipedia places.
	* [QA] Explicitly ignore return values when removing temporary generated files
	* [QA] CID#34606+CID#34607: Time of check time of use (TOCTOU) issues.
	* Ensure memory is freed if errors are encountered in acquiring My OSM traces
	* CID#34579: Fix logically dead code.
	* Coverity: Prevent deference after null checks
	* CID#34561+CID#34569: Check return values
	* CID#34586: Avoid potential explicit null deferenced
	* CID#34612: Fix incorrect break statement location.
	* CID#132255: Fix stray semicolon introduced by recent commit.
	* CID#34592: Explicit handling of potential truncation of integer value
	* Coverity: Fix deference after null checks
	* CID#34600+CID#34601: Fix deference before null checks
	* [QA] CID#34594: Remove unsigned compared against 0 (as it has no effect)

2015-11-10
Rob Norris <rw_norris@hotmail.com>:
	* Document previous translation updates
	* Import Launchpad translation updates
	* Include HACKING file in distribution.

2015-11-08
Rob Norris <rw_norris@hotmail.com>:
	* Fix Georef mpp from coords.
	* Make OSM services the default by including these modules first.
	* Simplify filter actually uses the unsigned integer value.
	* Fix Google maps positional web link.
	* [QA] Fix issue spotted with cppcheck 1.70
	* Remove unused northernHemisphere variable
	* [QA] Output console message if g_mkdir_with_parents() is unsuccessful.
	* CID#34603: Protection in copying into fixed size buffer
	* CID#34584+CID#34583: Prevent deference after null check
	* CID#34611+CID#34611: Prevent use of uninitialized scalar variables
	* [QA] CID#34576: Remove logically dead code
	* [QA] CID#34575: Remove logically dead code.
	* [QA] CID#34543: Adjust curl_get_etag_func to use pointer to structure rather than the raw address.
	* CID#131392: Avoid potential null pointer dereference
	* CID#34574: Fix freeing the appropriate variable.
	* [QA] Generally print warnings to the console for low level file operations (since they don't normally go wrong)
	* [QA] CID#34547: Path value is checked so not worried about function return value.
	* [QA] Coverity: Unchecked return value from library
	* Fix track tooltips minutes value should be rounded.
	* CID#101113: Result not floating point
	* [QA] CID#101114+CID#101115: Result not floating point
	* [QA] CID#131384: Check function return value.
	* [QA] CID#131386: Check function result
	* [QA] CID#131385+CID#131387: Be more explicit that we don't care about the result of this function call.
	* [QA] CID#131393: Missing break in switch
	* [QA] CID#131394: Check result of g_fopen()
	* [QA] CID#131401+CID131400 - Improve printf arg types.
	* [QA] CID#131402: Fix resource leak in handling metatile errors.
	* Fix creating waypoints from JPGs when using gexiv2

2015-09-25
Szymon Bigos <szybig@gmail.com>:
	* SF Bugs#126: Fix crash in gdk_rgb_convert_0888 due to using deallocated memory.

2015-09-25
Rob Norris <rw_norris@hotmail.com>:
	* Disable Search and Routing with Google as they no longer support the APIs Viking used.
	* Fix availability of Geotag consistency checks when using gexiv2

2015-09-24
Rob Norris <rw_norris@hotmail.com>:
	* Remove --with-search configure options since they are not used.

2015-09-22
Rob Norris <rw_norris@hotmail.com>:
	* Improve place search failure message to say if it is a service level issue.

2015-09-21
Rob Norris <rw_norris@hotmail.com>:
	* Protect against possible out of bounds array access.

2015-09-15
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Coverity 'Uninitialized pointer read' CID#34608 + CID#34609.
	* [QA] Coverity 'Buffer not null terminated' issues CID#34544 + CID#34545

2015-09-13
Rob Norris <rw_norris@hotmail.com>:
	* Fix DEM height points on track graphs when height units is in feet and non-zero minimum height.
	* [DOC] Improved introduction.

2015-09-12
Rob Norris <rw_norris@hotmail.com>:
	* Only perform man page generation when scrollkeeper is also installed.
	* [QA] Remove repeated statements in configure.ac
	* Fix mapnik preferences initialisation to not crash if preferences are not available.
	* Enable reference documentation generation by disabling optional components.

2015-09-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Reactivate doc subtree

2015-09-10
Rob Norris <rw_norris@hotmail.com>:
	* Ensure thumbnails are created when opening JPG files.

2015-09-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Insert parameter for Viking's version in viking.xml

2015-08-31
Roman Lebedev <lebedev.ri@gmail.com>:
	* Fix 2 heap-buffer-overflows in trw_layer_download_map_along_track_cb()
	* Fix heap-buffer-overflow on Layers -> New GPS Layer

2015-08-31
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#121: Additional race condition crash protection.

2015-08-31
Szymon Bigos <szybig@gmail.com>:
	* SF Bugs#121: Fix crash when invalidating previously acquired tiles.

2015-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: extract effective code from g_assert
	* DOC: Fix typo

2015-08-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* DOC: fixed typo

2015-08-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fixed typo on the bzip2 option's name in configure

2015-07-29
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Extra info on magic usage.
	* [QA] Extra info when using bzip2.
	* SF BugsZZ#123: Fix bzip2 decompression on Windows.

2015-07-16
Loic Pefferkorn <loic@loicp.eu>:
	* Fix Geocaches acquiring with latest geo-* software

2015-07-11
Rob Norris <rw_norris@hotmail.com>:
	* Mapnik3 support.
	* More correct menu icon

2015-07-10
Rob Norris <rw_norris@hotmail.com>:
	* Don't attempt download if temporary file can't be opened.
	* [QA] Fix spelling in a comment and add function comment

2015-07-08
Alexander Zaitsev <shura0@yandex.ru>:
	* Optimization

2015-07-08
Rob Norris <rw_norris@hotmail.com>:
	* Ensure layer visibility is retained when copying layers.

2015-07-07
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#121: Provisional fix
	* [WINDOWS] Fix reading zip files on Windows due to compiler alignment defaults changing.
	* Read zip files contents which are stored with no compression.
	* [QA] Protection from large malloc failures

2015-07-07
Alexander Zaitsev <shura0@yandex.ru>:
	* trackpoint labels

2015-07-05
Rob Norris <rw_norris@hotmail.com>:
	* Fix logic for comparing timestamps
	* [QA] Use correct type in sizeof function for memory allocation.

2015-05-31
Rob Norris <rw_norris@hotmail.com>:
	* Don't retain GTK Dialogs in memory.
	* Re-fix SF Features #82. Simplify usage of restoring the last used directory.
	* [QA] Don't need copy this string.
	* [QA] Use map ids
	* SF Bugs#122: Fix memory cache confusion with multiple "On Disk OSM Tile Format" maps

2015-05-04
Rob Norris <rw_norris@hotmail.com>:
	* Prevent Gtk-Critical warnings after viewing the Track property dialog.
	* Support all values of GPS Mode fixType.

2015-05-03
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix typo in (an unused) macro definition.

2015-05-03
Matthew Hague <matthewhague@zoho.com>:
	* keep alpha channel on mapnik rendering, scale alpha to alpha of mapnik layer

2015-05-02
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#120: Fix Track drawing bug across the 180th Meridian.
	* Red Hat Bugzilla – Bug 1210403: Only download and process one Bing attribution list.
	* Simplify debug output of loaded Bing attributions.
	* [QA] Make function names more unique to simplify use of debugger breakpoints.

2015-04-28
Rob Norris <rw_norris@hotmail.com>:
	* Make simple GPSBabel filter options use the updated acquire framework options.
	* Rework Acquire framework process function options for maintainability and understanding.

2015-04-21
Rob Norris <rw_norris@hotmail.com>:
	* Fix stability of some 32 bit builds.

2015-04-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix tracks and routes not displayed when downloaded via the GPS Layer.

2015-04-17
Rob Norris <rw_norris@hotmail.com>:
	* Fix availability of the Google routing direction engine
	* Prevent crashing on direction requests when no engine is available.
	* [QA] Rename routing engine function as it gives URLs

2015-04-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix display of map tile source information when it has extended characters.
	* [WINDOWS] Remove usage of 'filter with' functions as these don't work in Windows.
	* [WINDOWS] Fix a missing \ in a potential gpsbabel location.
	* Update Help to wiki conversion method as the wiki is now in Markdown.
	* datasources.xml file should be packaged

2015-04-04
Rob Norris <rw_norris@hotmail.com>:
	* Fix warning in a test program.
	* [DOC] Update copyright year

2015-03-29
Rob Norris <rw_norris@hotmail.com>:
	* Fix potential broken builds.
	* Releasing Viking 1.6
	* Fix new test programs to work under 'make distcheck'
	* Fix renamed file
	* [DOC] Improve formal docbook compliance.
	* Add more files that have i18n.
	* Debian #746815: Fix loading image thumbnails when some Unicode chars in the pathname
	* [QA] White space fixes
	* Detect gdk_pixbuf_save failures in thumbnail generation
	* Debian #761966: Remove an incorrect accelerator in the German translation.
	* Document previous translation updates
	* Import Launchpad translation updates

2015-03-28
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Interpolate Times
	* Prevent potential infinite speeds in interpolating time function.

2015-03-28
Christian Müller <cmue81@gmx.de>:
	* Interpolate timestamps of a track between first and last trackpoint

2015-03-28
Rob Norris <rw_norris@hotmail.com>:
	* Extend TrackWaypoint layer tooltip to include the total length of routes.
	* Fix mislabelled distance markers when using Nautical Miles.
	* [QA] Fix (an unused) function parameter type.
	* Enable a method to copy the time in the Trackpoint and Waypoint Edit dialogs.
	* Enable invoking Web Tools via right click menus on selected layers or points.
	* [QA] Prevent a Gtk-Critical warning.

2015-03-27
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Update comment regarding GPSBabel version for Overpass API query result handling.

2015-03-19
Christian Müller <cmue81@gmx.de>:
	* Improve layout of the Edit Trackpoint dialog.

2015-03-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix initialization so that preferences aren't accessed too early.
	* Fix toolbar preference types

2015-03-17
Rob Norris <rw_norris@hotmail.com>:
	* Fix changed Wikimedia Toolserver GeoHack URL
	* Add built in support for OSM Query requests.
	* [QA] Normalize OSM URL.
	* [QA] Improve tool_edit_trackpoint_click() comments
	* Add advanced setting to create TrackWaypoint layers without asking for details.

2015-03-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix enable selecting trackpoints/routepoints via Edit Trackpoint tool when the other kind is invisible.
	* SF Bugs#118: Fix route point selection via the Edit Trackpoint tool.
	* Allow re-sizing the width of the layers panel to smaller than the initial value.

2015-03-09
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#117: Confirm capability with GPSD_API_MAJOR_VERSION=6 (gpsd 3.12 / libgps.so.22)

2015-03-08
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Update to GPSBabel 1.5.2
	* [WINDOWS] Enable faster building by using all available CPUs.
	* Use the correct variable name!

2015-03-06
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Force integer type in calls to abs() as x,y in GdkEventButton are doubles.
	* [QA] Use labs() instead of abs() in comparison of timestamps to avoid truncation issues
	* [QA] Fix clang warning: format string is not a string literal
	* Fix building when geotagging is disabled.

2015-02-24
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#122: Export Track, Route and Waypoint Lists as text.
	* White space fixes.
	* [QA] List display of maximum track height could be a negative value.
	* Merge branch 'TimeSort'

2015-02-22
Rob Norris <rw_norris@hotmail.com>:
	* Improve date treeview storage consistency by updating TRW layer when sublayers are deleted.
	* Add ability to sort Aggregate layers and sublayers of Tracks and Waypoints by date.
	* Refactor getting first timestamp for VikTrwlayers (and sublayers) into reuse-able functions.
	* Refactor sublayer sort to use a common function.
	* Fix uniquify tracks to use the appropriate sort order.
	* Remove 'has_visibile_column' from treeview as it's always true.
	* Merge branch 'MapnikRenderingLayer'

2015-02-12
Rob Norris <rw_norris@hotmail.com>:
	* Test file zoom out so it's more obvious the location.

2015-02-10
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Add some words about Advanced Prefrences.
	* Display attribution on Mapnik Renderings.
	* Enable displaying of Mapnik configuration extra parameters.
	* Separate thread pool for Mapnik rendering defaulting to just 1 task.
	* World Countries test data and configuration for Mapnik Rendering.
	* Mapnik library needs full filename for the configuration file.

2015-01-31
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Document the Mapnik Rendering Layer capability.
	* [QA] Minor document correction.
	* Fix displaying refreshed map tiles.
	* Add mapnik rendering tile info.
	* Allow the Mapnik rendering buffer size to be altered via the config file.
	* Extend map cache data to hold extra data associated with the pixbuf.

2015-01-27
Rob Norris <rw_norris@hotmail.com>:
	* Add method to force re-running carto for a Mapnik Rendering Layer.
	* Mapnik Layer tool.
	* [QA] Prevent some Gtk-CRITICAL messages about values out of range.
	* [WINDOWS] Explore compiling against mapnik with g++ - but ultimately disable it.
	* Enable using an optional file cache for Mapnik Renderings.
	* Add Refresh to consider reloading a Mapnik Rendering configuration.
	* Use threading with Mapnik Renderings layer.
	* Pass Mapnik loading errors around and display in the GUI.
	* Add GUI About Mapnik information.
	* Carto CSS support to generate Mapnik XML.
	* Create a mapnik interface object so each Mapnik Layer will render using a separate mapnik::map
	* A Mapnik Rendering layer
	* Split background threads into two pools.
	* Simple function to add a file into the GTK+ Recent list.
	* Add Inverse TMS to Spherical Mercator VikCoord conversion (top left corner)
	* Shift Inverse TMS MapCoord <=> Spherical Mercator VikCoord functions for global access.
	* Add ability to remove the map cache for a single map type.
	* Add function to get number of processors.
	* Add XML as file entry filter option.
	* [DOC] Add command line synopsis from the man page into the help.
	* Allow starting Viking with command line parameters to set position, zoom and map type.
	* Add functions to allow getting the default and setting the map layer type.
	* [QA] Fix vik_maps_layer_get_map_type() and improve return type.
	* [QA] Use map ids.
	* Rework Map Tile information output to use new multi line dialog.
	* Add a dialog to display several separate lines of text.
	* Fix drawing of copied MBTiles map layers.
	* [QA] Write boolean check in a more standard manner.
	* [QA] Fix spelling mistakes and note that the INSTALL file is for Unix like systems.
	* Allow various variable text output to be selectable so the user can copy the information.
	* Add a function to enable creating a selectable label.
	* [QA] Fix incorrect comment.
	* Enable opening an external Astronomy program at the specific date & time of a trackpoint or waypoint.
	* Slightly more configurable support for RedNotebook.
	* Add 'Education' back into the Desktop Specification.

2014-12-16
Rob Norris <rw_norris@hotmail.com>:
	* Release some resources on program exit.
	* Correct Bing Aerial map name and allow for i18n.
	* Shift Map Ids into a central location for ease of knowing what is in use.

2014-12-14
Rob Norris <rw_norris@hotmail.com>:
	* Show maps layer tile grid lines in extreme debug mode
	* Shift GTK+ compatibility definitions into vik_compat.h
	* Extend zoom menus to cater for the highest zoom levels.
	* Prevent compiler warnings with GLIB version 2.32 or later.
	* SF Features#129: Advanced Maps Layer drawing configuration.
	* Fix potential crashes from long running threads in a removed window.
	* Remove configure check for strdup() as it is not used.
	* SF Bugs#116: Fix erroneous usage of abs(). Use fabs() instead.
	* Fix stdout/stderr variable usage.
	* Improve potential statusbar message of a selected trackpoint.
	* Fix display of calculated speed for the statusbar message.
	* Remove not very helpful debug message since it can generate large volumes of messages.
	* Support showing a climb (vertical speed) value in the statusbar.
	* [QA] Minor function rename for consistency
	* Shift build configurable bits into modules.c
	* [WINDOWS] Tidy up Windows build
	* SF Bugs#112: Enable using libgexiv2 for writing geotag image data to void XMP data loss.

2014-11-16
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#124: Enable modifier key to enable panning in select tool mode.
	* Merge branch 'GeoRefImprove'
	* [DOC] Update GeoRef Layer documentation for the latest capabilities.
	* [DOC] Shift GeoRef layer help into a separate file.
	* Add alpha capability to GeoRef images.
	* Move function to apply an alpha value to be reuse-able.
	* GeoRef Layer improvement to offer entering coordinates in Lat/Lon.

2014-11-05
Rob Norris <rw_norris@hotmail.com>:
	* By default automatically attempt to read the associated world file of a new georef image.
	* Refactor world file reading to be more reuseable and improved comments.
	* Extend file entry to enable running a callback on entry accepted.

2014-11-04
Rob Norris <rw_norris@hotmail.com>:
	* GeoRefLayer is always created before the properties dialog is called.
	* Remove unnecessary restriction on GeoRef layer needing to be in UTM Mode.
	* SF Bugs#113: Fix waypoints can be accidentally moved on (re)selection by the select tool

2014-11-02
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix compiler warning from previous commit
	* SF Bugs#115: Fix application hanging on degrees input ending in a comma.

2014-10-29
Rob Norris <rw_norris@hotmail.com>:
	* Some geotagging tests.
	* SF Features#125: Don't export unchecked items when exporting GPX files.
	* SF Bugs#114: Fix Shortcut keys get reset next start
	* Use test_metatile as a test program.
	* [QA] Prevent depreciated warnings from test programs.
	* Fix memory leak in saving Geotag EXIF information.
	* Fix memory leak in display of the preferences window.
	* Fix crashing on invoking the Customize Toolbar from the preferences dialog.
	* [DOC] Toolbar customization.

2014-10-17
Rob Norris <rw_norris@hotmail.com>:
	* Bump requirements to match the code.
	* Fix for non portable GNU only strcasestr() function.

2014-10-16
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Wiki Help URL change.
	* [DOC] Fix some strict docbook validation issues.
	* [DOC] Recommended programs

2014-10-15
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Various install improvements.
	* [WINDOWS] Must accept GPL2 license before installing.
	* [WINDOWS] .vik file registration is automatic, .gpx is optional
	* [WINDOWS] Enable optional install of GPSBabel 1.5.1
	* [WINDOWS] Toolbar default to be similar to previous non optional setting.
	* [WINDOWS] Update to use libcurl 7.34.0
	* [WINDOWS] Update to compile with GCC4.8.1
	* [WINDOWS] Fix path in installer generation
	* [WINDOWS] For some reason the compiler under Windows doesn't like variables such as 'stdout' or 'stderr'
	* [DOC] Some words about GPX export options.
	* [WINDOWS] Default locations for GPSBabel
	* Only enable Google routing when GPSBabel is available.
	* Allow specifying the location for GPSBabel via a preference.
	* Update README to reflect current capabilities and fix changed Git URL.
	* Ensure waypoint bounds are recalculated when a waypoint is deleted.
	* Add TIFF as an image file type that gets listed in the applied filter.
	* [DOC] Add manual section about the command line options.

2014-10-14
Rob Norris <rw_norris@hotmail.com>:
	* 'extreme' debug mode (i.e. -Vd) to not remove downloaded temporary files.
	* Make "utils.h" commonly available in "viking.h"
	* Add simple amenity POI datasource for immediate use and an extended example.
	* [DOC] Help for the extended datasource.
	* Add i18n and activate on return key in the entry in web datasource.

2014-10-13
Matthew Hague <matthewhague@zoho.com>:
	* added help for the extended datasource stuff
	* removed a grab_focus that wasn't working
	* fixed a memory leak in babel.c
	* added map to datasources so that last string is remembered by datasource not one for all
	* added save previous user input string and input label options to datasource search with user string

2014-09-30
Matthew Hague <matthewhague@zoho.com>:
	* added search capability to datasources.xml, undocumented so far
	* added capability of adding babel filter args to external datasources

2014-09-28
Matthew Hague <matthewhague@zoho.com>:
	* gps babel filters must be applied between the input and output options (separate from other options that must be passed first), implemented version of a_babel_convert_from and a_babel_convert_from_url to handle this properly

2014-09-24
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'MapsExtendedConfiguration'

2014-09-15
Rob Norris <rw_norris@hotmail.com>:
	* Extend TMS and WMSC maps to handle Zoom and Area extents.
	* Add and use capability of defined area by min/max lat/lons for map types.

2014-09-13
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Improve Map Layer documentation including properties of the map layer.
	* [DOC] Remove references to defunct Terraserver maps.
	* Add OSM Metatiles as a Map Type so one can read metatiles directly from disk.
	* Read OSM Metatile capability and basic test with single example metatile.
	* [QA] Explain some more map configuration options.
	* SF Features#121: Support reading alternative forms of tile image names.
	* Improve tile info dialog message to print out the filename even when cache file is not on disk.
	* [WINDOWS] Add cache tool script into Windows distribution build.
	* Add and use capability of defined individual map types zoom minimum and maximum levels.
	* Enable Cache conversion in the Python tool viking-cache.py
	* Change tool to require specifying the mode of operation.
	* More reliable file processing in creating an mbtiles file.
	* Python 3 compatibility.
	* Rename viking cache tool in preparation for more than just mbtiles usage.
	* Enable importing from an mbtiles file to Viking cache via the python tool.
	* [QA] Rename mode to id.
	* Add map name property which is used in the directory path of the cache storage.
	* Default map caches for new users to use the OSM layout scheme.
	* Enable Map Cache layout control per map.
	* Add capability to save layer defaults from outside the layer defaults code.
	* Fix up toolbar/menu toggle button alignment when loading from Viking files.
	* Fix broken generated toolbar UI file definition.

2014-09-12
Rob Norris <rw_norris@hotmail.com>:
	* Merge commit 'ToolbarConfig'

2014-09-06
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Prevent warning from test_coord_conversion.c and ignore test outputs
	* [QA] Ignore test_babel build output
	* [QA] Tidy test_babel.c to compile without warnings and a hint on usage.
	* More accurate description for the .spec file.
	* [QA] Fix spelling mistake.
	* Fix incorrect map id variable saved for remembering licenses shown.
	* [QA] Add warning if file rename fails.

2014-08-21
Rob Norris <rw_norris@hotmail.com>:
	* Add debug output view of the Back/Forward positions.

2014-08-04
Rob Norris <rw_norris@hotmail.com>:
	* Integrate toolbar code to be used with Viking windows.
	* Extend toolbar code for usage with Viking.
	* [QA] Use VIK_VIEWPORT_DRAWMODE values in GtkRadioActionEntry mode_entries[]
	* Give all action entries with an icon a tooltip.
	* Add capability to use a button callback within UI builder.
	* Add Gtk+ utility functions from Geany 1.24.1
	* Add glib utility functions from Geany 1.24.1
	* Add toolbar code from Geany 1.24.1
	* [QA] Shift Gtk dependent utility functions into separate file.

2014-08-03
Rob Norris <rw_norris@hotmail.com>:
	* Fix commit SHA:e8518759e6c64fac28783cf190b82705dc4bbb87
	* [QA] Remove very old unused code from vikmapslayer.c

2014-08-01
Rob Norris <rw_norris@hotmail.com>:
	* Save and use the position of the horizontal pane when restoring the window layout.
	* [QA] Better to claim key board event handled for F5 & Ctrl+F5 usage.
	* SF Bugs#109: Ctrl+Keypad+/- to Zoom In/Out respectively.
	* [QA] Use glib functions for the format in reporting the size of a file and the map cache.

2014-07-20
Rob Norris <rw_norris@hotmail.com>:
	* Prevention of crashing in mapcache when tmp variable is NULL.
	* [QA] Fix up overzealous variable renaming.

2014-07-13
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Window's build - better use of environment variable.
	* Enable i18n on 'Routing' preferences tab name.
	* Add capability to define the URL format for web links.
	* Add link to HERE Maps.
	* Add map cache information to be accessible from the GUI only in debug mode.
	* [QA] Rename and correct some map cache variables usage for better understanding.
	* Prevent crashing when queue_tail is NULL.
	* Fix zoom type definition in map cache.

2014-06-14
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Expand keys used for panning the map.
	* Add trackpoint message output option value of the distance to the end of the track.

2014-06-09
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Distance units not used here.
	* SF Features#120: Add Nautical Miles preference for distance units.

2014-06-07
Rob Norris <rw_norris@hotmail.com>:
	* Add methods to open Waypoint URLs in comments & descriptions from the Properties dialog.

2014-06-05
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Move Waypoint dialog code into its own file.
	* [QA] Use a library function to get the number of items in a string array.
	* Merge branch 'TimeDisplay'
	* [DOC] Time Display option.
	* SF Features#95 - Part 2: TimeZone lookup based on an object's position.
	* Create timezone lookup file derived from geonames.org
	* Add kdtree C code version 0.5.6 from https://code.google.com/p/kdtree/
	* SF Features#95 - Part 1: Allow and use configuration of an alternative time display.
	* [DOC] Include source link for strtod.c
	* Fix test file: OSMarender Map is long defunct. Use Maqquest.
	* If a route or track creation is cancelled with the Escape key with just the initial point,  assume it's not really wanted and delete it.
	* Add and use preference in whether a name is requested when creating a new track or route.

2014-06-01
Rob Norris <rw_norris@hotmail.com>:
	* Allow import of file format with *any* readable components as supported by GPSBabel.
	* Fix jump to today's date in search if Viking has been running over a day.

2014-05-27
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#106: Fix incorrect location on opening .vik file saved in different locale.
	* [DOC] Attribution of Sanos strtod.c
	* strtod.c from Sanos Operating System Kernel 1.3.4 (http://www.jbox.dk/sanos)
	* Fix pasting of text in DMS format to resolve to the correct location.
	* [DOC] Add attributions to meet binary distribution requirements.
	* [DOC] Bump Docbook Version to 4.5 in the Help.

2014-05-15
Rob Norris <rw_norris@hotmail.com>:
	* Enable copying the centre location of the viewport via Ctrl+h
	* Add alternative bearing readout as raw lat/lon double values.
	* Fix waypoints may not be drawn when created by paste of a text location.

2014-05-10
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] GPSBabel Filter: Compress Tracks
	* Allow compressing tracks using the GPSBabel simplify crosstrack feature.

2014-05-08
Rob Norris <rw_norris@hotmail.com>:
	* Fix zoom level tile reporting for an MBTiles map.
	* Save track property show DEM & speed settings between dialog invocations.
	* Optionally show DEM values on Elevation/Speed graph.

2014-05-03
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use cross platform directory separator

2014-05-02
Rob Norris <rw_norris@hotmail.com>:
	* Update external_tools configurations.
	* Enable Windows installation to search for and use deployed extension configuration files.

2014-04-25
Rob Norris <rw_norris@hotmail.com>:
	* Allow setting timestamps on trackpoints and waypoints that previously had none.
	* SF Features#100: Allow 'easy' changing of the time of trackpoints & waypoints.
	* SF Features#100: Allow changing of the time of trackpoints.
	* Ensure track bounds are initialized correctly during track creation.
	* Improve ordering of date/time output on time graphs.

2014-04-11
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove unused parameter

2014-04-10
Rob Norris <rw_norris@hotmail.com>:
	* Remove temporary files used asynchronously on program exit.
	* Enable importing from GeoJSON files via the usage of the program 'togpx'.
	* Enable exporting to GeoJSON file via the program togeojson.

2014-04-08
Rob Norris <rw_norris@hotmail.com>:
	* Use a common way to create temporary GPX files.
	* [QA] Limit scope of includes of vikutils header.
	* Geoname services now require an username account to access free services.
	* [DOC] Update Help for current built in Maps list.
	* Rationalise acquire mode to have more obvious behaviour.
	* Convert some console warnings to get reported to the GUI in the statusbar.
	* [QA] Correct and improve enumeration usage for export file types.
	* Ensure tools directory is really included in the build output.

2014-04-04
Rob Norris <rw_norris@hotmail.com>:
	* Add the miscellaneous 'tools' scripts into the build output.

2014-04-03
Rob Norris <rw_norris@hotmail.com>:
	* Fix googledirections script.
	* Fix slightly incorrect DEM point drawing on the track property display after recent code changes.

2014-03-27
Rob Norris <rw_norris@hotmail.com>:
	* Show distance axis grids on distance graphs.
	* SF Features#91: Part 2. Show time axis grids on time graphs.

2014-03-26
Rob Norris <rw_norris@hotmail.com>:
	* Create and use a function to return the duration of a track.
	* [QA] Refactoring track properties window.
	* SF Features#91: Part 1. Display Clock Date/Time of the blob on the time graphs.
	* Remove unnecessary subdomain in some OSM tileserver hostnames.
	* Refix Merging tracks by time.

2014-03-22
Rob Norris <rw_norris@hotmail.com>:
	* Remove no longer available map services.
	* Remove default usage of Terraserver maps as they are no longer available.
	* Completely remove SPOTMaps as this service is no longer available.
	* Optimize tooltip message generation, remove unnecessary track iterations.
	* Allow clearing and copying of the information message in the statusbar.
	* Report download failures in the statusbar.
	* Fix crashing on double clicks - properly initialize variable.

2014-03-20
Rob Norris <rw_norris@hotmail.com>:
	* Refactor time from start track property label update

2014-03-16
Rob Norris <rw_norris@hotmail.com>:
	* Flow up error states from routing so the GUI can display the failing result.
	* Notes on how to use git2changelog.sh

2014-03-15
Rob Norris <rw_norris@hotmail.com>:
	* [WINDOWS] Ensure an icon is embedded in the executable.
	* Yet more files to ignore from output of the build process.
	* [WINDOWS] More reliable rebuilds.
	* [WINDOWS] Fix opening URLs in Windows build only.

2014-02-23
Rob Norris <rw_norris@hotmail.com>:
	* SF Bugs#105: Fix Display of Lines (Clipping) at High Zoom Levels.
	* Fix building on Windows as Viking only supports GLIB 2.24 ATM.

2014-02-10
Rob Norris <rw_norris@hotmail.com>:
	* Add a tooltip for Aggregate Layers to say how many layers they contain.
	* Remove built in OpenStreetBugs datasource as this service is being phased out.

2014-02-08
Rob Norris <rw_norris@hotmail.com>:
	* Add support for reading waypoint specific URL fields in GPX1.0 files.
	* Isolate Viking specific code in otherwise reusable code.
	* Shift code around to reduce dependencies required for DEM access.
	* Don't store regenerated INSTALL file in git.
	* Fix DEM layer URL reference output.
	* Remove mistaken need to change directory.

2014-02-05
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'ImprovedRouteFinder'
	* Improve routing function return types to simple TRUE / FALSE for success or failure indication.

2014-02-05
Matthew Hague <matthewhague@zoho.com>:
	* Updated documentation for the improved route finding tool
	* Improve the Route Finder Tool
	* Extend Routing functions for UI reuse.
	* Fix vik_track_cut_back_to_double_point().

2014-01-02
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove unused parameter.
	* [QA] Rename variables to avoid shadowing global variables.
	* [QA] Add default cases for all switch statements.
	* [QA] Add explicit missing field initializers.
	* Extend Waypoint properties with some EXIF Geotag (read only) information.
	* Add a function to return the position from a file with EXIF GPS information.
	* Use the last selected date when initializing the date search.

2014-01-01
Rob Norris <rw_norris@hotmail.com>:
	* Add a preference to control the number of recent files made available.
	* Enable JPG files as a primary supported type.
	* [QA] Rename function
	* Fix autodownload tiles when scrolling. Was broken by a recent commit.

2013-12-09
Rob Norris <rw_norris@hotmail.com>:
	* Enable zooming in/out in jumps of 3 levels by pressing shift key at the same time with the zoom tool.
	* Enable double clicking as an optional way to control zooming in pan mode.

2013-12-07
Rob Norris <rw_norris@hotmail.com>:
	* Fix right click on a selected waypoint image starts to move it.
	* [DOC] Mention the new maps switch-xy property.
	* Add an example of using ArcGIS Server with use of the "switch-xy" property
	* Enable boolean map configuration 'switch-xy' property to swap X,Y parts of the URL.
	* Remove repeating of built in types in data files.
	* External tools don't use ids
	* Shift Search by Date into a sub menu.
	* Explicitly use subdir-objects in automake init to prevent large warning with automake-1.14
	* Skip etag files in mbtile converter tool
	* Tidy up Makefile.am spacings

2013-12-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix autogen.sh in order to install needed files

2013-11-25
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove unused parameter
	* [QA] Tools are enabled per active layer
	* Fix excluding own self track when creating lists of other tracks.

2013-11-20
Rob Norris <rw_norris@hotmail.com>:
	* RedNotebook 1.7.3+ integration to open the diary program on a specific date.

2013-11-18
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove redundant GTK checks for > 2.10, since we need 2.16.
	* Fix needing to calculate bounds of *both* tracks when a track is split via the marker.
	* Fix another compiler warning from the Export via GPSBabel work

2013-11-16
Rob Norris <rw_norris@hotmail.com>:
	* Enable a history of requested positions.
	* Really enable C99 mode.
	* Fix vik_track_get_length_to_trackpoint() so with the first track point it returns zero, not the entire track length!
	* Fix highlight draw to cope with cut layers.
	* Fix another compiler warning from the Export via GPSBabel work
	* Ensure highlight for a single track or waypoint is always shown on top.
	* Add function to work out the visibility of an item considering all the items ancestor's visibilities.

2013-11-15
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warnings from Export via GPSBabel work

2013-11-14
Rob Norris <rw_norris@hotmail.com>:
	* Support using multiple Viking files with relative paths.
	* [QA] Use actual type rather than a gpointer

2013-11-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix previous fix
	* Fix error handling at autogen.sh

2013-11-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* SF Feature#49: Export via GPSBabel
	* Extract a UI module for babel
	* Extract trw export module
	* Refactoring: introduce a function for better encapsulation

2013-11-01
Rob Norris <rw_norris@hotmail.com>:
	* More files to ignore from output of the build process.

2013-11-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Sometimes gnome-autogen.sh does not support the most recent automake versions.

2013-10-31
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing when copying layers with null strings as parameters.

2013-10-30
Rob Norris <rw_norris@hotmail.com>:
	* Fix opening files on command line in different directories.
	* Use TRW Metadata in generating default values for some OSM Trace upload fields.
	* Basic support of some GPX Metadata values common to GPX1.0 and GPX1.1

2013-10-27
Rob Norris <rw_norris@hotmail.com>:
	* Make comparing timestamps of tracks more available.

2013-10-26
Rob Norris <rw_norris@hotmail.com>:
	* Enable a search item by date feature from an Aggregate Layer level.
	* Open picture associated with a waypoint on double click by the select tool.
	* Update to allow C99 mode
	* Update to at least Gtk2.16.
	* Refactor: update OSM track upload

2013-10-25
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'Refactor'

2013-10-24
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Remove unnecessary g_critical()
	* [QA] Remove compiler warning when building for Windows
	* Refactor: Create and use functions to access track start or end trackpoints.
	* Refactor: TrackWaypoint sublayer menu callback functions.
	* Refactor: TrackWaypoint layer menu callback functions.
	* Tidy update signal handler in VikAggregate Layer.
	* Improve update signal handler usage in GPS Layer.
	* Remove never used GPS layer drag drop request function.
	* Only the TrackWaypoint layer should handle it's internal callback type.
	* Refactor: passed around map layer menu values
	* Refactor: passed around aggregate menu values
	* Move man files from doc to help directory so they will be included in the output from make distcheck.
	* Update spec file
	* [QA] Remove build references to things that don't exist anymore.
	* SF Bugs #104: Fix GStatBuf not available on Glib < 2.26
	* Fix the display of speed in statusbar output.

2013-10-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: factorize trw_layer_acquire* functions

2013-10-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix translatable string with variable argument
	* Fix 'export_to_common' dialog
	* Fix configure error message

2013-10-16
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'MBTilesRead'
	* [WINDOWS] More reliable rebuilds.
	* [WINDOWS] Build with SQLite DLL 3.8.0.2
	* [QA] Fix typo + grammar in a comment
	* Allow creating a File Chooser dialog with optional file filters.
	* Expand mapcache hash to include a hash of the map filename (if there is one).
	* Directly support reading from MBTile files using libsqlite3.
	* Enable widget sensitivity in the layer properties to be controlled.

2013-10-13
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.5
	* Remove OSM web link layer options so you now get what ever is the OSM default.
	* Add beginnings of Slovak translation.
	* Add Translation for Basque
	* Document previous translation updates
	* Import Launchpad translation updates

2013-10-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix "figure" element in documentation
	* Fix simple typo in documentation
	* Fix missing declaration in po/POTFILES.in

2013-10-10
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing if attempting to Extend a Route via the Route Finder when the route has no points.
	* SF Support Requests#21: Make default print size full page.

2013-10-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: replace home made macro by GLib one
	* Fix: include file.h in file.c

2013-10-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix export dialog title

2013-10-04
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#116: Add an Acquire From URL option.

2013-10-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix gpsbabel capabilities parsing
	* QA: minor refactor to reduce code

2013-10-02
Rob Norris <rw_norris@hotmail.com>:
	* SF Features#116: Add an Acquire From URL option.
	* Fix not moving the viewport to the data when using TrackWaypoint->Acquire methods.
	* Fix the default value for getting the GPS Protocol in acquire.

2013-09-29
Rob Norris <rw_norris@hotmail.com>:
	* Add tooltip to help align the name in TrackWaypoint->Acquire menu to the File->Acquire menu

2013-09-28
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Mention ability to set a waypoint's altitude from DEM data.
	* Fix incorrectly updating files during geotagging that are read only.
	* Update libjpeg utilities from exif command line tool to version 0.6.21
	* SF Features#115: Part 2. Update working directory when loading images for geotagging
	* SF Features#115: Part 1. Add the ability to Geotag multiple images against a Waypoint.
	* [QA] Fix not showing new waypoints after geotagging due to not setting waypoint bounds.
	* Only allow JPGs in the file selector for Geotagging.
	* Fix broken map layer property tooltip.
	* Add support for OSM Humanitarian (HOT) Style Map.
	* [QA] These functions should be static to match the definition

2013-09-27
Rob Norris <rw_norris@hotmail.com>:
	* Show Map License information for each map type only once.

2013-09-21
Rob Norris <rw_norris@hotmail.com>:
	* Ensure consistent view of waypoint changes.
	* Support Waypoint timestamps in .vik files.

2013-09-18
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use specific type

2013-09-14
Rob Norris <rw_norris@hotmail.com>:
	* Always open new .vik file in current window when no .vik file is loaded.
	* [DOC] Images for the Track properties - since this has changed for version 1.5
	* Allow some redirects for routing web sites by default.
	* Improve item list dialogs to handle long text values better.

2013-09-13
Rob Norris <rw_norris@hotmail.com>:
	* Always create a menu separator for waypoints as now there is always at least the transform menu option

2013-09-11
Rob Norris <rw_norris@hotmail.com>:
	* Fix opening files with spaces in them when using the drag and drop mechanism
	* [DOC] Update help with text and images for multi-layer TrackWaypoint lists and statistics dialogs.
	* Merge branch 'WaypointsList'
	* Use Waypoint list dialog from Aggregate Layer menus.
	* Use Waypoint list dialog in TrackWaypoint layer menus.
	* Add Waypoint List dialog.
	* Expose functions for reuse and promote types.
	* [QA] Update year values.
	* [DOC] Transform menu help
	* [DOC] Maps download region including image of the dialog
	* [DOC] Improve Trackpoint edit dialog description and add example image.
	* [DOC] Selected trackpoint operations: inserting and deleting in Track/Route menu.
	* Actually make intended debug messages print only in debug instead of warnings.
	* SF Features#76: Fix Trackpoint copying after the introduction of trackpoint naming.
	* SF Features#53: Part2: Keep the size and zoom options next to each other in the Image Generation dialog.

2013-09-10
Rob Norris <rw_norris@hotmail.com>:
	* Add some safety checks and don't add the pixbuf into the cache if it's invalid.
	* In the Goto Lat/Lon dialog, allow the return key to accept the entry values.
	* [QA] Include your own header file.
	* [QA] Fixup if statement intention.
	* [QA] Shift Viking dependent functions in 'util' to 'vikutils'
	* SF Features#76: Add ability to handle and name trackpoints.
	* [QA] Fix some clang compiler warnings.

2013-09-05
Rob Norris <rw_norris@hotmail.com>:
	* Expand list of potentially used libraries.
	* [DOC] Add help for DEM File Information dialog
	* [DOC] Improve help for map tile information
	* Ignore new output from autotools build system.
	* Enable compiling with older glib versions (a function used is 2.32+ only)
	* [WINDOWS] Installer improvement
	* [WINDOWS] Need to specify magic database location.
	* [WINDOWS] Add libmagic DLL 5.03 for Windows build.
	* [WINDOWS] Add use of libbz2 (bzip2) 1.0.6 DLL for Windows build

2013-09-02
Rob Norris <rw_norris@hotmail.com>:
	* Fix files missing for translation

2013-08-30
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use the common map_utils_mpp_to_zoom function

2013-08-29
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'TrackList'
	* [QA] Remove unused function parameter
	* Add Track list output from aggregate layers.
	* Add track list capability to the track sublayer container.
	* Add Track List dialog.
	* Functions for reuse and promote a type.
	* Refactor track and layer list creation code for better reuse.

2013-08-28
Rob Norris <rw_norris@hotmail.com>:
	* Fix spelling of visible.
	* Remove compiler warning on 32bit systems.
	* Fix statusbar info format message to not display '(null)' repeatedly at the end.
	* Enable inserting a trackpoint before or after the selected trackpoint from the TrackWaypoint layer menu.
	* Enable direct deletion of a selected trackpoint from the TrackWaypoint layer menu.
	* Maintain trackpoint selected when moving it.
	* [QA] Function should use a constant name parameter
	* [QA] Function should use a constant name parameter
	* Fix coord layer copying so the copied one is actually drawn.
	* Fix crashing when attempting to download maps along a track when multiple maps are enabled.
	* [QA] Remove unused function
	* [QA] Remove an unused function parameter.
	* Add option to the cache-mbtile tool to avoid optimizing the database.

2013-08-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix missing question mark

2013-08-26
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'StatusBarInfoControl'
	* Merge branch 'TrackLabelling'
	* Merge branch 'TransformUtils'
	* Merge branch 'DownloadDecompression'

2013-07-24
Rob Norris <rw_norris@hotmail.com>:
	* Add 'Transform' abilities to set DEM information for Waypoints.
	* Refactor to use the new function to get the waypoint height.
	* Add function to set waypoint height from DEM information.
	* Add an option to anonymize track timestamps on upload to OSM Traces.
	* Make the anonymize timestamp method available in the GUI.
	* Add function to anonymize timestamps of a track.
	* Make the downloading SRTM error visible in the GUI.
	* Add warning of when trying to apply DEM data, but no DEM layers are available.
	* Improve options for applying DEM Data to a track/route.
	* Make the track/route elevation smoothing methods available in the GUI.
	* Add methods to smooth missing elevation data from tracks (or routes).
	* Create and use new menu level 'Transform' for some track/route operations.

2013-07-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Check size of route before refining it
	* Add function to refine a route with routing service
	* [DOC] Tag some contextual restrictions as 'note'
	* Fix: use g_list dedicated function instead of own code

2013-07-20
Rob Norris <rw_norris@hotmail.com>:
	* Enable optional opening of the track properties dialog on the statistics tab
	* Move all editable properties of a track/route to a dedicated tab.
	* Split TrackWaypoint layer tracks properties into an 'Advanced' section.
	* [DOC] New settings value
	* Add ability to draw track names and distance labels on the viewport.
	* Add helper function distance_in_preferred_units()
	* Add function to get a trackpoint by distance along a track.

2013-07-18
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Document options for the Trackpoint message format codes.
	* SF Features#113: Allow distance from track start to be shown in the Statusbar.
	* SF Features#111: Add Optional Statusbar update in GPS Realtime Tracking mode.
	* Enable following GPS realtime tracking even when no heading (course) is available.
	* Add a common method to produce an information message string about a Trackpoint.
	* Add a function to find out the distance along a track to a particular trackpoint.
	* Quick hack method to enable display of compiled in libraries (albeit in the wrong section of 'Artists') in the About dialog.
	* Support opening compressed files downloaded for the My OSM Traces feature.
	* Unzip comment
	* Start to make compression code more reuseable.
	* Fix menu use of named own Icons since the icons were renamed some time ago.

2013-07-15
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix memory leak in drawing new tracks/routes.
	* [QA] Fix memory leak in sorting layers.
	* [QA] Fix name memory leaks in TrackWaypoint operations.
	* [QA] Fix misc small memory leaks.
	* [QA] Fix several memory leaks on program closure.
	* [QA] Fix memory leak on deleting TrackWaypoint layers.
	* [QA] Fix new tracks not shown after split called from the Track Properties dialog.
	* [QA] Fix large memory leak on viewing Track Properties.
	* [QA] Fix incorrect iterator usage.
	* [QA] Fix memory leaks in usage of the clipboard.
	* [QA] Fix memory leaks on reading in Viking files.
	* [QA] Fix memory leak in treeview tooltips and selection.
	* [QA] Fix large memory leak when removing DEM layers.

2013-07-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: replace direct access to GtkWidget->window member by function call

2013-07-09
Rob Norris <rw_norris@hotmail.com>:
	* Add view of course and speed properties of trackpoints.
	* Enable control of create_label_vbox spacing and padding.
	* Fix some interpolated values of a trackpoint on insertion between points.

2013-07-07
Rob Norris <rw_norris@hotmail.com>:
	* Use the busy cursor during downloads of My OSM Traces.
	* Fix handling failed downloads with the My OSM Traces method.
	* SF Bugs#101: Fix Acquire from Google Directions.
	* Refactor Track property grid drawing into a common function.
	* SF Bugs#100: Fix Crash on viewing Track Properties with extreme gradients.
	* Add ability to use a conversion function between the displayed widget contents and the value stored internally.
	* SF Bugs#97: Fix missing redownload settings of some maps in the example config
	* SF Bugs#99: Increase limit for Map IDs
	* [QA] Fix issue spotted with cppcheck 1.59
	* SF Features#114: Increase the time limit for the Tile Age and use days in the GUI.

2013-07-02
Rob Norris <rw_norris@hotmail.com>:
	* More reliable waypoint symbol resetting on preferences change.
	* Fix name search using Google.
	* Fix some layer sorting issues.
	* [QA] Fix some issues spotted with cppcheck 1.59
	* Make dialog shifting a bit more reliable.
	* Use already calculated bounding box for 'maxmin' calculations.

2013-06-29
Rob Norris <rw_norris@hotmail.com>:
	* Add statistics for all tracks within a single TRW layer.
	* Enable all tracks statistics analysis for all TRW Layers within an Aggregate layer.
	* Add Multiple Tracks Statistical analysis dialog.
	* Add functions to return sublayer visibility.
	* [DOC] Fix some incorrect docbook markup.
	* Merge branch 'LayerSort'

2013-06-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix documentation minor typo
	* Generalize Acquire Directions
	* [QA] minor doc improvment

2013-06-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] More minor code improving
	* [QA] Add type checking
	* [QA] Add minor comment
	* Add a builder for a routing engine selector
	* Expose a function to iterate on all registered engines
	* [QA] Use more explicit funcion name
	* [DOC] fix ref doc

2013-06-13
Rob Norris <rw_norris@hotmail.com>:
	* Remove now unused alphabetical sort functions as they have been superseded.
	* [DOC] This internal setting no longer exists.
	* Enable TrackWaypoint sublayer alphabetical sort options.
	* Enable Alphabetical sorting of layers within Aggregate layers
	* Enable fast and GUI controllable alphabetical sorting of treeview layers.
	* Merge branch 'InternalSettings+StartupPreferences'
	* [DOC] Some words about the new Startup preferences options.
	* [DOC] Some words about the viking.ini file
	* Add option to control whether a periodic version check should be performed.
	* Map data license does not need to be shown every time for the default map.
	* On the very first startup, ask whether internet related options should default to on.
	* Enable detection of when Viking is run for the very first time.
	* Enable an optional automatic IP to location startup mode - mainly for new users to get going more easily.
	* Enable Startup Method option to choose between using the home position, last position or loading a specified file.
	* Add a startup option to load a default map (as defined by layer default for the map layer).
	* Add preference to control whether the auto window settings should be used.
	* Start Startup preferences
	* Use settings to allow configuration of max background threads.
	* Use settings to maintain the track properties dialog size between invocations.
	* Use settings to allow configuration of hardcoded map display performance values.
	* Use settings to save and restore Geotag values.
	* Use settings to save and restore the Goto Provider selected.
	* Use settings for OSM Traces visibility value.
	* Save and restore the generate image values using the settings mechanism.
	* [QA] Tidy up general preferences into single array
	* Use settings to store GPS values for reuse.
	* Alphabetized TrackWaypoint layer ordering is now a configurable run time setting.
	* Use settings to store Window layout states
	* First iteration of internal settings

2013-06-12
Rob Norris <rw_norris@hotmail.com>:
	* Fix track not displayed from realtime GPS tracking.

2013-06-11
Rob Norris <rw_norris@hotmail.com>:
	* Add a simple file properties dialog to show some details for a Viking file:
	* Fix usage of default maps cache directory when it does not end in a separator.

2013-06-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Add documentation on new public routing function
	* [QA] minor revision on cast operators

2013-06-03
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix incorrect comment

2013-06-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: Add glib.h
	* Ensure all buildable types are registered

2013-06-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix doc: Replace simple quotes by DocBook tags

2013-06-01
Rob Norris <rw_norris@hotmail.com>:
	* Add Show/Hide all Layers within an Aggregate Layer.
	* SF#3314896: Show/Hide All Tracks (Routes+Waypoints too) of a Layer.

2013-05-31
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Fix missing G_BEGIN/END_DECLS
	* Automated check for the latest version. ATM only on Windows systems.
	* Enable getting Viking Version as a number from a string to enable comparisons.

2013-05-29
Rob Norris <rw_norris@hotmail.com>:
	* SF#3613971: Remove Geofabrik's OpenStreetMap WMS, as it is not for public use.
	* SF#3613971: Remove Geofabrik's OpenStreetMap WMS, as it is not for public use.

2013-05-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix GLib macros typo
	* QA: factorize GObject cast operations (datasource_osm_my_traces.c)
	* QA: factorize GObject cast operations (datasource_osm.c)
	* QA: factorize GObject cast operations (datasource_google.c)
	* QA: factorize GObject cast operations (datasource_geotag.c)
	* QA: factorize GObject cast operations (datasource_gc.c)
	* QA: factorize GObject cast operations (datasource_file.c)

2013-05-25
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Revise direct access for '->vbox' to use gtk_dialog_get_content_area() instead.
	* Add ability to Download Maps for a defined region over several Zoom levels.
	* Don't silently fail on attempting to split to a track.
	* Fix selection of trackpoint via Edit Trackpoint button.

2013-05-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Routing: refactor
	* Routing: suppress Google
	* Routing: suppress OSRM specific code
	* Generalize routing engine

2013-05-23
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Prevent Gtk-Critical warnings on trying to use NULL strings on file entry widgets.
	* Fix Drag and Drop file loading on Windows.
	* Prevent gcc 4.7.3 compiler warnings for new routing code.
	* Support new versions of depreciated g_thread_* functions for glib 2.32
	* Allow opening of files via Drag and Drop onto the Viewport.
	* Fix background thread statusbar update instability.
	* Fix location of gdk_threads_enter() to be before first window creation.
	* Allow Bing Map source URL to be set via the configuration XML file.

2013-05-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Doc: improve reference documentation
	* QA: add a NULL check
	* DOC: add classname tags

2013-05-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix vik_routing_register: replace existing engine
	* Remove uneeded (and wrong) finalize functions
	* Update AC_INIT macro call

2013-05-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix compilation warning
	* Allow to use full URL as download parameter

2013-05-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add OSRM routing engine
	* Generalize route finder
	* Add a fixed combobox for string parameter

2013-05-05
Rob Norris <rw_norris@hotmail.com>:
	* Oops! Remember to commit new files for DatasourceRemoteFile feature.

2013-05-04
Rob Norris <rw_norris@hotmail.com>:
	* SF#3601584: Fix minimum vertical size for the track properties dialog.

2013-05-03
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'DatasourceRemoteFile'
	* Add support for acquiring OpenStreetMap Notes as GPX files.
	* [DOC] Explain datasources.xml usage.
	* Add a new webtool datasource to allow acquiring data from URLs that return a file.
	* Rework mpp_to_zoom() to return the actual zoom level and handle all Viking zoom levels.
	* [DOC] Promote Extending Viking to the top level section in the manual.
	* [DOC] Ids are not necessary in these configuration files.
	* Make mpp_to_zoom() a generic function
	* Prepare for dynamic VikDataSourceInterface creation/deletion.
	* Make window related values available on acquire initialisation.
	* Ensure string is long enough for potential dates.

2013-05-01
Rob Norris <rw_norris@hotmail.com>:
	* Simpler and better use of time display for tracks.
	* Simpler and better use of time display for trackpoints.
	* Add display of Waypoint time property (only when waypoint has a time).

2013-04-30
Rob Norris <rw_norris@hotmail.com>:
	* Add time property to Waypoints since it's in the GPX1.0 standard.

2013-04-29
Rob Norris <rw_norris@hotmail.com>:
	* Fix waypoints may not be shown if drag copied between layers.
	* Enable changing name of an existing waypoint in the Waypoint Properties dialog.
	* Correct tooltip message for paste behaviour
	* Scope to include additional menu items for an Aggregate Layer.
	* Add simple dialog to show DEM file information.

2013-04-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Relicensing source code from GPLv3+ to GPLv2+

2013-04-27
Rob Norris <rw_norris@hotmail.com>:
	* Prevent cut/copy/paste options appearing in the popup menu from the '+' layer button.
	* [QA] Remove spurious commented out code.
	* Waive copyright on my accessory scripts to build Viking on Windows.
	* Remove shell script as route capabilities are now in Viking.
	* [QA] Protection from trying to use small values in the zoom combo box.
	* Fix incorrect setting to lowest zoom value when clicking away from the statusbar zoom menu.
	* [QA] Improve create zoom menu to use G_N_ELEMENTS to know array bounds.

2013-04-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Relicensing source code from GPLv3+ to GPLv2+

2013-04-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Geocaching: fix geotools call when locale is not C

2013-04-22
Rob Norris <rw_norris@hotmail.com>:
	* Fix may crash on exporting to GPX. Caused by recent commit.
	* Set the generate image file filter according to the file type selected.

2013-04-20
Rob Norris <rw_norris@hotmail.com>:
	* Fix a_vik_gpx_export_wpt_sym_name internal type
	* Really fix showing map timestamps on Windows on the map tile info dialog.

2013-04-17
Rob Norris <rw_norris@hotmail.com>:
	* Add 'Creation' sort option for saving GPX tracks.
	* SF#3387591: Improve keyboard copy+paste behaviour when the editing a layer name in the treeview.
	* SF#3608417: Add Preference option to control the display of the track creation distance tooltip.
	* Reduce wasted space in the Preferences dialog if there are lots of tabs.
	* SF#2998555: Control of saving Absolute vs Relative Paths in .vik files
	* Add 'Advanced' preferences tab.
	* Make more portable .vik file, as don't save the map cache directory if it's the map cache default directory.
	* SF#3028797: Remember last directory used when saving / opening main files.

2013-04-16
Michael Klein <michael.klein@puffin.lb.shuttle.de>:
	* SF#3610708: Fix Failing to Load DEM files on Big Endian Systems.

2013-04-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Minor improve

2013-04-10
Rob Norris <rw_norris@hotmail.com>:
	* Import Launchpad translation updates for Asturian language

2013-04-10
Wolfgang Goetz <Wolfgang.ztoeG@web.de>:
	* Fix Double defined msgid's in po-files.

2013-04-10
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'GTK+-Updates'
	* Create own marshal_VOID__POINTER_POINTER function.
	* Don't use deprecated Gtk Type Objects - use G Type Objects instead.
	* [QA] Remove old checks for minimum GTK+2.10, since we require 2.14.
	* If using GTK+2.24 or later don't use depreciated about dialog features as not needed any more.
	* Rework combo boxes to work with GTK+2.24 or earlier.
	* gtk_marshal_VOID__POINTER_UINT depreciated, use g_cclosure_marshal_VOID__UINT_POINTER instead.
	* Use GTK+2.18 functions if available.
	* Improved usage of GTK+2.14 features for URIs.
	* Minimum GTK+2.14 required for the build.
	* [QA] Better use of VikLayerTypeEnum rather than gints
	* Merge branch 'i18n-launchpad' into master
	* Update translations for layers menu popup which no longer have to start with '/'
	* Remove usage of depreciated GtkItemFactory.
	* Position Trackpoint Edit and Waypoint dialogs to not obscure the selected point.
	* When adding layers insert 'Base' layers (i.e Maps/GeoRef/DEM) below the selected layer.
	* Add 'Export All' functionality to convert all TrackWaypoint layers into individual GPX or KML files.

2013-04-09
Rob Norris <rw_norris@hotmail.com>:
	* Enable opening background jobs window from the status bar by clicking on the items field.
	* When loading unnamed items in a gpx file improve the default name.
	* Fix using .vik files with 'unusual' track or waypoint names
	* Fix waypoint selection when the waypoint has an image but the images are not being displayed.

2013-04-08
Rob Norris <rw_norris@hotmail.com>:
	* Releasing 1.4.1
	* Don't need specify full path for cmd.exe in using wine
	* Use a busy cursor when exporting to a file.

2013-04-07
Rob Norris <rw_norris@hotmail.com>:
	* Enable a busy cursor when loading and saving files as that may take some time.
	* Improve Goto place search UI usage so one can start typing and then press return to instigate it.

2013-03-29
Rob Norris <rw_norris@hotmail.com>:
	* Fix unintentional renames if drag dropping within the same layer

2013-03-24
Rob Norris <rw_norris@hotmail.com>:
	* SF#3608411: Part 2 - Avoid creating command window on Viking start-up.
	* Fix showing map timestamps on Windows on the map tile info dialog.
	* Merge branch 'WaypointSymbolImprovements'
	* Maintain support of old waypoint symbol names with new hashed lookup method.
	* Add preference to support writing Waypoint symbol names in Title or lower case.
	* Add an example viking file with all the supported waypoint symbols in use.
	* Add 'helipad' waypoint symbol.
	* Add 'exit' waypoint symbol.
	* Amend ground transport icon colour to differentiate between it and the school symbol.
	* Fix incorrect GPSBabel/Garmin symbol names.

2013-03-23
Rob Norris <rw_norris@hotmail.com>:
	* Document previous translation updates
	* Import Launchpad translation updates

2013-03-21
Rob Norris <rw_norris@hotmail.com>:
	* Maintain waypoint symbol .vik file compatibility with older Viking releases.

2013-03-21
Sven Eckelmann <sven@narfation.org>:
	* Fix GPX symbol names for Garmin Oregon 450

2013-03-21
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Tidy up Coordlayer function definitions.
	* Fix layer defaults fix, which breaks setting the layer defaults.

2013-03-20
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiling geocaches to work with updated VikLayerParam definition.
	* SF#3608411: Part 1 - Avoid warning about unbuffer on Windows Systems.
	* SF#3608264: Improve Statusbar Location Info Maybe Truncated

2013-03-17
Rob Norris <rw_norris@hotmail.com>:
	* Prevent inputting empty names for layers and sublayers via the layers panel.
	* SF#3608311: Fix crash caused by renaming blank sublayer names
	* Correct spelling of map layer.
	* [QA] Move file related function into file.c and rename for general reuse
	* [QA] Better for vik_track reverse to worry about trackpoints.
	* Merge branch 'Optimize'
	* GeoRef layer draw: only scale the image when the image will be drawn on the viewport.

2013-03-14
Rob Norris <rw_norris@hotmail.com>:
	* Optimize: Calculate associated icon of a waypoint only on change.
	* Optimize: Only create waypoint font size string when actual setting is changed.
	* Speed up item selection by restricting search within bounding box limits.
	* Make vik_viewport_coord_to_screen() calculation faster.
	* Only attempt to draw waypoints when they are in the screens bounding box.

2013-03-13
Rob Norris <rw_norris@hotmail.com>:
	* Store track bounding box and only attempt to draw it if some part of it is visible on screen.

2013-03-13
Wolfgang Goetz <Wolfgang.ztoeG@web.de>:
	* Be less strigent in loading Geotagged images without optional GPS tags

2013-03-13
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Consistent use of *_layer_draw parameter types.
	* [QA] Tidy up DEM layer function definitions.
	* [QA] These GeoRef layer functions should be static.
	* Convert GeoRef failed image loading message into a GUI message.
	* GeoRef Layer only works in UTM Projection Mode.
	* Fix tooltip of GeoRef northing / easting values.
	* Improve defaults for the GeoRef layer using the current view to suggest some values.

2013-03-09
Rob Norris <rw_norris@hotmail.com>:
	* Remove blank entry on the Tools->Webtools menu list.
	* Change map image interpolation to a more precise one.
	* Prevent the program grinding to a halt if trying to deal with thousands of tiles
	* Prevent requests for downloading tiles at Zoom Level 19 and above for most map types
	* Extend map scales down to support 1/32 zoom level.

2013-03-07
Rob Norris <rw_norris@hotmail.com>:
	* Fix use of scaled tile image when tile image not present.

2013-03-06
Rob Norris <rw_norris@hotmail.com>:
	* Add Wikimedia Toolserver GeoHack as a webtool.

2013-03-05
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Add missing include as this header uses an externally defined type DownloadMapOptions.
	* [QA] Function should have only local scope.
	* Enable updating the treeview to allow setting a blank waypoint symbol.
	* Merge pull request #2 from gdt/maxzoom
	* Merge pull request #1 from gdt/whitespace-README

2013-03-04
Greg Troxel <gdt@lexort.com>:
	* Allow zoom to 1/32.
	* Wrap long lines.

2013-03-03
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'LayerDefaultValues'
	* Now layer property defaults are available, improve some layer defaults.
	* Fix usage of layer defaults when file has been manually editted and entries have been removed.
	* [DOC] Layer property defaults.
	* Improve the Waypoint tooltip to display the description if there is no comment.
	* Remove unnecessary include statements.
	* Fix datasource acquiring waypoints from geotag images.
	* Create and use a function to detect when a TrackWaypoint layer is empty.
	* [QA] Use vik_track function to append trackpoints from another track
	* [QA] Simplify vik_track_steal_and_append_trackpoints()
	* Remove direct access for '->style' and replace with gtk_widget_get_style()
	* Don't use deprecated GtkObject - use GObject instead.
	* gtk_object_sink() has been deprecated since GTK version 2.10, use g_object_ref_sink() instead.
	* Replace G_CONST_RETURN with 'const'
	* [QA] Remove unused variable in VikWindow.

2013-02-26
Rob Norris <rw_norris@hotmail.com>:
	* Better copying of limited sized string.
	* [DOC] Update the TODO file to say that it's old and superseded by the wiki.
	* Updated geo-* scripts to version released on 2013/02/18
	* Fix compilation with --enable-geocaches option.

2013-02-23
Greg Troxel <gdt@ir.bbn.com>:
	* help/Makefile.am: explicitly list figures.

2013-02-17
Rob Norris <rw_norris@hotmail.com>:
	* Revise Layer Default icon.

2013-02-16
Rob Norris <rw_norris@hotmail.com>:
	* Add default values for layers.
	* [QA] Refactor general string processing to avoid pointer arithmetic.
	* [QA] Simplify setting the colour in coordinate layer.
	* [QA] Move preferences_load_parse_param() to be a general function
	* [QA] Move VikLayerTypedParamData from preferences into viklayer header
	* [QA] Promote layer_type_from_string to be a global function.
	* [QA] Enumerate and use VikLayerWidgetType
	* [QA] Enumerate and use VikLayerParamType
	* [QA] Better usage of enumeration type to identify layers.
	* [QA] Initialization of TrackWaypoint layer data in related part.
	* Enable some layers to be created without needing a viewport.
	* Releasing 1.4.0.1

2013-02-16
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows: Add .vik file extension association option in the installer

2013-02-11
Rob Norris <rw_norris@hotmail.com>:
	* Releasing Viking 1.4.0
	* Document previous translation updates
	* Import Launchpad translation updates
	* [DOC] Add an example screenshot of Viking.
	* [DOC] Update map download tool text.
	* Fix copy and paste typo in a Windows script.
	* Fix crashing if creating a DEM layer with no files.

2013-02-09
Rob Norris <rw_norris@hotmail.com>:
	* Fix usage of GDateTime functionality which is only in GLIB 2.26 and newer.
	* Fix crash when cancelling an 'Acquire' in progress thread task.
	* Need more files for Windows packaging.
	* Fix potential unnecessary exit in trying to handle spawning of external command.
	* Restore help files to being part of the source distribution.
	* Remove checking of unused headers and functions.
	* Remove useless include.

2013-02-04
Cristian Klein <cristiklein@gmail.com>:
	* Fix: crash when dealing with non-compressed DEM files

2013-02-04
Rob Norris <rw_norris@hotmail.com>:
	* Include Windows scripts in the source distribution.

2013-02-03
Rob Norris <rw_norris@hotmail.com>:
	* Windows: Script full generation of Windows build from scratch for version 1.4.

2013-01-31
Rob Norris <rw_norris@hotmail.com>:
	* Improve Windows installer script.
	* Make the Spanish version of the Windows Installer actually selectable.
	* Fix Windows installer script to run on a real Windows system.
	* Add Windows installer files to be included in a 'make dist' source distribution
	* [DOC] Minor corrections
	* [DOC] Remove really old file
	* Remember to add support of Finnish translation

2013-01-30
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'i18n-launchpad'
	* Define Windows build version in the Installer script.
	* Windows build installation steps in installer.bat script file.
	* [QA] Remember Exif library removal on Windows deinstall.
	* Document previous translation updates
	* Import Launchpad translation updates from 1.3

2013-01-28
Rob Norris <rw_norris@hotmail.com>:
	* Add simple dialog to show map tile information.
	* Ensure tracks coloured according to the draw mode.

2013-01-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove zoom combobox in toolbar
	* Add a zoom selector on status bar

2013-01-26
Rob Norris <rw_norris@hotmail.com>:
	* Add file version to .vik files.
	* Ensure when creating tracks they are allocated a colour.
	* Rework TrackWaypoint layer option to draw 'All Tracks Black' into 'All Tracks Same Color'.
	* Add map layer option to only download missing tiles.
	* [QA] Remove unneeded include.
	* [QA] Better variable naming
	* Maintain script output of TrackWaypoint layer format.
	* [QA] Reduce warnings when compiling with Clang.
	* [QA] Actually use results from IS_VIK_* calls.
	* Add more files to ignore, when building on Windows

2013-01-23
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'MyOSMTraces'
	* [DOC] Add My OSM Traces help.
	* Add marker to indicate whether my tracks from OSM starts within the current viewport.
	* Add Acquiring 'My' OSM Traces as a datasource.
	* [DOC] Top layer can no longer be renamed.
	* [DOC] Fix internal doc reference.

2013-01-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Apply naming convention to GType macros (vikviewport)

2013-01-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Replace some coef with more explicit function
	* [QA] Convert DEG2RAD and RAD2DEG to macro functions

2013-01-20
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Tidy up vikgoto header usage.
	* [QA] datasource_geotag tidy ups + fix copyright
	* [QA] Prefer g_strdup() over strdup(). Also gives clean cppcheck 1.57 run.
	* [QA] Adjust test and move variable declaration to give clean a cppcheck 1.57 run

2013-01-19
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Add further TrackWaypoint detail.
	* [DOC] Promote individual layers into top level sections.
	* [DOC] Improve Acquire help wording and links to TrackWaypoint layer.
	* [DOC] Fix internal document linking when used with Yelp.
	* Add TrackWaypoint layer Delete menu options for routes.
	* Merge branch 'WikipediaPointsRework'
	* [DOC] Update Wikipedia Waypoints to be from the Acquire menu level.
	* Fix geonamessearch to handle not being able to map a file to memory.
	* Use Wikipedia featue type to generate a suitable waypoint icon
	* Use elevation values in creating waypoints from Wikipedia.
	* Allow for getting more Wikipedia Waypoints (up to 20).
	* All translated versions to select appropriate language Wikipedia articles.
	* Allow the columns to be sortable in the Wikipedia Waypoints that are available.
	* Decide the 'feature' type is more useful than seeing the country code.
	* Add getting Wikipedia Waypoints via the File->Acquire menu method.
	* Fix geonames country pattern
	* Simplify getting bounds for wikipedia waypoints by reusing existing function.
	* Save Wikipedia Waypoint links in a simple format as the waypoint comment.
	* Remove useless 'selected' check box on Wikipedia points creation method.
	* Move 'Add Wikipedia Waypoints' into the Acquire Menu in the TrackWaypoint Layer.

2013-01-18
Rob Norris <rw_norris@hotmail.com>:
	* Simplify layer update redraw in determining the gtk update method.
	* Fix: Improve internal redrawing method for layer panel updates.
	* Store the main thread value so comparisons can be made to determine the gdk update method
	* Allow acquiring an URL with a username/password authenticated download.
	* Allow downloading with authentication via curl
	* Allow an acquire datasource method to *not* have to use a threading mechanism.

2013-01-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix screenshot included in previous commit
	* Add bearing information while creating route/track

2013-01-16
Rob Norris <rw_norris@hotmail.com>:
	* Avoid CRITICAL warnings when updating a waypoint. Check the symbol value is something before attempting to use it.
	* Fix routes display in different coordinate views.
	* Allow attempting to open a URL in a waypoint comment or description.
	* [QA] Mark some GPS layer strings for translation.

2013-01-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Factor the way to compute window's name

2013-01-12
Rob Norris <rw_norris@hotmail.com>:
	* [QA] Use specific type GHashTable *, instead of generic gpointer.
	* Optimise: get reference to VikWindow only once per TrackWaypoint layer drawing update.
	* [QA] Better variable name usage following the change from name to an id.
	* [QA] Add specific enumeration for route finder tool
	* Change TrackWaypoint properties that are radiogroups into combo boxes for compactness of displayed dialog.
	* Add tooltips for Preferences and Layer Parameters.
	* [QA] Tidy up preferences.c
	* [QA] Remove unused viewport variables.
	* [QA] Remove unneeded include statement.

2013-01-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Avoid gpsbabel conversion on OSM traces
	* Allow to download and acquire a GPX without gpsbabel
	* [DOC] Improve aquire's reference documentation
	* Simplify acquire feature
	* [DOC] Improve babel's reference documentation

2013-01-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Reformat viktrack's reference documentation
	* [DOC] Format acquire's reference documentation

2013-01-07
Rob Norris <rw_norris@hotmail.com>:
	* The vikgoto should not be calling display updates.
	* Factor download to a temporary file into a single reused function.
	* The geonamesearch should not be calling display updates.
	* Remove of temporary file after processing Geonames Wikipedia information.

2013-01-06
Rob Norris <rw_norris@hotmail.com>:
	* Fix an acquire callback type usage.
	* Allow sorting on the column of the select from list dialog.
	* [QA] Fixup go to Geocache Webpage
	* [QA] Make more local functions static.
	* [QA] Improve header usage
	* [QA] Prevent potential clash of accelerator

2013-01-05
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'GPX-Route+Icons+Colour'
	* Fix Google Route Finding usage as a route type.
	* Maintain track properties when splitting a track.
	* [DOC] Help improvement - mention automatic view on file load.
	* [DOC] Amend help for addition of Routes capability.
	* [DOC] Amend and tidy man page for addition of Routes capability.
	* [DOC] Remove old doc. Use the User Manual instead.
	* Enable display of GPS Device on GPS Upload.
	* Add a sample route GPX file. Useful for testing.
	* SF#2692629: Allow control of GPX file saving track order
	* Improve contrast between default track colours.
	* Rewrite TrackWaypoint layer copy/paste to use GbyteArray rather than using a temporary GPX file.
	* Simplify internals of layer copy and paste for waypoints and tracks.
	* SF#2564997: Enable specific track colours in default draw by track mode.
	* Fix odd issue with waypoint symbol not getting set on copy.
	* Display waypoint symbols in the layers panel tree view.
	* Fix allocation of tree iterator as it may be used some point in time in the future.
	* Enable setting the icon on a viktreeview item.
	* Replace 'Add Track' tool with 'Create Route' tool.
	* Improve warning message, no creating is happening here.
	* Now allowed same track names so an overwrite warning is not necessary any more.
	* Add ability to append other type of track or route to a route or track.
	* Enable converting a track to a route, or a route to a track via the TrackWaypoint layer menu.
	* Add support for GPX routes - as a new sublayer type of the now less accurately named TrackWaypoint layer
	* Add paste menu option in the sublayer menu container for Tracks and Waypoints.
	* Add method to return the type of Viking data held in the clipboard
	* Add options to start making a new track and finishing it from the TrackWaypoint layer menus
	* Add new 'New' submenu for the TrackWaypoint layer
	* Move TrackWaypoint layer menu view sublayer options into a submenu
	* Enable tooltip for track and waypoint sublayer containers.
	* Make sublayer containers for track and waypoint sublayers only visible in the layers panel when they actually contain something
	* Fix combo box zoom level selection calculation.
	* [QA] Better internal variable name in track drawing
	* [QA] Make a local function static.

2013-01-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Restore Google Directions feature

2013-01-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Remove uneeded const modifier
	* Use local variable instead of multiple GCast

2012-12-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Add ifdef macro for Google Directions related
	* Add debug message tracing name of temporary files
	* [QA] Replace g_mapped_file_free
	* [QA] Remove uneeded compatibility
	* [I18N] Mark translatable string

2012-12-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Remove unusable constructor
	* [QA] Extract utility function from viktrwlayer

2012-12-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Use dedicated macro for creating abstract type

2012-12-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [QA] Replace code by GObject macro (viklayer)
	* [QA] Replace code by GObject macro (viklayerspanel)
	* [QA] Replace code by GObject macro (viktreeview)
	* [QA] Replace code by GObject macro (vikgotoxmltool)
	* [QA] Replace code by GObject macro (vikviewport)
	* [QA] Replace code by GObject macro (vikwebtoolcenter)
	* [QA] Replace code by GObject macro (vikwebtoolbounds)
	* [QA] Replace code by GObject macro (vikwebtool)
	* [QA] Replace code by GObject macro (vikgototool)
	* [QA] Replace code by GObject macro (vikexttool)
	* [QA] Replace code by GObject macro (googlesearch)
	* [QA] Replace specific code by GObject macro

2012-12-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Add keycap tagging over Ctrl shortcuts

2012-12-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Add reference documentation to VikStatusbar

2012-12-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix tooltip setting
	* Add tooltip to new zoom level combo

2012-11-30
Rob Norris <rw_norris@hotmail.com>:
	* Ensure when opening multiple .vik files they are each loaded into a new window.
	* Remove unnecessary pass_along variables usage.
	* Tidy up: remove unused parameter in select track or waypoint functions
	* Allow configuration of trackpoint size and direction arrow size drawing.
	* Add the capability to draw a directional arrow on tracks.
	* SF#2783468: Show UTM location in statusbar when in UTM mode.
	* Change the save to image to only use tile supported zoom levels.
	* Add a zoom combo box into the toolbar

2012-11-24
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Add version and source to the man page.

2012-11-17
Rob Norris <rw_norris@hotmail.com>:
	* [I8N] Maintain .vik file compatibilty with translated layer names.

2012-11-16
Rob Norris <rw_norris@hotmail.com>:
	* Better integer type usage
	* Add G_BEGIN_DECLS and G_END_DECLS to most header files.
	* Add missing G_END_DECLS to header files.
	* Add missing define for a header file
	* [DOC] Add information about file types and window level operations to the user manual.
	* [DOC] Fixup help on mouse clicks.
	* Fix build for optional use of libX11

2012-11-12
Rob Norris <rw_norris@hotmail.com>:
	* Tidy up: Remove used function.
	* Never willingly abort, remove exit() statements.

2012-11-11
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'HelpUpdates'
	* [DOC] New Upload to GPS methods detail.
	* [DOC] Illustrate help for all the tools with the associated icon.
	* Improve feedback if there is some problem in opening the help.
	* [DOC] Reminder on how to generate the PDF help
	* Remove unused script
	* [DOC] Example on how to convert help output for the Wiki
	* [DOC] Map Cache Information
	* [DOC] There's more Howto's now.
	* [DOC] Add GPS Real Time Howto
	* [DOC] Extend Geotagging Help
	* [DOC] Improve Getting Started Help
	* [DOC] Misc tidy ups in help
	* Add configuration to generate help in HTML format
	* Add copyright of Rob Norris in documentation and update the year
	* Remove document which relates to using a bespoke version of Viking.
	* Remove unnecessary .*config files.
	* Remove old and unused gpsd pixmap

2012-11-09
Rob Norris <rw_norris@hotmail.com>:
	* Allow a simple Waypoint text size to be set per layer.
	* Use default system font in manually created layouts.
	* Tidy some functions to use the VikTrack type properly
	* Add file filter for Viking type files in the save as function.
	* When downloading maps along a track always display the maps when available!
	* Add support of GPX comments and descriptions for tracks and waypoints.
	* Add simple user feedback about the image generation process.
	* Add basic image type file filters of JPG and PNG when saving to an image file.
	* Rework draw_to_image_file() methods to ask for filename later in the process.
	* SF#2831256: Allow generation of large pixel sized images.
	* Correct spelling of map cache.
	* Bump up default map cache size to 128MB and allow setting to 1GB.
	* Add acquire from file into the TrackWaypoint menu options.

2012-11-04
Rob Norris <rw_norris@hotmail.com>:
	* Fixup and simplify GPX saving tracks in timestamp order.

2012-11-02
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'TrackWaypoint-GPS-Up'

2012-10-27
Rob Norris <rw_norris@hotmail.com>:
	* SF#356778: Download Map Tiles using F5
	* [DOC] Some help detail about keyboard shortcuts.
	* Minor tidy ups.
	* SF#3575828: Ensure new track drawing uses track property line thickness

2012-10-25
Stanislav Brabec <sbrabec@suse.cz>:
	* New Desktop Menu Specification[1] finally has appropriate Category for map applications: Maps

2012-10-21
Rob Norris <rw_norris@hotmail.com>:
	* Ensures the highlight gets drawn around waypoint image when waypoint is near the screen edge
	* Another bit of Google Directions needs ifdef disabling

2012-10-19
Rob Norris <rw_norris@hotmail.com>:
	* Allow GPS Upload from any selected TrackWaypoint layer or individual track.
	* Expose methods to get details about options from the GPS datasource selection GUI.
	* Only create dialog in GPS communication layer if we're going to do some transferring
	* Add option to turn off GPS device in GPS Layer communication.
	* On all GPS Uploads/Downloads always update progress status with 'Status: Working...'
	* Fix opening GPX files with own internal "hidden" markers on waypoints.
	* Enable option to not write invisible tracks or waypoints in GPX file and don't write them on GPSBabel convert to method.
	* Allow uploading a single track via the GPS layer interface.
	* Expose the GPS device communication in the GPS layer for reuse.
	* Make GPS layer use dynamic list of GPS devices as supported by GPSBabel.
	* Allow passing just a track into a_babel_convert_to() for uploading to a GPS Device
	* Correct layer read definition + enable reporting of issues from gpspoint parts in .vik files
	* Add basic warning message if an issue has been detected in loading a .vik file.
	* Tidy up variable names
	* Improve optional build of documentation components
	* Limit the size of GPS Babel 'friendly' labels since they can be really long.

2012-10-13
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Amend help to detail new merge, split and delete points track operations.
	* Merge branch 'TrackMergeSplitImprovements'

2012-10-09
Rob Norris <rw_norris@hotmail.com>:
	* Add some protection against crazy elevation numbers that cause viewing a track's properties to crash
	* Detail on how to regenerate reference help
	* [I8N] Mark vikaggregatelayer.c for translation
	* [I8N] Mark file vikwaypoint.c for translation.
	* Fix memory leak detected by cppcheck 1.56
	* Tidy ups to keep cppcheck 1.56 happy.
	* Prevent obscure crash on key press when layer is not selected but create track tool is enabled
	* Never use g_error() as it aborts the program. Use g_critical() instead.
	* Add python tool to convert a Viking tile cache into a MapBox MBTiles format file.
	* Rework a_file_load() to always load .vik files in preference to other kinds and other clean ups.
	* Suggest default filename with .vik file extension when saving a new file.

2012-10-05
Rob Norris <rw_norris@hotmail.com>:
	* Revert Stonehenge.jpg back to the previous version *without* GPS information.

2012-10-01
Rob Norris <rw_norris@hotmail.com>:
	* Use the signalling method to the update statusbar from OSM traces background thread.
	* Allow statusbar update signal method to specify which part of the statusbar to update.
	* Move window code that is unnecessarily in main.c to vikwindow.c

2012-09-28
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing due to GUI updates from the background thread on GPS Upload.
	* Fix CPU usage going to 100% when statusbar items update is called.

2012-09-23
Rob Norris <rw_norris@hotmail.com>:
	* git ignore the generated PDF manual.
	* Releasing version 1.3.2
	* Fix 'make distcheck' to have a clean run.
	* Prevent compiler warning.

2012-09-21
Rob Norris <rw_norris@hotmail.com>:
	* Minor code tidy up to match staticness of function definitions.
	* Fix non slippy maps from complaining about lack of function definition.
	* Remove Direction Finding from the Help as direction finding via Google services has been disabled.

2012-09-20
Rob Norris <rw_norris@hotmail.com>:
	* Disable direction finding via Google services as they no longer support KML output.
	* Fix usage of vvp in gpslayer in uploading TRW layer data.
	* Ignore built viking.exe file under Windows.
	* Fix DEM icon usage following internal rename.
	* git ignore output from make dist
	* git ignore files generated in the data directory
	* Remove old and unused src/.depend file
	* Reduce warnings when compiling on Windows
	* Update ‘gdk_pixbuf_ref’ deprecated functions to the g_object_ref equivalents
	* Ensure correct selection of track or waypoint following name usage rework.
	* Add a background block to the track drawing distance to make the text easier to read.
	* Use gdk_draw_layout() rather than gdk_draw_string() in track distance drawing
	* Fix flickering map background when creating a new track and panning the map with the mouse.
	* Rework the create track drawing with a specific GC on which to draw the next potential point.
	* Fix for Debian#685817: Statusbar Update From Thread Instability
	* Fix openwindow internal type to match actual usage.
	* [Geotagging] Improve detection of image files having GPS information.
	* Fix GPSBabel Dynamic Device List generation on Windows Systems.
	* Add zoom by bounds capability when using the zoom tool and holding the SHIFT key and left click to select the zoom in area.
	* Enable zoom tool to recenter the display on the clicked position when the CTRL key is held at the same time.
	* More intuitive zoom actions involving the mouse to retain the location under the pointer within the viewport bounds.

2012-09-06
Rob Norris <rw_norris@hotmail.com>:
	* [Geotagging] Update RPM spec for new dependency.
	* Improve feedback for handling erroneous GPX.
	* [Geotagging] Fix SF#3564795: Crashing when attempting to create waypoints from EXIF images without enough GPS information.
	* Prevent crashing when attempting to import with GPSBabel a file and not specifying the file type (due to a malformed (null) result of the GPSBabel file types list).
	* Prevent crashing when attempting to acquire data with a malformed (null) result of the known GPS devices list.

2012-09-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix lack of feedback when reading erroneous GPX

2012-08-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [MAPS] Add OpenSeaMap source

2012-08-27
Guido Scholz <guido.scholz@bayernline.de>:
	* Fix usage of directory "doc/reference" missing even it is used in configure.ac. Automake hangs here if called with autoreconf.
	* Clean gnome-doc-utils.make in target "dist-clean"
	* Further tab fixes in Makefiles
	* Remove doubled defined "XP" in src/Makefile.am (conplained by automake)
	* Fix the missing tabulator
	* Fix an incompatible make file rule (using "%"); this is complained by automake.
	* Enhance the "make dist" target wrapping the package also in a tar.bz2 as well as a zip package

2012-08-27
Rob Norris <rw_norris@hotmail.com>:
	* Ensure the pan toolbar button is activated by default to match the default tool mode.

2012-08-26
Rob Norris <rw_norris@hotmail.com>:
	* Enable merging segments of a track from the Track->Combine submenu.
	* Add function to merge segments of a track.
	* Fix implicit ordering of Trackpoint property dialog buttons.
	* Tidy up: simpler and better use of trackpoint free methods in TRW Layer.
	* Fix potential loss of track segment in vik_track_remove_dup_points()
	* Enable deletion of track points with the same timestamp from the Track -> Delete Points submenu.
	* Add functions to count and delete track points with the same timestamp.
	* Add new 'Delete Points' track submenu and allow deleting duplicate track points.
	* Update vik_track_remove_dup_points() to return the number of points deleted

2012-08-25
Rob Norris <rw_norris@hotmail.com>:
	* Add Track Split by Segments into Track menu options.
	* Consistent use of unique_sublayer_name function when creating new tracks via all split operations.
	* Internal reorganization of unique_sublayer_name function for reuse
	* Make splitting a track consistant in that it never asks the user the name of the new tracks.
	* Remove joining tracks via the Track Point dialog as it was a 'weird hack'.
	* Move View Track menu option above submenu options.
	* Add new append track command to join tracks not caring about the whether they have timestamps.
	* Move track merge options into a new submenu called 'Combine'
	* Add track split at trackpoint as an option to the menus.
	* Rework track split at trackpoint into a function for later reuse
	* Move split track menu options into a new submenu
	* Fix merge track by times for using the internal track id properly.
	* Fix display of track edit dialog values when invoked via Track Edit dialog.

2012-08-12
Rob Norris <rw_norris@hotmail.com>:
	* Fix split track at trackpoint for using the internal track id properly.

2012-08-09
Guido Scholz <guido.scholz@bayernline.de>:
	* Fix the untranslated "top layer" context menu. Signed-off-by: Rob Norris <rw_norris@hotmail.com>
	* Fix radio button labels not translated in dialog windows.

2012-08-08
Rob Norris <rw_norris@hotmail.com>:
	* Add and use keyboard accelerator shortcuts to be able to create the most likely used layers.

2012-08-07
Rob Norris <rw_norris@hotmail.com>:
	* Add keyboard accelerator marker for layers used in menus.
	* [I18N] Ensure all layer names are marked for translation

2012-08-06
Rob Norris <rw_norris@hotmail.com>:
	* Rework Tool interface for give better control for Tool menu labels and tooltips.
	* Add some keyboard shortcuts to the help.

2012-08-05
Rob Norris <rw_norris@hotmail.com>:
	* Fix header as vik_trw_layer_get_waypoint is required again.

2012-08-04
Rob Norris <rw_norris@hotmail.com>:
	* Rework Track Draw by Velocity into Draw by Speed with a simple traffic light colouring scheme.
	* For tooltips use plain text so that comments with HTML markup or similar are shown in a literal fashion rather than causing parsing failures.
	* Add simple direct on disk access map type to tiles ideally pregenerated in the OSM tile layout format.
	* Geotagging: add option to overwrite existing waypoints.
	* Fixup making the track name a property of the track.

2012-07-19
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows: Really fix opening pictures

2012-07-19
Rob Norris <rw_norris@hotmail.com>:
	* Remove create_realtime_trackpoint call in cleanup which can crash.
	* Fix crashing when deleting a GPS layer which has started a realtime tracking.
	* Add missing function declaration in dir.h

2012-07-10
Rob Norris <rw_norris@hotmail.com>:
	* When uploading to a GPS device, maintain the unique names of tracks and waypoints.
	* Expose ability to uniquify both tracks and waypoints names in a TRW layer.
	* Add method to uniquify waypoint names in a TRW layer and give the option to use it within the delete selection of waypoints ability.
	* Add method to uniquify track names in a TRW layer and give the option to use it within the delete selection of tracks ability.
	* Make the track name a property of the track.
	* Make the waypoint name a property of the waypoint.

2012-06-28
Rob Norris <rw_norris@hotmail.com>:
	* Fix potential crashing when using multiple maps on especially 64bit systems.
	* Fix crashing when displayed map copyright(s) is longer than the internal buffer.
	* Remove incorrect comment
	* Fix crash in Show Picture functionality on Window's Systems.

2012-06-10
Rob Norris <rw_norris@hotmail.com>:
	* Fix intended preferences group.
	* Fix typo
	* Add missing parameter terminator.

2012-06-02
Fernando Arbeiza <fernando.arbeiza@gmail.com>:
	* Add a Gradient Graph to the Track properties display

2012-05-10
Evan Battaglia <evan@seomoz.org>:
	* Add CalTopo 7.5" (24k) USGS Topos!

2012-05-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add support for many extensions' configuration

2012-05-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [LEGAL] Bump copyright's year

2012-05-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix printing of DEBUG message since glib 2.32

2012-05-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Declare VikWebtoolBounds in documentation

2012-05-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Improve build options for gtk-doc framework
	* [DOC] Minor improve on internal documentation
	* [BUILD] Remove explicit add of -lexif

2012-04-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 1.3
	* Merge branch 'i18n-launchpad'
	* Document previous translation updates
	* Import Launchpad updates
	* Merge tag 'viking-1.2.2'
	* [DOC] Fix DocBook syntax in user manual
	* [I18N] Fix POTFILES with new files

2012-04-11
Rob Norris <rw_norris@hotmail.com>:
	* Be consistent in that track and waypoint list dialogs are always sorted alphabetically.
	* Fix build when --disable-alphabetized-trw is specified

2012-04-09
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Update current built in map types.
	* [DOC] Add more detailed help about the available preferences.
	* Credit tile supplier Andy Allan for OSM Cyclemap tiles.
	* Add OSM Transport map as a built in map option.
	* Tidy map examples.
	* Remove Tiles@home support as the service has stopped.

2012-04-03
Rob Norris <rw_norris@hotmail.com>:
	* Add supported MIME types to the desktop file specification.
	* Reduce warnings from the build due to slightly misformed libcurl.m4 macros.

2012-02-11
Rob Norris <rw_norris@hotmail.com>:
	* Fix Track Properties graph blob marker drawn at wrong elevation when elevation graphs have different min/max heights.

2012-02-04
Rob Norris <rw_norris@hotmail.com>:
	* Example script that can be used to upload a track as a route to a predefined GPS device.
	* [DOC] Update auto generated INSTALL file to latest version.
	* cleanup: Remove unused and out of date 'viking-remote' script and related files.
	* cleanup: Remove *very* old documentation and don't bother distributing any of it which is all old.
	* Out of date file GEOCODED-PHOTOS has been removed

2012-01-29
Rob Norris <rw_norris@hotmail.com>:
	* Reduce scope of a variable.

2012-01-20
Rob Norris <rw_norris@hotmail.com>:
	* Display the average moving speed for a track in the track properties.
	* Add function to return an average moving speed for a track.
	* Add ability to open a TrackWaypoint layer with another external program (default merkaartor).
	* Add ability to open a TrackWaypoint layer with an external program (default JOSM).

2012-01-19
Rob Norris <rw_norris@hotmail.com>:
	* Better memory cleanup on unint.
	* Update HACKING information for contribution recommendations.

2012-01-18
Rob Norris <rw_norris@hotmail.com>:
	* Add an image without GPS Information and the associated tracklog sample for testing purposes. (Location Stonehenge in England).
	* Add an image with GPS Information for testing purposes. (Location Brecon Beacons in Wales).
	* Fix small memory leak in geotagging images processing.
	* Correct format for an include statement of a C standard library.
	* Fix compiler warning.

2012-01-17
Rob Norris <rw_norris@hotmail.com>:
	* Allow TrackWaypoint layer creation without a viewport.
	* Restore compilation of test program gpx2gpx.

2012-01-15
Rob Norris <rw_norris@hotmail.com>:
	* Reduce scope of wikipedia_submenu variable, as it's not used if VIK_CONFIF_GEONAMES is not enabled.

2012-01-07
Rob Norris <rw_norris@hotmail.com>:
	* Fix error identified by cppcheck 1.52.
	* Fix error identified by cppcheck 1.52.
	* Fix error identified by cppcheck 1.52.
	* Fix error identified by cppcheck 1.52.
	* Fix error identified by cppcheck 1.52.
	* Fix error identified by cppcheck 1.52.
	* Fix potential GdkPixbuf-CRITICAL warning in thumbnail creation.

2011-12-22
Rob Norris <rw_norris@hotmail.com>:
	* Use map default: OSM MapQuest tileserver.
	* Add map OSM MapQuest tileserver as a built-in type.

2011-12-19
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'Geotagging'
	* Merge branch 'ExternalOptions'
	* Fix Track Properties graph DEM points drawn at wrong elevation when lowest elevation is not zero.

2011-12-18
Rob Norris <rw_norris@hotmail.com>:
	* Tidy up static preference values.
	* Use an intermediary program which will invoke the system's default for opening images.
	* Add and use a preference for the associated image viewer program.
	* Add and use KML File Export units option.
	* Add second group of global preferences, called 'Export/External'

2011-12-11
Rob Norris <rw_norris@hotmail.com>:
	* Make geotag processing run in the background.
	* [DOC] Add help for Geotagging. Remove old documentation.
	* [DOC] Mention Bing maps and some more Tools.
	* Add files for internationalization.
	* Add ability to geotag images interpolating times against tracks.
	* Make jpeg-data build against glib i18n instead of own i18n version.
	* Add libjpeg utilities from exif command line tool version 0.6.20
	* Acquire Geotag Images via TRW Layer
	* Ensure vtl created in acquire operation runs post read stage.
	* EXIF read implementation for geotagged images (libexif).
	* Rationalize babel function parameter ordering.
	* Add new process stage for acquire methods.
	* Ensure track stop is drawn before trackpoint.
	* Ensure track stops are always drawn if required.

2011-12-11
Greg Troxel <gdt@ir.bbn.com>:
	* Add comments.

2011-12-11
Greg Troxel <gdt@lexort.com>:
	* Omit drawops when point == last point.

2011-12-11
Rob Norris <rw_norris@hotmail.com>:
	* Restore "New layer" button (with "+" icon) function.
	* Code cleanup. Remove very old GTK support for <2.6 since 2.12 is needed for building.
	* Enable reversing a track from the track menu.
	* Fix: Improve internal redrawing method.
	* Fix opening of external web sites via center method when the zoom level is less than 1 mpp.
	* Enable internationalization and simpilify 'Global' preferences text into less specific 'General' term.

2011-12-04
Rob Norris <rw_norris@hotmail.com>:
	* Fix crashing on opening a file via recent menu after a .vik file is opened.
	* Display compact message on the statusbar for the selected trackpoint or waypoint. (SF#3314888)

2011-11-16
Rob Norris <rw_norris@hotmail.com>:
	* Enable multiple selection and deletion of entries from vikfilelist.
	* Do not use preset Google cookie when we don't even use google maps (images) anymore.
	* Acquire: Maintain default to Garmin devices (assumed most popular/numerous device)
	* Scale waypoint icons to give large or small icons as necessary.
	* Add Yahoo! Maps webtool link.
	* Fix too easy to accidently move a waypoint with an image with the select tool - must use shift key.
	* Fix Join Tracks functionality - Part2.
	* Ensure waypoint image size always initialized.
	* Fix can not immediately select another layer if currently selected layer's visibility changes.
	* Improve trackpoint edit dialog window sizing when the trackname is very long.
	* Merge branch 'GPSD-API-v5'

2011-11-13
Rob Norris <rw_norris@hotmail.com>:
	* Improve libgps test with the consistently available function: gps_close
	* Merge branch 'master' into GPSD-API-v5

2011-11-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing version 1.2.2

2011-11-03
Hanno Boeck <ctulhu@users.sourceforge.net>:
	* Fix compilation with curl 7.21.7 (SF#3376584)

2011-11-03
Rob Norris <rw_norris@hotmail.com>:
	* Increase default tile age check to 7 days.

2011-10-29
Rob Norris <rw_norris@hotmail.com>:
	* Remember last track and waypoint request type on GPS acquire dialog.
	* Add control of GPS upload/download of components tracks and waypoints.
	* 'Import files with GPSBabel' help update.
	* Fix <GTK 2.24 combo box usage.
	* Merge branch 'WebToolBounds'
	* Use new webtoolbounds to invoke local webservice on port 8111 - i.e. JOSM (or merkaartor)
	* Extend webtools with a bounds version for the URL which takes four string parameters.
	* Add webtool for Bing maps.

2011-10-28
Rob Norris <rw_norris@hotmail.com>:
	* Restore distance and times between trackpoints shown on the trackpoint edit window.
	* Fix crashing on opening multiple files after a .vik file is opened.
	* Fix potential crashes if check_file_magic_vik function is used incorrectly.
	* Add Acquire OSM option into the Track/Waypoint layer operations.
	* Solution for SF#2766266 - Give user feedback about OSM uploads (success/failure).

2011-10-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove duplicate redraw
	* Fix: send VLP's update signal when adding a layer

2011-10-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add Windows' path to configuration files

2011-10-14
Rob Norris <rw_norris@hotmail.com>:
	* Fix: Don't abort program when attempting webtool center with different x & y factors.

2011-10-08
Roberto Camarero <rcamarero@gmail.com>:
	* Spanish translation of the win32 installer

2011-10-02
Rob Norris <rw_norris@hotmail.com>:
	* Add used geo-* scripts as they are public domain.
	* Continue geocaching.com support via third party tools.
	* Show Geocache configure status.
	* Show elevation gain/loss on track creation 'tooltip' (as per SF#2838561 request), when such data is available.
	* Automatically attempt to set elevation data from the DEM layer whilst a track is being created.
	* When creating a track, display the total distance of track (via a tooltip like text) on the main display.
	* TrackWaypoint Layer Interface function code tidy.
	* Improve trackpoint or waypoint edit selection.
	* Fix Join Tracks functionality.
	* Make tile age parameter jump by 1 minute steps in preferences setup.
	* Add keyboard accelerator 'N' for New Layer in Aggregate Menu.
	* Remove unused function definition.
	* Fix SF#3408170: Selected Track Thickness is Always 1px
	* Use more icons for menu entries.

2011-10-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Allow to import any file known by gpsbabel

2011-09-20
Rob Norris <rw_norris@hotmail.com>:
	* Merge branch 'WindowsInstaller'

2011-09-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix tracks not shown over map when map layer is dragged to the end of the treeview list.
	* Add some file open filters to ease file selection.
	* Increase default tile age check to 7 days.
	* Show error message earlier if in incompatible print image directory coord mode.
	* Fix spelling
	* Refuse to load unsupported file types.
	* Restore broken GPS power off command.

2011-09-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add support for any device known by gpsbabel
	* Dynamically adapt viking to gpsbabel's file formats
	* factorize gpsbabel command line

2011-09-11
Rob Norris <rw_norris@hotmail.com>:
	* Fix: SF#3042692 - Tiles May Get Deleted During Offline Usage.
	* Fix some tracks elevation profile may display no altitude, despite all altitudes available in the track.
	* Use more icons for menu entries.

2011-09-10
Rob Norris <rw_norris@hotmail.com>:
	* Add experimental support for GPSD_API_MAJOR_VERSION 5.
	* Rework gpsd interface for conditional compiling using GPSD_API_MAJOR_VERSION.
	* Add Acquire options into the Track/Waypoint layer operations.

2011-09-10
Mathieu Albinet <mathieu17@gmail.com>:
	* Add Windows Installer (NSIS)

2011-09-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Document viking's dependencies

2011-09-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix SF#3387590: Top Layer cannot be renamed

2011-08-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Oups: clean code
	* [QA] Factorize code

2011-08-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Minor fix: declare static internal functions

2011-08-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix typo

2011-08-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add ability to acquire GPS traces stored on OSM
	* Extend OSM to OpenStreetMap

2011-08-20
Rob Norris <rw_norris@hotmail.com>:
	* Enable merging tracks without timestamps to other tracks that do not have timestamps. (SF#2886231)
	* Prevent track merge by time requests when there are no other suitable tracks.
	* Remove DEM data source 'None' as it does nothing.
	* Enable copying layer/sublayer names as plain text, so that it can be pasted into external text handling applications.
	* When exporting a TrackWaypoint layer as a GPX file, automatically append '.gpx' to the suggested filename.
	* Enable getting of the statusbar from the window.
	* Enumerate use of and simplify the internals of the statusbar. This enables control of the size of the first element of the statusbar.

2011-08-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Fix layer related structure of documentation
	* [DOC] Improve reference documentation for babel.c

2011-07-25
Hanno Boeck <ctulhu@users.sourceforge.net>:
	* Fix compilation with curl 7.21.7 (SF#3376584)

2011-07-15
Rob Norris <rw_norris@hotmail.com>:
	* Improve track name when split from Track Properties window.

2011-07-14
Rob Norris <rw_norris@hotmail.com>:
	* Better safety checking to prevent crash due to null variable reference in use of the current waypoint.

2011-07-13
Rob Norris <rw_norris@hotmail.com>:
	* Better safety checking to prevent crash due to null variable reference in use of the current trackpoint.
	* When loading from the recent file menu, only open a new window if a Viking file.
	* On creating a new waypoint always attempt to auto set the altitude if DEM data is available.
	* Enable the escape key to remove/reset the ruler tool.
	* Enable keypress processing for vik windows tools.

2011-07-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document utility functions

2011-06-27
Rob Norris <rw_norris@hotmail.com>:
	* Oops, remember to remove reference to deleted icon.

2011-06-25
Rob Norris <rw_norris@hotmail.com>:
	* Internal tidy: replace magic scissor variables/references with route finder.
	* Improve the associated icon, remove the scissor effort and use something to try to suggest the idea of a list of directions to get somewhere for 'Route Finding'.
	* Replace 'Magic Scissors' by a more accurate name - 'Route Finder'.
	* Improve altitude track property display by adding another grid size chunk value.
	* Enable internationalization of the OSM Traces preferences text.

2011-06-22
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warnings generated with gcc4.6 in viktrwlayer_propwin.c
	* Fix compiler warnings generated with gcc4.6 in viktrwlayer.c
	* Fix compiler warnings generated with gcc4.6 in viktreeview.c
	* Fix compiler warnings generated with gcc4.6 in viktmsmapsource.c
	* Fix compiler warnings generated with gcc4.6 in vikgpslayer.c
	* Fix compiler warnings generated with gcc4.6 in print.c
	* Fix compiler warnings generated with gcc4.6 in file.c

2011-06-16
Rob Norris <rw_norris@hotmail.com>:
	* Releasing viking 1.2.1

2011-06-14
Rob Norris <rw_norris@hotmail.com>:
	* Support proper MAC OS file locations.
	* Fix incorrect track property line marker positioning when the track has gaps.
	* Fix track property point marker drawing error - sometimes draws dot marker too low.

2011-05-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 1.2
	* Fix translations: addbing mapsource.c

2011-05-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'i18n-launchpad' into viking-1.2.rc1

2011-05-22
Rob Norris <rw_norris@hotmail.com>:
	* Better safety checking to prevent crash due to null variable reference in use of the current trackpoint.
	* Remove unecessary treeview item selection.

2011-05-21
Sven Wegener <sven.wegener@stealer.net>:
	* Fix etag handling
	* Add zoom level 0.5 to map layer

2011-05-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Add links to access Viking's source code

2011-05-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: generate doc/reference/Makefile when needed
	* Improve configure script when error occurs
	* Document previous translation updates
	* Import Launchpad updates

2011-05-10
Rob Norris <rw_norris@hotmail.com>:
	* Rename file to prevent any case-insensitive issues.
	* Improve README to mention OSM.

2011-04-07
Rob Norris <rw_norris@hotmail.com>:
	* Add getting the users confirmation when deleting (emptying) data from the GPS layer.
	* Enable keypad delete to remove layers in the layers panel.
	* Enable deleting multiple tracks or waypoints within a layer by selecting them from a list.
	* Add getting the users confirmation when deleting an individual track or waypoint.
	* Add the ability to delete all waypoints or tracks in the layer.
	* Add getting the users confirmation when deleting a layer.
	* Start a new 'Tracks' treeview menu, similar to the 'new' Waypoints treeview menu.
	* Add operations on waypoints into the 'new' Waypoints treeview menu.
	* Prevent unnecessary internal track creation/deletion when splitting a track by time request doesn't actually alter the number of tracks.
	* Fix Track -> Split by Timestamp such that newly created tracks are ordered correctly.

2011-04-06
Rob Norris <rw_norris@hotmail.com>:
	* Add new graph type Speed/Distance in the track properties window.
	* Tidy up draw_elevations and draw_vt functions.
	* Add new graph type Elevation/Time in the track properties window.
	* Remove unnecessary calculation in make_speed_map in viktrack.c
	* Add new graph type Distance/Time in the track properties window.
	* Update source code copyright on viktrwlayer_propwin.c
	* Remove pointless storage of vlp in track properties window.
	* Improve Track Properties speed/time drawing to display in nice human friendly whole number scaled units.
	* Improve Track Properties elevation drawing to display in nice human friendly whole number scaled units.
	* On the Track Properties Window draw an always updating indicator of where the readings are taken from.
	* Track Properties Window internal tidy: Maintain minimum/maximum altitudes/speeds for reuse.
	* Enable controls of drawing DEM data and GPS speeds on the Track Properties Window.
	* Track Properties Window internal tidy: Enable DEM and GPS speeds to be optionally drawn on the elevation profile.
	* Add keyboard accelerators for the Track Properties Window.
	* Add ability to resize the Track Properties window.
	* Track Properties internal refactor: rename function to reflect what it really does.
	* On the Track Properties Window, also show the elevation or speed for the current track position as indicated by the mouse pointer.
	* Track Properties internal refactor: make getting percentage along a track via distance or time into separate functions for further reuse.
	* Track Properties Window internal tidy: individual profile sizes for each window.
	* Track Properties Window internal tidy: maintain graph profile arrays for reuse by update and future functions.
	* Fix sensitivity of the track properties window split marker to be disabled when the track marker is not drawn.
	* Restructure the graph drawing functions to only handle a single aspect of functionality. (create or update)
	* Rename function minmax_alt to minmax_array, and refactor for optional altitude test.
	* Fix crashing due to incorrect usage of libcurl - SF#3206628.

2011-03-31
Rob Norris <rw_norris@hotmail.com>:
	* Add support for kml files.
	* Add ... where necessary to track & waypoint menu entries.
	* Enable vik_layers_panel_get_all_layers_of_type to optionally return only visible layers.
	* Enable Open Waypoint Image via right click menu entry.
	* Use ability to select a waypoint given the thumbnail image size.
	* Add ability to open the trackpoint edit dialog via the viewport right click menu when a trackpoint is selected.
	* Add ability to move selected trackpoint or waypoint by the mouse within the select tool.
	* Add a new select tool at the window level to enable/disbale item selection of the a track or a waypoint.
	* Enable getting the treeview from the layerspanel.
	* Enable to unselect treeview item
	* Define an interface function to show the viewport menu on the selected item (track or waypoint).
	* Store name of individual track or waypoint for later selection usage.
	* Need to store the containing trw layer for later usage of selected track(s) or waypoint(s) operations.
	* Add Select Request layer interface and use within the track/waypoint layer to select an item.
	* Add internal track right click menu variable.
	* On selection of layers panel item, automatically ensure it is fully shown.
	* Tidy up track/waypoint sublayer callbacks to only use the layers panel if it available.
	* Add viewport to sublayer add menu items callback.
	* Make the highlight colour configurable and use as appropriate for the selected track/waypoint drawing.
	* Add track and waypoint highlight for the selected layer or individual item.
	* Add the storage and retrieval of any kind of track or waypoint selected item (either an individual item, list (i.e. a sublayer) or layer) at the window level.
	* Add the ability to return the layers_panel from the window.
	* Add viewport property to control the display of the track / waypoint item highlight.
	* Add backup support for launching URLs with Mac OS based browsers.
	* Add backup support for launching URLs with Google Chrome based browsers.
	* Fix non-void function should return a value.
	* Fix compiler warning for Bing use of dynamic copyright.
	* Fix compiler warning for dynamic copyright.
	* Improve git ignore for reference documentation generation.
	* Fix reference documentation generation - some systems need explicit mention of libz.
	* gtk_object_sink has been deprecated since gtk version 2.10, use g_object_ref_sink() instead.

2011-03-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add support for Bing maps
	* Add support for dynamic copyright
	* Add map's logo support

2011-03-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document VikViewport
	* Document Map Source hierarchie
	* Improve documentation of background.c
	* Add support for reference documentation

2011-03-17
Rob Norris <rw_norris@hotmail.com>:
	* Generate a trackwaypoint layer update on the finish creatiing of the thumbnails so the images are shown.

2011-03-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix displaying of 'Waypoints' treeview menu.
	* Enable the tree view panel to be more usefully resized smaller than the text names.

2011-03-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Improve HACKING documentation

2011-03-11
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows : Open help pdf file when when clicked on Help->help

2011-03-03
Rob Norris <rw_norris@hotmail.com>:
	* Fix vik_aggregate_layer_get_all_layers_of_type for track/waypoint layer types, since these may also be stored under GPS layers.

2011-03-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add autoconf HAVE macros

2011-02-28
Rob Norris <rw_norris@hotmail.com>:
	* Improve previous fix: background calling code should control return value
	* [DOC] Split By Number of Points
	* Add Track->Split by Number of Points (as per SF#2847587 request).
	* Add a new dialog to return positive number.

2011-02-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: background calling code should control return value
	* Fix: enforce background feature

2011-02-17
Rob Norris <rw_norris@hotmail.com>:
	* Rework the a_dialog_new_waypoint function
	* Fix compiler warnings from gcc 4.5.4

2011-02-17
Milan Jurik <jurikm@users.sourceforge.net>:
	* SF#3178554: Fix Sun Studio build

2011-02-15
Rob Norris <rw_norris@hotmail.com>:
	* Prevent map license from being displayed more than necessary.

2011-02-13
Rob Norris <rw_norris@hotmail.com>:
	* Remove dulipcate icon reference.
	* Correct several babel.h function return types.
	* SF#2844872: Suggest name for the new track when splitting the track via the trackpoint edit dialog.

2011-02-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Reduce GObject cast

2011-02-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 1.1
	* Fix typo in translation
	* Merge branch 'i18n'
	* Merge branch 'i18n-launchpad' into i18n
	* Document previous translation updates
	* Import Launchpad updates

2011-02-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Add MapQuest Nominating search service in examples

2011-02-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix dangerous code

2011-02-04
Rob Norris <rw_norris@hotmail.com>:
	* Fix trackpoint edit altitude sensitivity to be re-enabled after it has been disabled.

2011-01-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'i18n-launchpad'
	* Add Javanese translation

2011-01-29
Rob Norris <rw_norris@hotmail.com>:
	* Use define for conversion of meters->miles units.

2011-01-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous translation updates
	* Import Launchpad updates

2011-01-28
Rob Norris <rw_norris@hotmail.com>:
	* Add and use defines for conversion of meters<->miles units.
	* Adjust colour of last auto track colour to not clash with default create track colour.
	* Tidy up: Rename a dialog function as it's used to get a yes or no value.
	* Add menu icons for the maps layer menu.

2011-01-27
Rob Norris <rw_norris@hotmail.com>:
	* Add myself (Rob Norris) as someone you can blame in the doap file.
	* Improve project description in the spec file.

2011-01-24
Rob Norris <rw_norris@hotmail.com>:
	* Fix variable spelling part2.

2011-01-23
Rob Norris <rw_norris@hotmail.com>:
	* Fix spelling

2011-01-21
Rob Norris <rw_norris@hotmail.com>:
	* Make the selection list in Merge With Other Tracks sorted alphabetically.
	* Add sort list by name function. Will be useful for track and waypoint list ordering.
	* Fix incorrect cut/copy of sublayers when accessed via the layers panel buttons.
	* Prevent Gtk-CRITICAL **: gtk_list_store_get_path: assertion `iter->stamp == GTK_LIST_STORE (tree_model)->stamp' message.
	* Fix the List Dialog so that it does not become taller than the screen when there are lots of entries.
	* Tidy Up:Improve a_dialog_select_from_list function.

2011-01-16
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Mark ready for 1.1 release. Update help manual version to 0.2.
	* [DOC] Add layer information for Aggregates, Coords and GeoRefs in help.
	* [DOC] Add Maps layer help information.
	* [DOC] Add overall layer information and promote each layer to be a top level section in help.
	* [DOC] Add DEM layer help information.
	* [DOC] Mention waypoint properties in help information.
	* [DOC] Update GPS layer help information.
	* [DOC] Update track operations help information.
	* [DOC] Update waypoint operations help information.
	* [DOC] Update Tools help section
	* [DOC] Update TrackWaypoint layer menu help Information
	* Improve positioning of the menu separator on waypoint menus.

2011-01-14
Rob Norris <rw_norris@hotmail.com>:
	* Remove unecessary print statement.
	* Prevent Gtk-CRITICAL assertion when the application is closed with a Track Property window on display.
	* Prevent Gtk-CRITICAL assertion when the application is closed whilst loading DEMs.
	* Fix some compiler warnings in viktrwlayer.c when configured to build with --disable-alphabetized-trw

2011-01-12
Rob Norris <rw_norris@hotmail.com>:
	* Fix Resource leak detected by cppcheck 1.46

2011-01-07
Rob Norris <rw_norris@hotmail.com>:
	* Add GeoRef layer tooltip to show the file name in use.
	* Add GPS Layer tooltip to say the protocol (aka device manufacturer) type.
	* TrackWaypoint Layer tooltip featuring summaries for tracks and waypoints.
	* Add maps layer tooltip to show the map name(type).
	* Add DEM layer tooltip to show the number of DEM files in use.
	* Add Track and waypoint sublayer tooltip information.
	* Add treeview use and display of layers tooltip.
	* Add Layer Tooltip callback definition
	* Add sublayer tooltip callback definition.

2011-01-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix typo

2011-01-07
Rob Norris <rw_norris@hotmail.com>:
	* When getting data via the GPS layer automatically set the view to see it, unless the realtime tracking mode is on.
	* On acquiring data from sources (inc. GPS) automatically set the view to see it. Except for GeoCaches; as it's likely you're requesting data for the current area, so no point in trying to change the view.
	* On opening GPX files automatically view all the data.
	* Add 'View All Tracks' option to the panel Layer menu options, which sets the view (center & zoom) to see all the tracks of that layer.
	* Add 'View Waypoints' option to the TrackWaypoint layer menu options, which sets the view (center & zoom) to see all the Waypoints.
	* Add 'View Track' option to the Track sublayer menu options, which sets the view (center & zoom) to see the track.
	* Add 'View Layer' option to the TrackWaypoint Layer menu options, which sets the view (center & zoom) to see the entire layer.
	* Add the ability to 'autozoom' to view an area specified by maximum and minimum lat/longs for a TrackWaypoint layer.

2011-01-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove the hability to hide copyright

2011-01-07
Robert Norris <rw_norris@hotmail.com>:
	* Create a new 'Show' submenu entry

2011-01-04
Rob Norris <rw_norris@hotmail.com>:
	* Improve curl usage as should call cleanup on application exit.
	* Add copyright and license properties for NASA BlueMarble data.
	* Fix compiler warning in curl_download.c

2010-12-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix dangerous static declaration
	* Fix compiler warning in vikmapslayer.c

2010-12-23
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warning in vikwindow.c - use correct const typing.
	* Fix compiler warnings - correct Widget / Window type.

2010-12-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix memory leak when generating image file
	* Fix Spotmaps license

2010-12-16
Rob Norris <rw_norris@hotmail.com>:
	* Add background thread loading of DEM files.
	* Add Track->Goto Highest and Lowest points features.
	* Tidy intended logic in if statement.
	* Add Track->Goto Maximum Speed feature.
	* Rework Track->Goto menu options.

2010-12-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add support for the TMS interface provided by SPOTMaps
	* Fix: Improve XML reading error reporting

2010-12-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add license related properties

2010-12-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add copyright property

2010-12-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add undeclared translations

2010-12-05
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warnings in osm.c
	* Improve key binding for Mercator Mode -> ctrl+m
	* Fix compiler warning in vikmapslayer.c

2010-12-03
Rob Norris <rw_norris@hotmail.com>:
	* Fix Waypoint & Track visibility issues.

2010-11-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add documentation for generic TMS map source

2010-11-30
Rob Norris <rw_norris@hotmail.com>:
	* Fix SF#3104028: Default Color Background is incorrectly saved as black into a new .vik file.
	* Improve key bindings for ModeLatLon.
	* Set git to ignore test_coord_conversion program

2010-11-29
Rob Norris <rw_norris@hotmail.com>:
	* Set git to ignore autogenerated documenters.h

2010-11-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add OSM WMS Server
	* Add support for WMS-C
	* Add support for more standard TMS

2010-11-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Move-up download methods
	* Add LatLon projection

2010-11-27
Rob Norris <rw_norris@hotmail.com>:
	* Better safety checking code

2010-11-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix some translated strings

2010-11-25
Rob Norris <rw_norris@hotmail.com>:
	* Add support for Locosys devices via GPSBabel's navilink device protocol.
	* Add support for DeLorme devices via GPSBabel's delbin device protocol.
	* Add the ability to insert a trackpoint into a track via the Edit Trackpoint dialog.
	* Add internal function to insert a trackpoint after the currently selected trackpoint.

2010-11-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add license notice to new file

2010-11-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Replace macros by enum
	* Simplify previous commit

2010-11-22
Rob Norris <rw_norris@hotmail.com>:
	* Enable individual track to GPX export via the Track sublayer menu.

2010-11-21
Rob Norris <rw_norris@hotmail.com>:
	* Set 'OK' default for autogenerated dialogs.
	* Set 'OK' default for find waypoint dialog.
	* Set 'OK' default for download along track dialog.
	* Set 'OK' defaults for new track, custom zoom & split time dialogs.
	* Set 'Cancel' default for merge track dialog. User needs to select items first.
	* Set 'OK' default for the new waypoint dialog.
	* Set 'OK' default for goto dialogs.
	* Set 'OK' default for the Save to Image dialog.
	* Set 'OK' default for the track properties dialog.
	* Set 'OK' default for the GPS layer dialog.
	* Set 'OK' defaults for goto dialogs.
	* Set 'Cancel' default for the Geo Ref dialog, as user should really specify a map file first.
	* Set 'Cancel' default for the OSM upload dialog.
	* Set defaults for geonamesearch dialogs.
	* Set 'OK' default for the background jobs dialog.
	* Set 'OK' defaults for acquire dialogs.
	* Add a perl script to auto generate basic Viking .vik files for directories containing images.

2010-11-19
Rob Norris <rw_norris@hotmail.com>:
	* Enable control of the visibility of the menubar [including keyboard shortcut - F4]. Also enable panic key 'Escape' to restore menubar if hidden and no tool uses it.
	* Enable control of the visibility of the toolbar [including keyboard shortcut - F3].
	* Make use of the vikwindow toolbar variable.
	* Enable control of the visibility of the statusbar [including keyboard shortcut - F12].

2010-11-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 1.0
	* Remove duplicates msgid
	* Merge branch 'i18n-launchpad' into master
	* Auto-update PO translation files

2010-11-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous translation updates
	* Import Launchpad updates

2010-11-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add minimal translator-credits in About dialog
	* Use $(top_srcdir) to locate AUTHORS file
	* Add documenters to About dialog

2010-11-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add copyright notice to maintainer's scripts

2010-11-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Improve copyright holders

2010-11-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add copyright to srtm_continent.c
	* Add origin comment

2010-11-07
Rob Norris <rw_norris@hotmail.com>:
	* Add copyright for geonamessearch.h and correct for geonamessearch.c
	* Add copyright for files vikgoto.h & vikgotoxmltool.h

2010-11-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix copyright for googlesearch.[ch]

2010-11-07
Rob Norris <rw_norris@hotmail.com>:
	* Add copyright for files preferences.c & preferences.h
	* Add copyright for dems.c & dems.h
	* Add copyright for datasources.h.

2010-11-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Correct DocBook usage

2010-11-07
Rob Norris <rw_norris@hotmail.com>:
	* Various improvements and tidy ups.

2010-11-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Deprecated: only include gtk/gtk.h
	* Improve depreaction options

2010-11-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add built-in map sources in example file

2010-11-02
Rob Norris <rw_norris@hotmail.com>:
	* Fix extend track using magic scissors.

2010-11-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'master' into i18n-launchpad
	* Document previous translation updates

2010-10-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Import Launchpad updates

2010-10-20
Sven Wegener <sven.wegener@stealer.net>:
	* Fix autodownloading while panning

2010-10-19
Rob Norris <rw_norris@hotmail.com>:
	* Prevent crashes when downloading Expedia Maps.

2010-10-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix Debian #599048: Segmentation fault when using gpsbabel
	* Fix dem_gradient_colors allocation.

2010-10-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix commit 1c6a6010661da96fd105ec42ad2f048df79fabbd

2010-10-12
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warnings in preferences.c

2010-10-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: enforce defensive code
	* Releasing viking 0.9.96

2010-10-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix unecessary change in string
	* Free memory
	* Add defensive code
	* Increase buffer length

2010-10-11
Jon Burgess <jburgess777@gmail.com>:
	* Fix memcheck error

2010-10-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge remote branch 'jocelyn/etag'
	* Disable autodownloading when dragging the map

2010-10-10
Robert Norris <rw_norris@hotmail.com>:
	* Fix: Uninitialized color value being used

2010-10-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Avoid uninitialized color value usage
	* Defensive code

2010-10-08
Rob Norris <rw_norris@hotmail.com>:
	* Add new menu entry in GPS Layer to delete the realtime information.
	* Ensure GPS realtime information deleted when GPS Layer -->Empty All is called.
	* Fix SF#3009431: Prevent Crash in Real Time Tracking GPS Mode & Autodownload Maps.
	* Fix display of rounded speed units scale markers in the speed profile.

2010-10-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Revert "Make more portable .vik file, as don't save the map cache directory if it's the map cache default directory."
	* Merge remote branch 'rnorris/LayerMenuKeyboardAccelerators'

2010-10-01
Rob Norris <rw_norris@hotmail.com>:
	* Make more portable .vik file, as don't save the map cache directory if it's the map cache default directory.
	* Remove specific user's map cache directory from test Terraserver.vik file, so that anyone can use it.
	* Prevent zoom factor string displaying unnecessary .0s when it's a whole number.

2010-10-01
Jon Burgess <jburgess777@gmail.com>:
	* Prevent access to undefined data when fgets() returns NULL

2010-10-01
Rob Norris <rw_norris@hotmail.com>:
	* Improve Track Properties speed profile display for low speed difference (e.g. walking) tracks.
	* Use speed units in display of Track/Waypoint layer draw by velocity config values, but maintain units as metres per second when read from/saved to files.

2010-10-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix arithmetic macro definition

2010-10-01
Rob Norris <rw_norris@hotmail.com>:
	* Add and use defines for conversion of speed units.

2010-10-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix arithmetic macro definition

2010-09-29
Rob Norris <rw_norris@hotmail.com>:
	* Add keyboard accelerators for as many as possible View Menu entries.
	* Remove duplicated line of code in trackpoint drawing.
	* Fix small memory leak when downloading DEM data via the tool method.

2010-09-26
Rob Norris <rw_norris@hotmail.com>:
	* DEM layer properties tidy up.

2010-09-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add a new debug message
	* Simplify zoom status when xmpp and ympp are equal
	* Fix minor source code typo
	* Fix arithmetic macro definition

2010-09-24
Rob Norris <rw_norris@hotmail.com>:
	* Improve grammar/usage for conversion macro function to convert meters into feet. Also prepend these macros with VIK_ as better practice.

2010-09-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use constant for 'feet in meter'

2010-09-19
Rob Norris <rw_norris@hotmail.com>:
	* Use height units in the altitude readout for the cursor position on the status bar.
	* Use height units in display of DEM min / max elevation values, but maintain units as metres when read from/saved to files.
	* Extend set/get param interface to have knowledge of what type of operation it is - i.e. is it related to file i/o or display/cut/copy usage.

2010-09-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix cycle map URL
	* Fix GType macro usage

2010-09-19
Rob Norris <rw_norris@hotmail.com>:
	* Add keyboard accelerator for the Filter extension to the Track/Waypoint layer menu.
	* Add keyboard accelerators for the Waypoints sublayer menu.
	* Add keyboard accelerators for the Tracks sublayer menu and improve the text casing.
	* Add keyboard accelerators for the Track/Waypoints layer menu and improve the text casing.
	* Add keyboard accelerators for the Maps tools menu and improve the text casing.
	* Add keyboard accelerators for the Maps layer menu and improve the text casing.
	* Add keyboard accelerators for the GPS layer menu and improve text casing.
	* Add keyboard accelerators for the GeoRef layer menu.

2010-09-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warning in file.c
	* Fix compiler warnings in vikgobjectbuilder.c
	* Fix compiler warnings in vikwindow.c
	* Fix compiler warnings in vikmaptype.c
	* Fix compiler warning in download.c
	* Fix compiler warning in degrees_converters.c
	* Fix compiler warnings in babel.c
	* Prevent getting stuck in a near infinite loop when using Coord layer, UTM mode and zoomed out to see the whole world.
	* Fix Track Draw by Velocity mode, so that individual track points are coloured (as was the intention).

2010-09-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add a message to explain why feature does nothing
	* Fix previous commit

2010-09-18
Rob Norris <rw_norris@hotmail.com>:
	* Prevent lock up in attempt to download maps along a track in UTM mode.

2010-09-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use the standard "Reload" verb

2010-09-17
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Clarify text on map layer menu

2010-09-17
Rob Norris <rw_norris@hotmail.com>:
	* Launchpad Bug #445374: Prevent crash when downloading maps along a track, with Terraserver maps when in Mercator mode.

2010-09-15
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Simplify code on download action to do when map file is not present
	* Fix bug where older file was removed when network not present

2010-09-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix a minor missing include

2010-09-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Comment VikSlippyMapSource

2010-09-14
Greg Troxel <gdt@ir.bbn.com>:
	* Fix bashisms.

2010-09-14
Jon Burgess <jburgess777@gmail.com>:
	* Add explicit linking against libz and libm

2010-09-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: warning 'draw-mode' message does not display

2010-09-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix incorrect limitation on source map id

2010-09-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add warning when requested GObject type is unknown
	* [TEST] Add Terraserver viking file

2010-09-11
Rob Norris <rw_norris@hotmail.com>:
	* Prevent viewport tool selection/edit of trackpoint or waypoint when the layer or sublayer is invisible.

2010-09-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 0.9.95
	* Merge branch 'i18n-launchpad'
	* Restore as many translations as possible

2010-09-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous translation updates
	* Import Launchpad updates

2010-09-05
Benjamin Wagner <thewag@users.sourceforge.net>:
	* Invalid number of arguments in call to a_http_download_get_u

2010-09-05
Rob Norris <rw_norris@hotmail.com>:
	* Prevent crash when cut of a GPS track/waypoint layer is attempted via the layers buttons.
	* Prevent DEM layer colour indexing going negative and can crash on gradient view.
	* Add some function short cut key definitions to control showing of the center mark and scale viewport features.
	* Fix DEM layer to show default sea level.

2010-08-24
Rob Norris <rw_norris@hotmail.com>:
	* [DOC] Minor update.
	* [DOC] Replace Google with OSM capability in man pages.

2010-08-17
Rob Norris <rw_norris@hotmail.com>:
	* When manually creating a track, automatically give it a default name.
	* Fix track background thickness being able to set back to zero.
	* [DOC] Tidy Up: First Pass
	* [DOC] Add contributors from the Wiki(s) history.

2010-08-16
Sven Wegener <sven.wegener@stealer.net>:
	* Fix internal tile locking

2010-08-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix debug message

2010-08-16
Rob Norris <rw_norris@hotmail.com>:
	* Fix top layer not drawn after made invisible and then back to being visible.
	* Fix impaired (drawcentermark setting bodged) vik file if saved with the top layer visibility turned off.

2010-08-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix syntax errors in help manual

2010-07-18
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Rename supports_if_modified_since to supports_download_only_new as it also contains etag support
	* Remove debug printf for etag
	* Write and read etag values from a file that is stored in the same directory than the image
	* Check if file is old enough for options check_file_server_time and use_etag
	* Leave download() function as soon as we know that we don't want to check server for a more recent file
	* Enable etag - need to use options from DownloadMapOptions
	* Get and send etag values to server if file_options allows it
	* Add use_etag in vikslippymapsource, and enable it on OSM mapnik maps only
	* Add use_etag to struct DownloadMapOptions
	* Add etag to struct DownloadFileOptions
	* Move time_condition to scruct DownloadFileOptions - this is to add the etag value
	* Rename struct DownloadOptions to DownloadMapOptions
	* Fix map drag and drop to show the correct whole map

2010-07-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix "Go to UTM" dialog title.
	* Fix first opening of a file which has spaces (or other interesting characters) via the recent files menu.

2010-07-02
Rob Norris <rw_norris@hotmail.com>:
	* Better dialog name when searching for a waypoint.
	* Improvements for test programs.

2010-06-24
Rob Norris <rw_norris@hotmail.com>:
	* Fix unnamed_tracks / unnamed_waypoints misuse.
	* Prevent "Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated" messages.

2010-06-17
Greg Troxel <gdt@ir.bbn.com>:
	* Change max cache time to 1 week.

2010-06-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 0.9.94

2010-06-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix POTFILES with new source file
	* Merge branch 'i18n-launchpad'
	* Document previous translation updates
	* Import Launchpad updates

2010-06-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix OMF category

2010-06-06
Rob Norris <rw_norris@hotmail.com>:
	* Fix Filter->Simplify All Tracks default.
	* Add knots as a speed unit option.

2010-05-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Fix Gnome's menu entry category for viking

2010-05-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Minor improves on gitchangelog script
	* [DOC] Update README and INSTALL files
	* [DOC] Fix erroneous warning

2010-05-25
Rob Norris <rw_norris@hotmail.com>:
	* Fix compiler warning.

2010-05-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'help'
	* [DOC] Correct tagging
	* Merge commit 'viking-0.9.93' into help
	* [DOC] Document Default maplayer directory property
	* [DOC] Document tile's age property
	* [DOC] Introduce properties related to units

2010-05-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add Robert Norris as active contributor
	* Add Viking's contributors as copyright holders

2010-05-19
Rob Norris <rw_norris@hotmail.com>:
	* Detect USB Garmin eTrex HCx Legend devices (and maybe others).
	* On GPS data acquire, only create a layer if it contains something.
	* Auto use of /dev/ttyUSB type device if available on Unix systems.
	* Add ability to turn off Garmin GPS after transfer.

2010-05-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add a 'home' default location preference.

2010-05-19
Rob Norris <rw_norris@hotmail.com>:
	* Add ability to changes preferences outside of the preferences.c file.

2010-05-19
Mathieu Albinet <mathieu17@gmail.com>:
	* Fix #2977752 : win-gtk: osm tiles don't show up

2010-05-19
Robert Norris <rw_norris@hotmail.com>:
	* Fix Track -> View Google Directions URL

2010-05-18
Robert Norris <rw_norris@hotmail.com>:
	* NLS Maps API: Historic map of Great Britain

2010-05-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix function's return value
	* Fix compilation warnings

2010-05-02
Robert Norris <rw_norris@hotmail.com>:
	* Better Preferences Dialog Title

2010-05-02
Simon Munton <nomis@users.sourceforge.net>:
	* Fix #2988574: Can't save files opened via recent file menu

2010-05-02
Rob Norris <rw_norris@hotmail.com>:
	* Change GUI related command line parameter for Waypoint symbol size into run time preference.

2010-04-29
Robert Norris <rw_norris@hotmail.com>:
	* Support All Zoom Levels in Zoom Menu

2010-04-27
Robert Norris <rw_norris@hotmail.com>:
	* More Menu Improvements
	* More Menu Improvements
	* Remove unecessary '\' from the View Menu

2010-04-27
Mark Coulter <i_offroad@yahoo.com>:
	* Fix #2991657: Terraserver downloads fail

2010-04-21
Mark Coulter <i_offroad@yahoo.com>:
	* Fix geocaching

2010-04-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 0.9.93
	* Merge branch 'i18n-launchpad'
	* Fix old po/Changelog entry
	* Document previous translation updates
	* Fix the way to extract Translators
	* Import Launchpad updates
	* Fix: set a default filename while exporting

2010-04-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Allow overriding map source

2010-04-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* [DOC] Fix: Viking's sources are hosted by Git now

2010-03-27
Robert Norris <rw_norris@hotmail.com>:
	* Clean git status

2010-03-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge commit 'viking-0.9.92' into help
	* Documenting extension files
	* Document external tools

2010-03-23
Rob Norris <rw_norris@hotmail.com>:
	* Further variable type corrections.
	* Make GPS layer cut/copy available from popup menu.
	* Minor Improvements.
	* Fix GPS layer copy.
	* Fix Track/Waypoint Layer Paste on 64bit systems.

2010-03-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix FILES section of manpage.

2010-03-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document new files in viking's manpage

2010-03-18
Rob Norris <rw_norris@hotmail.com>:
	* Fix: First Track not Black in Draw All Tracks Black Mode.

2010-03-15
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add a debug printf for map display
	* Increase possible smaller zoom
	* Add negative scales so that we can have bigger zoom on maps
	* Allow images from bigger and smaller zoom to be selected if current zoom has no image Merge logic for smaller zoom with current zoom

2010-03-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Rleasing viking 0.9.92
	* Merge branch 'i18n-launchpad'
	* Document previous import
	* Import translations from launchpad

2010-03-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge commit 'viking-0.9.91' into help
	* Merge remote branch 'rnorris/unitPref'

2010-03-13
Gerhard Killesreiter <gerhard@killesreiter.de>:
	* Fix: Correctly rotate thumbnail images

2010-03-10
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Memorize previously selected go-to service

2010-03-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #2958601: Support for non ascii characters in "Go-to" search

2010-03-07
Rob Norris <rw_norris@hotmail.com>:
	* Minor tidy up.
	* Better scale when zoomed close in and in miles distance mode.
	* Add and use preference for height units.
	* Add and use preference for speed units.
	* Add and use preference for distance units.

2010-02-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use a preference to set the tiles age

2010-02-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix error handling in go-to feature

2010-02-14
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* New preference for default maplayer cache

2010-02-08
David Rasmus Piegdon <viking@p23q.org>:
	* Improve DEM-Layer

2010-02-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove OpenAerial

2010-02-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Realising viking 0.9.91

2010-02-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update POTFILES
	* Merge branch 'master' into i18n-launchpad
	* Declare new languages
	* Document previous import
	* Import translation from launchpad

2010-02-05
Mike Ryan <mikeryan@lacklustre.net>:
	* Fix #2946287: open a recent file

2010-02-03
Mike Ryan <mikeryan@lacklustre.net>:
	* cache the scaled pixbuf in the vikgeoreflayer struct if the newly-scaled width and height are the same, do not waste CPU rescaling the pixbuf
	* scale the georef layer based on current viewport rescales the image for every repaint, even if the mpp hasn't changed
	* fix some confusing indentation and bracing

2010-02-02
Robert Norris <rw_norris@hotmail.com>:
	* Fix #2881916: rename a track with c&p

2010-02-01
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add missing ) in string

2010-02-01
Mike Ryan <mikeryan@lacklustre.net>:
	* add GIO dependency and header for GFile

2010-02-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Portability: use GLib function g_utime if possible

2010-01-24
Sven Wegener <sven.wegener@stealer.net>:
	* Update mtime of up-to-date tiles
	* Allow reuse of curl connection objects

2010-01-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use combobox to select map type

2010-01-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add compatibility to previous GPS device setting
	* Fix #2766373: Use a string as device path

2010-01-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'new-maps'

2010-01-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Recode DownloadOptions as properties to VikSlippyMapSource

2010-01-11
Sven Wegener <sven.wegener@stealer.net>:
	* Change default map type to OSM
	* Fix "Moving Map Method" cannot be disabled

2010-01-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #2880741: replace gps_open with gps_open_r
	* Fix #2921899: uses conditional macro to support two versions of libgps

2010-01-11
Bernd Zeimetz <bernd@bzed.de>:
	* Make Viking compatible with libgps >= 2.90

2010-01-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Include configuration examples in distribution
	* Add configuration file for go-to search engines

2010-01-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refactor goto feature to allow multiple search engines
	* Add Name finder search engine
	* Add Nominatim search engine
	* Add XPATH related attribute support

2009-12-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add a unit test for VikGotoXmlTool
	* Add support for XML attribute based lat/lon values
	* Refactoring: move download code to vikgototool
	* Fix warnings

2009-12-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use a configure option to set the age of tiles before checking them online

2009-12-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Replace "search" substring by "goto"
	* Fix URL formatting issue
	* Remove unused code
	* Fix URL formatting issue
	* Use only the first result
	* Fix error messages

2009-12-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix typo
	* Remove old code
	* Create the geonames search as an VikXmlSearchTool

2009-12-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Parse XML for XPath like path
	* Add copyright

2009-12-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add generic XML earch code
	* Move common last search code to viksearch.c
	* Use a more expressive icon for "Go to" features

2009-12-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix typo
	* Move GoogleSearch to new framework

2009-11-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* GObjectify search dialog

2009-11-05
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #2801874: keep second part of a splitted track visible
	* Unecessary code
	* Fix #2838556: emit warning when gpsbabel is not found in PATH

2009-11-05
Stanislav Brabec <sbrabec@suse.cz>:
	* Use motion hints to make map motion more responsive in slow environment.

2009-10-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Tiles must be older than a specified age before checking server
	* Use an internal thread concurrency model
	* Try to download newer tiles when autodownload is set and server supports such check
	* The "Download new" option must be available via download tool
	* Add support for recently used files

2009-10-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Distribute old version of ChangeLog
	* Add HACKING info

2009-10-19
Gleb Smirnoff <glebius@glebius.int.ru>:
	* suppress gtk warning

2009-10-18
Gleb Smirnoff <glebius@glebius.int.ru>:
	* remove declaration of non-existent function

2009-10-17
Gleb Smirnoff <glebius@glebius.int.ru>:
	* keeping OSM password safe

2009-10-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Declare new translations

2009-10-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Mark translatable strings

2009-09-30
Bernd Zeimetz <bernd@bzed.de>:
	* Fix bashism in test script.

2009-09-30
David Rasmus Piegdon <viking@p23q.org>:
	* Add DEM Gradient

2009-09-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'fix-osm-api-0.6'
	* Update translatable strings

2009-09-29
Gleb Smirnoff <glebius@glebius.int.ru>:
	* finish OSM 0.6 API support

2009-09-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add configure option to track deprecated feature

2009-09-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refactoring: use a GObject model to implement MapSource hierarchy tree
	* Refactoring: keep a single definition for keys of global preferences
	* Add info for GeoRef Map's parameters
	* Import User Manual from wiki
	* Add DOAP file
	* Move src/.gitignore to main .gitignore
	* Add menu item for help contents
	* Setup build rules for help system
	* Replace autogen.sh

2009-09-22
Stanislav Brabec <sbrabec@suse.cz>:
	* Get rid deprecated GtkTooltips API.

2009-09-22
Stanislav Brabec <utx@penguin.cz>:
	* Added tooltips for layer panel buttons.

2009-09-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge commit 'viking-0.9.9' into gobjectify-map-type

2009-09-20
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* ftp response code for success is 226
	* Add option to download only maps that are more recent on server
	* Remove defines used for preferences
	* Move defines for preference to globals.h

2009-09-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge branch 'interpolation'

2009-09-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refactoring: merge a_check_html_file and a_check_kml_file

2009-09-18
Harry G McGavran Jr <w5pny@arrl.net>:
	* Fix magic scissors

2009-09-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing viking 0.9.9
	* Add maintainer script to help releasing process
	* Document previous import
	* Import translations from launchpad

2009-08-28
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Change interpolation to a faster one
	* Use less precise images when wanted image is not present

2009-08-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update translations from launchpad

2009-08-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Auto-Generation of ChangeLog file
	* Add a script to compute po/ChangeLog fragment
	* Update administrative file
	* Import current Launchpad translations

2009-08-18
Tal <tal.bav@gmail.com>:
	* Fix #2163652: GPX file with byte order mark not parsed

2009-08-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add src/mapcache.c as source file containing translatable strings

2009-07-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #2766609: Don't use gpsd_units()

2009-07-28
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add missing (VikLayerFuncPostRead) in structs VikLayerInterface

2009-07-26
Herm <hermk@users.sourceforge.net>:
	* Fix #2812856: Change SRTM URL

2009-07-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #2818818: unset langage preset while opening external Google
	* Fix copyright in --version output

2009-07-25
Herm <hermk@users.sourceforge.net>:
	* Fix SRTM Server change

2009-07-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add configuration file for map sources
	* Merge branch 'gobjectify-map-type' into gobject-builder
	* Manage memory of private fields
	* Fill in the interface
	* Move label

2009-07-22
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Fix memory leaks found with cppcheck

2009-07-21
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Fix warning in call to MD5Update() in function md5_hash()

2009-07-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add configuration file for external tools
	* Remove dead code
	* Create the GObject builder

2009-07-19
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add .gitignore

2009-07-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Value of property is the content of the property XML element

2009-07-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Expose VikSlippyMapSource's private fields as properties
	* Expose TerraserverMapSource's type as property
	* Expose VikMapSourceDefault's private fields as properties
	* GObjectify VikViewportDrawMode enum
	* Store test example for GValue
	* Use GtkBuilder to convert string to expected value's GType

2009-07-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Proof of concept

2009-07-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Style fix
	* Merge 'viking-0.9.8'

2009-07-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Merge 'viking-0.9.7'
	* Set VikMapSourceDefault properties
	* Remove dependencies to gob2
	* Replace terraserver-map-type.gob by raw implementation
	* Merge vikslippymapsourceabstract and slippy-map-type
	* Finish to remove Google
	* Remove Google's map tiles
	* Remove old Google stuff

2009-06-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Complete 376c917751b680fd238cd85511bab4ed26727c0f
	* Document previous patches from Jonas Norling

2009-06-19
Jonas Norling <norling@lysator.liu.se>:
	* Don't crash when jobs are cancelled via the background jobs dialog.
	* Join common code in zoom in and zoom out cases.
	* Filter out irrelevant modifiers.

2009-06-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Upgrade OSM-traces support to 0.6 API

2009-05-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous patches
	* Fix previous patch

2009-05-22
Tal B <tal.bav@gmail.com>:
	* use default values VIK_DEFAULT_DOP, VIK_DEFAULT_ALTITUDE
	* remove _VikTrackpoint.extended field.
	* Document when field in _VikTrackpoint are considered unavailable.
	* gpx_write_trackpoint():
	* vdop, hdop, pdop, nsats and fix_mode values were not shown
	* hdop,vdop,pdop,nsat

2009-05-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove unused (and buggy) feature

2009-05-22
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Fix #570956: change saved_width to 1

2009-05-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous merge
	* Merge improvement of map cache made by Jocelyn Jaubert

2009-05-09
Tal <tal.bav@gmail.com>:
	* Replace g_strtod by g_ascii_strtod

2009-05-06
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add a viking parameter for mapcache memory size
	* Move VIK_CONFIG_MAPCACHE_SIZE to a variable
	* Add menu option to flush mapcache, and reduce viking memory footprint
	* Add a_mapcache_flush() to completely flush the mapcache

2009-05-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add a TODO
	* Document previous merge
	* Merge 'thread-pool' features from Jocelyn Jaubert

2009-05-06
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Stop all curl downloads on quit

2009-04-25
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Wait for all threads to finish before exiting viking
	* Replace g_thread by g_thread_pool

2009-04-17
Lixus Zoran <gps@muellers.ms>:
	* Example file: OpenStreetMap

2009-04-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Avoid crash

2009-04-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix build problem

2009-04-13
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Show path used for map directory in options even when using default one

2009-04-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Change dependencies checking

2009-04-04
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Add missing include glib/gprintf.h

2009-04-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous patch

2009-04-04
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Fix bug #2481237: Maps directory file chooser should look for directory

2009-04-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous patch

2009-04-04
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* libcurl update: replace deprecated CURLOPT_FILE by CURLOPT_WRITEDATA

2009-04-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Documenting previous patch

2009-04-04
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Include full libcurl version in user agent

2009-03-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add vik prefix
	* Rename slippy-map-type-abstract as slippymapsourceabstract
	* Replace old-vik-map-type by vikmaptype
	* Replace vik-map-type-default by vikmapsourcedefault
	* Replace vik-map-type by vikmapsource
	* Document new hierarchie
	* Add compatibility facilities
	* Declare built sources
	* Insert a level of abstraction in map type hierarchie
	* Remove Google
	* Update design

2009-03-27
(null) <(null)>:
	* Add UML design
	* Typo
	* Inherit GoogleMapType from SlippyMapTypeAbstract
	* Insert slippy map type
	* Add Google Kh map type
	* QA: cleanning unused stuff
	* Cleanning code
	* Finalize Terraserver migration
	* Extract BlueMarble and OpenAerial form OSM module
	* Make osm-map-type running
	* Make google-map-type running
	* Start using GoogleMapType GObject
	* Replace VikMapsLayer_MapType by VikMapType
	* Correct google gobject
	* Declare built sources
	* Add Terraserver
	* Add OSM
	* Create Google map type
	* Initial GoogleMaps implementation based on gob2
	* Allow compilation
	* Initial VikMapType class
	* QA: un-needed external reference
	* Portability
	* QA: homogeneous way of doing stuff

2009-02-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Release 0.9.8
	* Update translations for 0.9.8

2009-02-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Release 0.9.8

2009-01-31
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Finish to remove Google

2009-01-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous patch

2009-01-22
Mathieu Albinet <mathieu17@gmail.com>:
	* Fix loading a world file

2009-01-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Enforce memory free

2009-01-22
Robert Norris <rw_norris@hotmail.com>:
	* Fix some memory leaks.

2009-01-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Document previous commits
	* Allow to select between Google and Geonames for searching method
	* Add conditional compilation for geonames

2009-01-18
Hein Ragas <viking@ragas.nl>:
	* Documenting previous patches from Hein Ragas
	* Geonames et Wikipedia search
	* Better GeoNames.org implementation
	* a patch to use GeoNames.org instead of Google for the 'Go to'-functionality.

2009-01-15
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows port

2008-12-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove Google's map-tiles

2008-12-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Remove old Google stuff
	* Add configuration options for OpenAerial and BlueMarble

2008-12-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* News feature: external tools
	* QA: improve portability

2008-12-06
Quy Tonthat <qtonthat@gmail.com>:
	* Clicking on "vivisble" tick of a layer no longer makes the layer selected.

2008-12-03
Hein Ragas <viking@ragas.nl>:
	* GPX export: sort track by time. (By Hein Ragas).

2008-11-21
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bugs that caused magic scissors not working.
	* Merging track: Merge with more than one tracks at a time.

2008-11-18
Quy Tonthat <qtonthat@gmail.com>:
	* Merging track. Few safegards, enhance and bug fixes.

2008-11-18
Hein Ragas <viking@ragas.nl>:
	* Merging track by name. As submitted by Hein Ragas <viking@ragas.nl>

2008-11-13
Quy Tonthat <qtonthat@gmail.com>:
	* No longer provide support for google satellite maps.

2008-10-31
Quy Tonthat <qtonthat@gmail.com>:
	* Change Title of Waypoint Properties dialog to "Waypoint Properties"

2008-10-30
Quy Tonthat <qtonthat@gmail.com>:
	* Change how waypoint names are displayed.
	* Make sure we won't pick up unwanted _pixmap.h files
	* Larger waypoint symbols

2008-10-28
Quy Tonthat <qtonthat@gmail.com>:
	* Waypoint icons are now compatible with GPS.

2008-10-22
Quy Tonthat <qtonthat@gmail.com>:
	* Fix compatibility problem for windows.

2008-10-20
Quy Tonthat <qtonthat@gmail.com>:
	* New server for OSM cycle map

2008-10-14
Evan Battaglia <gtoevan@gmx.net>:
	* minor fix in gcget.
	* Update gcget to adapt to changes at geocaching.com

2008-10-13
Quy Tonthat <qtonthat@gmail.com>:
	* Make warning messages a bit more informative.
	* g_timeout_add_seconds() did not exist until glib 2.14
	* gps realtime tracking: retry on connection to gpsd.

2008-10-12
Jon Burgess <jburgess777@googlemail.com>:
	* fix curl error buffer usage
	* fix missing status return in spawn_command_line_async()
	* fix implicit declaration of maps_layer_default_dir()

2008-10-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Typo
	* Release 0.9.7

2008-10-12
Robert Norris <rw_norris@hotmail.com>:
	* Fix some more compiler warnings

2008-10-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Rename test files

2008-10-12
Jon Burgess <jburgess777@googlemail.com>:
	* Properties of some tracks show as NaN

2008-10-10
Quy Tonthat <qtonthat@gmail.com>:
	* Realtime tracking: Add new moving map method.
	* gps realtime tracking: fixed segfault.

2008-09-30
Stanislav Brabec <sbrabec@users.sourceforge.net>:
	* Fix icon target dir
	* Improve viking.desktop
	* Fix missing files in po/POTFILES.in
	* Rename icon: viking_icon.png -> viking.png

2008-09-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Note TODO
	* Document Fix #1947260

2008-09-21
Quy Tonthat <qtonthat@gmail.com>:
	* Change "Zoom To" short cut to avoid conflict with "Zoom Tool".

2008-09-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Typos
	* Update translations
	* Update translations from launchpad

2008-09-06
Quy Tonthat <qtonthat@gmail.com>:
	* Fix parallel build (make -j8) on multi-processor machines. Based on a patch from sbrabec.

2008-09-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: cleanning unused stuff
	* QA: un-needed external reference
	* Portability
	* QA: homogeneous way of doing stuff

2008-09-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #1947260: correct a corrupted escape

2008-09-01
Quy Tonthat <qtonthat@gmail.com>:
	* Google search adapting changes from Google.

2008-08-31
Quy Tonthat <qtonthat@gmail.com>:
	* Fix crashes when creating new layers.

2008-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Typo: removing trailing double-colon on ChangeLog
	* Removing critical message
	* QA: removing specific GtkCellRenderer
	* Documenting previous patch + I18N updates

2008-08-30
Armin Moser <armin.moser@student.tugraz.at>:
	* added a menu entry to extend an existing track using magic scissors

2008-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Documenting previous patch

2008-08-30
Armin Moser <armin.moser@student.tugraz.at>:
	* osm cycle layer support

2008-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix typo
	* Document previous patch and fix typo

2008-08-30
anonymous <>:
	* Patch #2009666: OpenAerialMap

2008-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* QA: avoid segfault
	* Replace GTK_STOCK_GO_FORWARD with GTK_STOCK_JUMP_TO
	* Document previous fix and add data to reproduce problem
	* QA
	* Synchronise vikwindow.c and menu.xml around mode handling

2008-08-30
Robert Norris <rw_norris@hotmail.com>:
	* Fix 1952523

2008-08-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Relocate current data field
	* Textual properties go in a dedicated tab

2008-08-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Typo
	* QA: use standard function instead of viking specific
	* Add preferences to select how degrees are displayed

2008-08-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update layer after modifying properties
	* QA: Unused code
	* Add documentation and test file for previous patch

2008-08-24
Mathieu Albinet <mathieu17@gmail.com>:
	* Color picker button for the Coordlayer properties dialog

2008-08-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Acting (Cut, Copy, Paste) when nothing selected is not critical
	* QA: more generic way of computing size of an array
	* Add tooltips to some actions
	* Documenting previous patch

2008-08-23
Mathieu Albinet <mathieu17@gmail.com>:
	* Layers panel UI improvements

2008-08-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Homogeneous icons management.
	* Replace some g_warning by g_debug
	* Add email support in about dialog
	* Replace specific about dialog by GtkAboutDialog
	* Add dependencies between built sources and Makefile.am

2008-08-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use the new widget to hide OSM's password
	* Add a password entry widget
	* Create preferences for OSM traces module

2008-08-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Ensure that confirmation dialog is over file selector

2008-08-13
Quy Tonthat <qtonthat@gmail.com>:
	* Fixed Google map download problem.

2008-07-31
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.6
	* Remove unecessary directive

2008-07-28
Quy Tonthat <qtonthat@gmail.com>:
	* Fix gcget command line to accomodate negative coords.

2008-07-22
Quy Tonthat <qtonthat@gmail.com>:
	* Google maps no longer worked due to changes by Google. Problems now fixed.

2008-07-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.5
	* Delete duplicates
	* Add directives to clean
	* Automatic update
	* Update AUTHORS list
	* Fix suggested by Jocelyn
	* Document recent activities
	* Automatic update
	* Update from Launchpad

2008-07-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Automatically disable man pages generation

2008-07-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Convert and install man pages

2008-07-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Better integration of .desktop file
	* Comment

2008-07-15
Quy Tonthat <qtonthat@gmail.com>:
	* Add viking.desktop file

2008-07-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Documenting recent patch
	* QA: Remove some more warnings

2008-07-14
Robert Norris <rw_norris@hotmail.com>:
	* Compiler warning fixes

2008-07-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Package new languages
	* Translation update (automatic)

2008-07-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update translations

2008-07-01
Quy Tonthat <qtonthat@gmail.com>:
	* Track properties: split track at marker.

2008-06-29
Quy Tonthat <qtonthat@gmail.com>:
	* Track Properties: Keep markers of the graphs in sync with each other.

2008-06-29
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows port: fallback temporary file
	* Windows port: typo in util.c

2008-06-24
Quy Tonthat <qtonthat@gmail.com>:
	* Track graph marker now works again.

2008-06-21
Quy Tonthat <qtonthat@gmail.com>:
	* Fix google version number.

2008-06-15
Quy Tonthat <qtonthat@gmail.com>:
	* Mark release 0.9.4.20080614 in ChangeLog

2008-06-14
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows port: use as many directories as POSIX version
	* Windows: home dir define via GLib
	* Recursive mkdir: use dedicated GLib function
	* strtod -> g_strtod
	* Windows port: add serial port
	* Windows port: calling gpsbabel from windows

2008-06-09
Mathieu Albinet <mathieu17@gmail.com>:
	* Windows port: redefine LOCALEDIR

2008-06-05
Quy Tonthat <qtonthat@gmail.com>:
	* Do not convert waypoint names to uppercase. Make them case insensitive.

2008-06-03
Mathieu Albinet <mathieu17@gmail.com>:
	* Portability: remove "/dev/null" reference

2008-05-09
Jon Burgess <jburgess777@googlemail.com>:
	* Fix compilation issue

2008-05-08
Mathieu Albinet <mathieu17@gmail.com>:
	* Portability: use of g_ascii_dtostr to format google url

2008-05-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Improve error handling + I18N

2008-05-08
Mathieu Albinet <mathieu17@gmail.com>:
	* Portability: replace mmap functions by g_mapped_file*
	* Windows port: rename interface to source_interface

2008-05-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update man page
	* Storing manpages

2008-05-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Moving manpage upstream
	* Moving manpage upstream

2008-05-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add file content checking process
	* Use a more generic error message
	* Improve error handling

2008-05-01
Mathieu Albinet <mathieu17@gmail.com>:
	* Remove dependency to wget

2008-05-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding --debug and --verbose command line option

2008-04-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Portability: conditional sys/wait.h
	* Cosmetic change
	* Cosmetic change

2008-04-27
Mathieu Albinet <mathieu17@gmail.com>:
	* Fix pipe leaks
	* Portability: provide our own curl WRITE function

2008-04-22
Robert Norris <rw_norris@hotmail.com>:
	* Fix for implicit declaration of function 'g_fopen'
	* Fix: Initalize tv_usec field

2008-04-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Read/Write ISO date in GLib's way
	* Add a GPX non regression utility

2008-04-19
Tim Scofield <nospam546@comcast.net>:
	* Fix: typo

2008-04-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* M_PI already defined

2008-04-12
Mathieu Albinet <mathieu17@gmail.com>:
	* Portability: remove dirname needs with g_mkdir_with_parents
	* Portability: replace deprecated bzero function by memset
	* Portability: use Glib function related to stdio.h
	* Portability: replace mkdir by g_mkdir
	* Portability: reduce unistd.h dependency

2008-04-12
Evan Battaglia <gtoevan@gmx.net>:
	* add copyright in dem files
	* Add chinese translation from Zhang Jun

2008-04-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Revert "Declare the need of C99 compliant compiler"

2008-03-30
Mathieu Albinet <mathieu17@gmail.com>:
	* Replace GtkFileSelection by GtkFileChooser

2008-03-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Declare the need of C99 compliant compiler
	* Update authors list

2008-03-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Make all icons in a single .o

2008-03-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Store cursor info directly into tool struct

2008-03-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Pan tool (as default)
	* Extract pan related codes
	* Fix: [ 1839948 ] Maximize/Restore changes current cursor
	* Comment typo

2008-02-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Typo
	* Improve form to simplify automatic extractions

2008-02-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.4
	* Add missing file
	* Remove debug trace
	* Rename func a_array_to_glist to str_array_to_glist (due to current interface)

2008-02-25
Robert Norris <rw_norris@hotmail.com>:
	* Fix some compiler warnings (SF#1888407)
	* Fix 1881475 autogen can generate broken configure file

2008-02-25
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Documenting previous commit

2008-02-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Correct OSM URL

2008-02-21
Quy Tonthat <qtonthat@gmail.com>:
	* viking.spec: Correct license, required packages and local.

2008-02-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update translations
	* State of LaunchPad contributions
	* Update french translation
	* Typo
	* Update french translation
	* Typo
	* Update French translation
	* Update from fresh .pot file
	* Update French translation
	* Correct famous sentence
	* Remove trailing '\n' in g_message calls

2008-02-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update french translation
	* Marking translatable string in main.c
	* Documenting Jocelyn's patches
	* Patch fr translation
	* I18N improvement

2008-01-25
Alex Foobarian <foobarian@gmail.com>:
	* Sort out the viewport header file a bit for better readability and in preparation for a cairo branch.

2008-01-22
Alex Foobarian <foobarian@gmail.com>:
	* fix a crash bug in the merge-by-time function

2008-01-18
Quy Tonthat <qtonthat@gmail.com>:
	* Added mutex to protect map pixbuf cache from being corrupted.

2008-01-17
Quy Tonthat <qtonthat@gmail.com>:
	* Fix a crash bug in mapcache reported by Jocelyn <jocelyn.jaubert@gmail.com>

2008-01-15
Christoph Eckert <ce@christeck.de>:
	* bugfix (thanks Christoph Eckert)

2008-01-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: remove unused
	* Fix: remove warnings

2008-01-04
Alex Foobarian <foobarian@gmail.com>:
	* Adjusted v-t drawing

2007-12-27
Evan Battaglia <gtoevan@gmx.net>:
	* Bugfix for preferences
	* DEBUG option for gcget.
	* gcget-perl
	* fix remove duplicates gpsbabel filter. full screen mode.
	* one bugfix for gcget. there may be another bug out there.

2007-12-27
Oddgeir Kvien <oddgeir@oddgeirkvien.com>:
	* Add GpxWritingOptions to control GPX file writing
	* Add default values to ele and time fields (due to OSM)

2007-12-23
Evan Battaglia <gtoevan@gmx.net>:
	* Don't scare off users from trying geocache support.

2007-12-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Update french plural form

2007-12-22
Evan Battaglia <gtoevan@gmx.net>:
	* preferences / geocaching update

2007-12-21
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Update French translation

2007-12-21
Christoph Eckert <ce@christeck.de>:
	* Update source for OSM/Osmarender tiles

2007-12-21
Evan Battaglia <gtoevan@gmx.net>:
	* Preferences: include the file. oops.
	* Preferences!!!! Make way for the Geocachers.

2007-12-19
Quy Tonthat <qtonthat@gmail.com>:
	* Revert a previous change that disabled realtime tracking if libgps does not exist.

2007-12-17
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Use specific gettext call for plural form

2007-12-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix contribution dates

2007-12-17
Evan Battaglia <gtoevan@gmx.net>:
	* "Highest unused" (not really) waypoint number as deafult name for waypoint.
	* Sort waypoints in GPX output

2007-12-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: ensure config.h is included conditionnaly

2007-12-15
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Update french translation
	* Mark many strings translatable

2007-12-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix: if libgps is missing, Realtime GPS Tracking is disabled
	* Fix compilation under HURD (missing MAXPATHLEN macro)

2007-12-15
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Make menu entries translatable

2007-12-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* First french translation (incomplete)
	* Marking translatable strings.

2007-12-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix bug: "config.status: error: cannot find input file: Makefile.in"
	* Fix warning: underquoted definition of AM_WITH_EXPAT

2007-12-10
Quy Tonthat <qtonthat@gmail.com>:
	* Now that autogen.sh runs configure, "make full" should not.
	* Fix autogen.sh to remove the assumption that version 1.9 of automake is available on all systems.

2007-12-08
Evan Battaglia <gtoevan@gmx.net>:
	* disable printing & let viking compile for gtk < 2.10.0
	* Google terrain maps.
	* BlueMarble tile

2007-12-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Renaming AC_PROG_INTLTOOL (deprecated) with IT_PROG_INTLTOOL

2007-11-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Use a list of possible browsers.
	* Forgot incremental rebuild

2007-11-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* I18N: Adding minimal stuff
	* I18N: Using standard autogen.sh

2007-11-19
Quy Tonthat <qtonthat@gmail.com>:
	* Fix a bug that can potentially cause segfault.
	* Improve track graphs. Some tracks looked too flat.

2007-11-13
Evan Battaglia <gtoevan@gmx.net>:
	* add another missing file
	* adding forgotten uibulder code...

2007-11-10
Evan Battaglia <gtoevan@gmx.net>:
	* gctrackbyarc script
	* Filters filters oh my

2007-11-07
Quy Tonthat <qtonthat@gmail.com>:
	* New feature: map printing.

2007-10-31
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bug that caused Old Google maps not being disabled by default.

2007-10-24
Quy Tonthat <qtonthat@gmail.com>:
	* Fix "incompatible pointer type" warnings.
	* Make elev graph show better graph for low altitude tracks.
	* Fix a bug that caused crashes when displaying elev graph for some track.

2007-10-22
Bernd Zeimetz <bernd@bzed.de>:
	* Fixing the implicit declaration completely, thanks to  dann frazier <dannf@debian.org> Debian #447662
	* Fixing another implicit declaration.
	* Missing declaration. Thanks to Bernd Zeimetz <bernd@bzed.de>

2007-10-21
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.3
	* Add "version" option

2007-10-20
Evan Battaglia <gtoevan@gmx.net>:
	* Fixing minor typo which caused crashes for me recently, unknown why it didn't crash before

2007-10-20
Quy Tonthat <qtonthat@gmail.com>:
	* Added track name to title of properties dialog.
	* Diasable buttons on Track Properties Dialog when not needed.
	* Draw position marker on track elev/speed graphs at mouse click
	* Track Properties Dialog no longer blocks interaction of the main window.

2007-10-17
Evan Battaglia <gtoevan@gmx.net>:
	* Minor bugfix (one_zone is 0 for non-UTM projections)

2007-10-16
Evan Battaglia <gtoevan@gmx.net>:
	* Fix Google parsing. Should probably change default number to "2.61" too.

2007-10-15
Quy Tonthat <qtonthat@gmail.com>:
	* Cosmetic changes and cleanup
	* Interpolating DEM data.
	* Interpolating DEM data.
	* Add more room to the top of altitude-distance graph.

2007-10-15
Evan Battaglia <gtoevan@gmx.net>:
	* fix plotting of DEM data on elevation graph

2007-10-12
Evan Battaglia <gtoevan@gmx.net>:
	* Fix tool keypresses to work only when Viewport has focus.

2007-10-12
Quy Tonthat <qtonthat@gmail.com>:
	* Make use of DEM elevation data and GPS speed data for track graphs.

2007-10-12
Evan Battaglia <gtoevan@gmx.net>:
	* keypress framework for tools, Esc & Backspace

2007-10-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Upgrading to API 0.5 of OSM

2007-10-11
Quy Tonthat <qtonthat@gmail.com>:
	* Added new fields to trackpoints for data from GPS in realtime mode.

2007-10-10
Quy Tonthat <qtonthat@gmail.com>:
	* Make Realtime Tracking a feature that can be disabled at configure time.

2007-10-10
Evan Battaglia <gtoevan@gmx.net>:
	* Use $BROWSER environment variable (for viewing geocache pages)

2007-10-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* libgps is no more mandatory

2007-10-09
Evan Battaglia <gtoevan@gmx.net>:
	* Implement g_hash_table_remove_all in file.c too (for early glib versions)
	* Preview adding a trackpoint by drawing a line when moving mouse

2007-10-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Relax dependencies about glib

2007-10-09
Evan Battaglia <gtoevan@gmx.net>:
	* Color current track red with dashed lines. (Better feedback)
	* Ctrl-shift-scroll to zoom like google, scroll to zoom w/o changing center

2007-10-09
Quy Tonthat <qtonthat@gmail.com>:
	* Fix a crash bug caused by operation on variable inside a macro.

2007-10-08
Quy Tonthat <qtonthat@gmail.com>:
	* Fix compiling breakage caused by missing icon file from the list.

2007-10-07
Evan Battaglia <gtoevan@gmx.net>:
	* Experimental "begin track" tool
	* Extend track
	* Undo Magic Scissors by right clicking.
	* Remove debug line from last commit
	* Cursors!
	* Scroll zoom keeps cursor over same spot on map

2007-10-07
Quy Tonthat <qtonthat@gmail.com>:
	* Track Properties: now displays track distance/time instead of "Selected Time".

2007-10-06
Quy Tonthat <qtonthat@gmail.com>:
	* The "Selected Time" on track properties dialog is now correct.
	* Correctly calculate position when click on speed-time graph.
	* Pop a message when failed to connect to gpsd.
	* Fix bugs that caused odd display of date/time on track properties dialog.

2007-10-05
Quy Tonthat <qtonthat@gmail.com>:
	* Be more selective in collecting realtime trackpoints.
	* Fix a segfault caused by (mistakenly) adding a new layer to gps layer.

2007-10-04
Quy Tonthat <qtonthat@gmail.com>:
	* Improvements for GPS layer's "Realtime tracking".

2007-10-03
Evan Battaglia <gtoevan@gmx.net>:
	* Removing GPSDLayer (functionality now in gpslayer)

2007-10-02
Quy Tonthat <qtonthat@gmail.com>:
	* Cleanup and cosmetic changes.
	* Fix half-drawn problem for gps layer
	* Add realtime tracking to GPS layer.

2007-10-01
Quy Tonthat <qtonthat@gmail.com>:
	* Fix crashes caused by emitting update too early at layer creation.
	* Disable half-drawn update mode when the center is moved.

2007-09-28
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Fix a long lasting bug that causes track property not working properly.

2007-09-28
Evan Battaglia <gtoevan@gmx.net>:
	* Half-drawn hack
	* Draw arrow in Gpsdlayer DEM Layer -- minimum elevation

2007-09-26
Evan Battaglia <gtoevan@gmx.net>:
	* gpsdlayer -- gps_close() the connection.

2007-09-25
Quy Tonthat <qtonthat@gmail.com>:
	* SRTM download now works for regions outside North_America too.

2007-09-24
Evan Battaglia <gtoevan@gmx.net>:
	* Experimental VikGpsdLayer

2007-09-23
Evan Battaglia <gtoevan@gmx.net>:
	* Magic Scissors goodies
	* Add Magic Scissors icon (from GIMP)
	* Remove unused vik_layer_copy code
	* Fix crashes on using wrong tools
	* Serialize string lists / fix DEM Layer copy/paste
	*         * Pan Accelerators (Ctrl+Left, etc)         * Ctrl-Scroll and Ctrl-Shift-Scroll to pan, kind of like Gimp.         * Add a RADIOGROUP_STATIC properties factory type to make it easy                 for new layers. Uses an array list (like before)                 instead of a GList.         * DEM US 10m (dem24k) source! Option in DEM Layer & ./configure         * (copying & pasting DEM layers is broken, will fix later)
	* Download&import SRTM 90m data (more work needed) Fix right-click geocache->goto geocaching.com web page

2007-09-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refactoring: really minor change
	* Refactoring: minor changes

2007-09-18
Evan Battaglia <gtoevan@gmx.net>:
	* Saner vikfilelist.c -- allow multiple selections when adding DEM files
	* Fix optional geocaching -- include config.h to compile
	* Update ChangeLog
	* Draw lines for file existence at very-zoomed out levels

2007-09-09
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Removing unused files (*.png.h).
	* Fix #1789550: define MAX macro if not defined on ALL systems
	* g_*ify a path building

2007-09-08
Quy Tonthat <qtonthat@gmail.com>:
	* Automatically fetching google version numbers.

2007-09-07
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Fix #1789550: mkdtemp usage is conditioned
	* QA: remove a warning
	* g_*ify maps_layer_default_dir function and code related to maps cache
	* g_*ify a_get_viking_dir function

2007-09-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding command line option framework.

2007-09-05
Quy Tonthat <qtonthat@gmail.com>:
	* Fix a bug that causes crashes when using "Maps Download" tool.
	* Make viking's default start location somewhere more likely has maps.

2007-09-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.2
	* QA: removing warning

2007-09-03
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Hide Expedia view mode when expedia is not built in.
	* Do not warn about drawmode inconsistency while reading file.
	* Do not warn about drawmode inconsistency while reading file.
	* Use $EMAIL to initialise email field for OSM upload.
	* Refactoring: retrieve the VikWindow from the VikViewport via its GtkWidget nature
	* Preset filename when exporting a TrwLayer.
	* QA: strong type the second argument of the *_post_read functions.
	* Fix: crash when "applying" a map layer property dialog

2007-09-02
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9.1

2007-09-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Disable Expedia map layer by default (as it is not working)

2007-08-30
Bernd Zeimetz <bernd@bzed.de>:
	* Add redirect support (for Expedia map layer)

2007-08-30
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add ability to upload a single track
	* QA: Remove warnings

2007-08-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Check current drawmode after creating a new MapsLayer
	* QA: testing NULL before *free is not necessary
	* Refactoring: compute drawmode name by getting menu entry label
	* Allow to retrieve VikWindow from VikViewport

2007-08-24
Quy Tonthat <qtonthat@gmail.com>:
	* Give more instructive message for attempting to download maps in wrong mapmode
	* Better checking to detect downloaded text instead of images
	* New google version number

2007-08-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding the ability to upload to OSM.

2007-08-20
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Small target to easy multi-branch developer's work
	* libcurl is a requirement

2007-08-20
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bug in Google search that caused viking jump to wrong location when Google can not find the match.

2007-08-19
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bugs that cause crashes on layers copy/paste/delete.

2007-08-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Group "Export Layer" entries in a submenu

2007-08-15
Quy Tonthat <qtonthat@gmail.com>:
	* Clean up and get rid of compiler warnings.
	* Old google modes are now disabled by default.

2007-08-14
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bug in creating temporary HOME when HOME is not set.

2007-08-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding "name" accessor

2007-08-08
Quy Tonthat <qtonthat@gmail.com>:
	* Make Google Map default map type.

2007-08-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refactoring

2007-08-01
Quy Tonthat <qtonthat@gmail.com>:
	* Read hgt.zip files directly. Process correctly 1 arc sec hgt(.zip) files

2007-07-27
Quy Tonthat <qtonthat@gmail.com>:
	* Plug file descriptor leak

2007-07-26
Quy Tonthat <qtonthat@gmail.com>:
	* Display altitude at the cursor position, on status bar.

2007-07-25
Quy Tonthat <qtonthat@gmail.com>:
	* New google version number

2007-07-24
Quy Tonthat <qtonthat@gmail.com>:
	* Disable Geocaches Acquire.

2007-07-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding copyright
	* Solving a regression But Viking don't compile without libcurl, even with this modification

2007-07-17
Quy Tonthat <qtonthat@gmail.com>:
	* Clean up (my) degug messages

2007-07-16
Bernd Zeimetz <bernd@bzed.de>:
	* moving trunk/debian into the pkg-deb directory, adding tags/branches dirs

2007-07-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Converting printf calls

2007-07-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.9
	* Declaring vikdemlayer_pixmap.h to automake
	* Removing Reid from AUTHORS file.
	* Revert "Add debian subdirectory to automaked tarball"
	* Declaring new icon for Debian package

2007-07-13
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Eliminate the needs of entering DEM files for every single track/waypoint layer.

2007-07-07
Quy Tonthat <qtonthat@gmail.com>:
	* Fixed typo.

2007-07-06
Evan Battaglia <gtoevan@gmx.net>:
	* DEM: fix vertical units
	* Fix invalid elevation
	* Merge DEM branch

2007-07-04
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Bug fix: View Mode displayed wrong setting on startup.

2007-07-03
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Fixed bugs that caused "draw_scale" and "draw_centermark" not consistent.

2007-07-02
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Fix bugs that caused crashes on gps download/upload.

2007-07-01
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Make "Save Image" and "Save Image Directory" dialogs reusable.

2007-06-28
Quy Tonthat <qtonthat@gmail.com>:
	* Really using the new icon.

2007-06-27
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Using the new icon

2007-06-27
Mark Coulter <i_offroad@yahoo.com>:
	* Added Viking icon provided by Mark Coulter <i_offroad@yahoo.com>

2007-06-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refreshing INSTALL
	* Removing old (and no more functional) Makefile
	* Add debian subdirectory to automaked tarball

2007-06-24
Ralf Meyer <ranfyy@gmail.com>:
	* Merging with Ralf debianization

2007-06-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Unused variable
	* Add include to avoid implicit declaration
	* Initialisation to avoid warning
	* Explicit donw-casting
	* Correct declaration
	* Unused variables
	* Correct some erroneous declarations
	* Use g_mkdir instead of native mkdir
	* Use g_free as free function
	* Add requested sentinel and correct gdk_pixbuf_save call
	* Declare usage of math.h include
	* Suppress warning about backslashed newline at end of line
	* Dynamic version in User-Agent
	* Add referer to DownloadOptions

2007-06-23
Tim Scofield <nospam546@comcast.net>:
	* Minor change to avoid SEGFAULT on x86_64

2007-06-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding a DownloadOptions type.

2007-06-20
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog
	* Google Search: fixed to work with new Google output.

2007-06-19
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Moving acinclude.m4 as expat.m4
	* File forgotten on commit trunk@289

2007-06-19
Quy Tonthat <qtonthat@gmail.com>:
	* Fix a wild pointer bug that can cause crashes.
	* Fix bugs that causes "drawcentermark" not recognised when reading from files.

2007-06-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Declaring curl_download_init function.
	* Copying libcurl.m4

2007-06-18
Quy Tonthat <qtonthat@gmail.com>:
	* Release 0.1.3-20070618
	* Download maps along track: maps between far apart trackpoints.
	* Download maps along a track.
	* New Google version numbers.
	* Add User-Agent to http request header.
	* Make the center mark look a bit better.
	* Add center mark which can be turn on/off in View menu.
	* Make the scale more visible on dark maps.
	* Added cookies to google requests.
	* New google version number

2007-06-13
Ralf Meyer <ranfyy@gmail.com>:
	* Adding an icon for the entry menu (Debian package only)

2007-06-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Correct the man pages generation
	* Adding an icon

2007-06-08
Quy Tonthat <qtonthat@gmail.com>:
	* ChangLog entries
	* Fix a bug that causes segfault on trackpoint properties dialog.

2007-06-01
Quy Tonthat <qtonthat@gmail.com>:
	* Bacported Evan's magic scissors from DEM branch.
	* Fix a segfault on track properties dialog.

2007-05-31
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry.
	* Use google maps search string as comment for new immediately created waypoint.
	* Add Google Maps search to toolbar.
	* Google Maps search: code clean up.
	* Go to location using Google Maps search.
	* Cosmetic changes: fix compiler warnings.

2007-05-26
Mark Coulter <i_offroad@yahoo.com>:
	* Many new waypoint symbols created by Mark Coulter.

2007-05-26
Quy Tonthat <qtonthat@gmail.com>:
	* viking 0.1.3.20070526
	* ChangeLog entries
	* Fix intermittent problem of map redraw.
	* Handle cases that only need redraw (without downloading).

2007-05-24
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Removing generated files
	* Adding man pages

2007-05-24
Quy Tonthat <qtonthat@gmail.com>:
	* Make window dimensions easier to be changed.
	* Small touches on the look.
	* Maps layer: Improve performance for map autodownload.

2007-05-23
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entries
	* Put Google Directions dialogs at the center of viking window.
	* Google Directions now remembers previous query (from/to entries).
	* ChangeLog Entries
	* Gpslayer: New menu items to remove all tracks and waypoints in GPS folders.

2007-05-22
Quy Tonthat <qtonthat@gmail.com>:
	* Add "Save and Exit" to File menu.
	* Disable temporarily prompt for saving on exit.

2007-05-21
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Save function for GPS layer (part 2: read)
	* Save function for GPS layer (part 1: write only)

2007-05-20
Alex Foobarian <foobarian@gmail.com>:
	* edit waypoint fix

2007-05-19
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry for autodownload fixes
	* osm now reports download error status.
	* Terraserver now reports download error status.
	* Expedia now reports download error status.
	* Stop autodownload from running forever on map downloading errors.

2007-05-18
Quy Tonthat <qtonthat@gmail.com>:
	* Add curl-devel to spec file

2007-05-17
Quy Tonthat <qtonthat@gmail.com>:
	* ChangeLog entry
	* Check for non-displayable data after downloading map.
	* ChangeLog entry
	* Map tool: Left click can now refresh display of map tiles.

2007-05-17
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Releasing 0.1.3

2007-05-17
Quy Tonthat <qtonthat@gmail.com>:
	* Fix problems in map downloading caused by unreliable error detection.

2007-05-14
Quy Tonthat <qtonthat@gmail.com>:
	* Changelog entry for the last commit
	* Fix bug that causes crash on viking exit.

2007-05-13
Evan Battaglia <gtoevan@gmx.net>:
	* Remove the old tile from cache BEFORE redrawing.
	* Fix "corrupted tile" problem -- was really just that incomplete tiles were being drawn & subsequently taken into memory cache. We should really add a "clear memory cache" menu item too.

2007-05-11
Evan Battaglia <gtoevan@gmx.net>:
	* Fix stupid segfault bug in main.c (open file)
	* Now when we refresh tiles it will remove them from the memory cache like it was supposed to.

2007-05-09
Quy Tonthat <qtonthat@gmail.com>:
	* New google version number

2007-05-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Refreshing tiles

2007-05-04
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Declaring Debianization
	* Added watch configuration files for other Debian packager
	* Removing Debian maintainer script examples
	* Adding menu entry inside the Debian package
	* Removing unused file for Viking's Debian package
	* Correct copyright holder in Debian package
	* Update Debian package documentation
	* Initial dh_make debianization

2007-04-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Declaring Reid's patch
	* Applying Reid's patch

2007-04-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Allows to enable/disable OpenStreetMap module
	* Adding Maplint OpenStreetMap layer

2007-04-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* New module for OpenStreetMap sources.
	* Updating Changelog for libcurl adition

2007-04-21
Evan Battaglia <gtoevan@gmx.net>:
	* Slippy maps
	* slippy maps

2007-04-16
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add libcurl
	* Moving up cache management
	* Introducing download module
	* Unused function

2007-04-04
Quy Tonthat <qtonthat@gmail.com>:
	* Fixed Google Directions
	* New google version number

2007-02-20
Quy Tonthat <qtonthat@gmail.com>:
	* GPS layer dialog is now displayed at the center of the Viking main window

2007-02-19
Quy Tonthat <qtonthat@gmail.com>:
	* New Google version numbers

2007-02-15
Quy Tonthat <qtonthat@gmail.com>:
	* Added viking.spec.in (by Michael A Peters). Made autoconf be aware of the new file
	* Added viking.spec.in (by Michael A Peters). Made autoconf be aware of the new file

2007-02-14
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Preparing 0.1.2
	* Cleanup

2007-02-13
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* About dialog filled with AUTHORS file
	* Preparing 0.1.2: update contributors lists
	* Update ChangeLog for my recent modifications
	* Add (current) version and URL in about dialog
	* Remove URL and version from title

2007-02-06
Quy Tonthat <qtonthat@gmail.com>:
	* Fix bug that causes crashes when click at the right of the track graph.

2007-02-06
Jocelyn Jaubert <jocelyn.jaubert@gmail.com>:
	* Patch from Jocelyn Jaubert. Add time position to Track Poperties

2007-02-05
Quy Tonthat <qtonthat@gmail.com>:
	* Corrected main window title and viking website
	* New google version numbers
	* Cosmetic changes

2007-02-04
Quy Tonthat <qtonthat@gmail.com>:
	* Simplify tools enable/disable codes

2007-02-01
Quy Tonthat <qtonthat@gmail.com>:
	* Disable/enable tools according to what layer is active

2007-01-28
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Work done by Quy

2007-01-27
Quy Tonthat <qtonthat@gmail.com>:
	* Display map sections while downloading

2007-01-25
Quy Tonthat <qtonthat@gmail.com>:
	* Fixed bugs that caused crashes on creating new map layer or new track/waypoint layer

2007-01-23
Quy Tonthat <qtonthat@gmail.com>:
	* Updated google tranparent version number
	* Merged branch modular (r146:173) to trunk

2007-01-18
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Content moved to the Wiki
	* Update

2007-01-05
Quy Tonthat <qtonthat@gmail.com>:
	* Bug fix: main menu edit->delete and edit->cut did not work with waypoints and tracks.

2007-01-04
Quy Tonthat <qtonthat@gmail.com>:
	* Added 'Copy' and 'Cut' to popup menus for waypoint and track

2007-01-03
Quy Tonthat <qtonthat@gmail.com>:
	* Remove assumption aggregate is the only type of layers that has child layers. Gpslayer does too.

2007-01-02
Quy Tonthat <qtonthat@gmail.com>:
	* menu selection for layer instances.
	* Layers now can have their say on what pop up menu items they want.

2007-01-01
Quy Tonthat <qtonthat@gmail.com>:
	* gpslayer: code cleanup

2007-01-01
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Make all .h self sufficient

2007-01-01
Quy Tonthat <qtonthat@gmail.com>:
	* gpslayer: fix bug that caused crash when click \'Cancel\' on layer creating dialog

2006-12-31
Quy Tonthat <qtonthat@gmail.com>:
	* Added gpslayer

2006-12-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Improve ChangeLog for next test release
	* Fix a google version number change

2006-12-17
Alex Foobarian <foobarian@gmail.com>:
	* 

2006-12-07
Alex Foobarian <foobarian@gmail.com>:
	* fix array overflow

2006-12-05
Alex Foobarian <foobarian@gmail.com>:
	* 

2006-12-04
Alex Foobarian <foobarian@gmail.com>:
	* about dialog

2006-11-30
Alex Foobarian <foobarian@gmail.com>:
	* 

2006-11-29
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Makefile and Makefile.in are generated files and should be ignored by SVN

2006-11-29
Alex Foobarian <foobarian@gmail.com>:
	* 

2006-11-12
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Add explicit dependency to expat library

2006-10-31
Alex Foobarian <foobarian@gmail.com>:
	* visual feedback when moving waypoints

2006-10-30
Alex Foobarian <foobarian@gmail.com>:
	* 
	* fix toolbar icons in recent gtk

2006-10-28
Alex Foobarian <foobarian@gmail.com>:
	* ticket 1577378: make viking compile with older gtk
	* ignore png_h files
	* fixing icons
	* fixing icons
	* modified mime types for png files
	* 

2006-10-26
Alex Foobarian <foobarian@gmail.com>:
	* *** empty log message ***
	* *** empty log message ***
	* google version seems to be required in europe

2006-10-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Improve the ChangeLog for the 2006-10-23 release
	* Improve Makefile for a "make distcheck" support

2006-10-23
Alex Foobarian <foobarian@gmail.com>:
	* toolbox tool improvements

2006-08-15
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding implicit DMS->dec conversion in dialogs
	* Adding implicit DMS->dec conversion in dialogs

2006-07-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* add dec -> DDD conversion
	* add dec -> DMM conversion
	* refactor dms conversions

2006-07-24
Reid Priedhorsky <reid@reidster.net>:
	* Adding the path for GoogleMaps from Reid Priedhorsky

2006-07-22
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Adding degrees conversion functions (DDD/DMM/DMS)

2006-07-06
Evan Battaglia <gtoevan@gmx.net>:
	* Upgrade Google Maps -- Europe

2006-06-11
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Preparing 0.1.1

2006-05-26
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Bootstraping from CVS

2006-05-25
Alex Foobarian <foobarian@gmail.com>:
	* added a setup dialog for acquire from gps

2006-05-12
Alex Foobarian <foobarian@gmail.com>:
	* small fixes in acquire from gps code

2006-05-08
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Bootstraping from CVS

2006-05-06
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* moving generated config.h to src to allow 'make dist'
	* bug #1479244: FreeBSD port

2005-12-04
Evan Battaglia <gtoevan@gmx.net>:
	* More data source fixes
	* Data sources existence checks and other fixes

2005-11-26
Evan Battaglia <gtoevan@gmx.net>:
	* Geocaching.com (via gcget) data source
	* Data sources update
	* Google import adds to currently-existing layer

2005-11-25
Evan Battaglia <gtoevan@gmx.net>:
	* Data sources core structure, google directions

2005-11-24
Evan Battaglia <gtoevan@gmx.net>:
	* Getting ready for Google directions import
	* Locale-independent output for gpsmapper.c and gpspoint.c

2005-11-23
Guilhem Bonnefille <guilhem.bonnefille@gmail.com>:
	* Better GPX export

2005-11-21
Alex Foobarian <foobarian@gmail.com>:
	* *** empty log message ***
	* fixed v-t diagram crash bug
	* fixed a v-t diagram crash bug

2005-11-19
